==================================================
yade-2024.01a
Sun, Jan 21 16:05:00 2024 +0100

Short summary of 2024.01a release:
short title (Merge Request count, until !1003)

Documentation / Comments              (16 MRs)
Bug fixes                             (14 MRs)
Small improvements                    ( 8 MRs)
Packaging improvements & building     ( 7 MRs)
Tests & checks & CI                   ( 6 MRs)
LevelSet & Vol. Interacting LevelSet  ( 5 MRs)
High precision RealHP<N> ComplexHP<N> ( 4 MRs)
Clumps                                ( 2 MRs)
Fluid & thermal & particle saturation ( 1 MRs)
Polyhedra / Facets                    ( 1 MRs)
Alpha shapes                          ( 0 MRs)
Examples                              ( 0 MRs)
GUI                                   ( 0 MRs)
OpenMPI calculations                  ( 0 MRs)
PotentialParticles / Blocks           ( 0 MRs)
clang-format & reorganize             ( 0 MRs)
----------------------------------------------
Total                                 (61 MRs)

Documentation / Comments              (14 MRs)
  Add documentation to clump breakage functions in 'bf'  module (!934)
  Updates in doc instructions (!939)
  build doc on ubuntu 22.04 (!946)
  Python3 way of print in SpherePack doc (!953)
  Change libvtk*-dev source installation instructions  (!959)
  New publications (!970)
  New publications: corrections after merge request !970 (!971)
  New publications: title format corrections (!972)
  Small YADE ENUM doc update (!968)
  chore: replace launchpad links with yade-dev/answers  links (!978)
  -1 Launchpad (!979)
  Correcting subdomain boundfunctor doc (!985)
  Added article (!997)
  Doc: extending and clarifying Omega vs Scene + cleaning  (!999)
  Update Reference to SPIRAL efficient algorithm (!1007)
  Update Changelog for YADE release 2024.02a (!1004)

Bug fixes                             (14 MRs)
  fix regex to detect suitesprse 7.0+ (!935)
  Try  QtWebEngineWidgets when failed to import QtWebKit  (!938)
  Remove old benchmark scripts (!937)
  Mask tesselation wrapper (!940)
  Fix compilation error with GCC-13 (ArchLinux now) (!952)
  Correction to Rotational Kinetic Energy Calculation  (!954)
  fix: color warning (!960)
  Solve the yade.config import issue when enabling  `NOSUFFIX` option (!956)
  Fix #319 (!981) CGAL 5.6 high-precision build error
  fix attribute name mismatch (!990)
  Collider small fix (!995)
  delete interactions correctly when unpMax<0 and  fragile=True (!1000)
  Fix GCC-13 crash #328 (!1002)
  Fix some compilation warnings, make the code more  reliable (!1003)

Small improvements                    ( 7 MRs)
  Add viscoelastic boundary conditions (engine) and its  documentation. (!951)
  remove debug message about harmless corner case (!958)
  Add hertzian attribute for box-sphere interactions (!955)
  New Rotation Integration  Algorithm, an Improvement from the Previous One (!944)
  turn createDistantMeniscii false after one action()  (!969)
  Add viscous damping model of [Brilliantov1996] and  [Mueller2011] for velocity-dependent CoR in the Hertz-Mindlin contact model  (!977)
  extend cohesive-frictional model (!962)
  Move away from python3-future (!1005)

Packaging improvements & building     ( 7 MRs)
  Add supported python3.11 (!931)
  update repository and dependent packages for  opensuse 15.4 in branch suse15 (!6)
  Dropping i386 from CI pipeline (!948)
  Two archlinux fixes: Skip MPI checks for MPI ver.4.1.5 -  workaround #309; use builtins min/max (!964)
  Build for trixie. #316 (!980)
  Fix #325: rename $CI_BUILD_ID to $CI_JOB_ID (!994)
  Fix #326 - fix the master pipeline - relax the check a  little bit for VTK Float32 data type (!996)

Tests & checks & CI                   ( 6 MRs)
  Add benchmark tests of Chung and Ooi (2011) (!933)
  Skip capillarityEngine check tests if input file is  missing. (!941)
  Small archlinux screenshot update (!949)
  Remove "from numpy import *" in checks (!965)
  get silo mesh from yade-dem.org (!974)
  Fix #320 (!982) - Need to prepare new GUI screenshots for debian trixie.

LevelSet & Vol. Interacting LevelSet  ( 5 MRs)
  VLS-DEM: Implementation of Volume-interacting Level-Set DEM (1/n) (!961)
  Enabling correct unbound use of LevelSet::distance for  in-grid points (!986)
  Avoiding double function call in level set distance  computation (!992)
  LevelSet: -1 useless line (!993)
  LevelSet doc and code comment update (!998)

High precision RealHP<N> ComplexHP<N> ( 4 MRs)
  Fix #313 setPermF, setPermT in High Precision.  (!963)
  Allow using (when wanted) MPFR for g++ version >  12.0.0 (upstream fixed the bug) (!983)
  Ready: clarification for the paper: Rename ENABLE_REAL_HP → ENABLE_MULTI_REAL_HP which enables RealHP<N> for N ∈ {1,2,3,4,8,10,20}, fix #247 (!989)
  Small long double fix for boost 1.83 (!1001)

Clumps                                ( 2 MRs)
  Making it clearer that discretization > 0 in clump  functions requires spherical members (!945)
  FIX #311 (!987) - Clump.members.keys()

Fluid & thermal & particle saturation ( 1 MRs)
  various fixes for TesselationWrapper (!943)

Polyhedra / Facets                    ( 1 MRs)
  Fixing PBC bug in polyhedra (!991)

Alpha shapes                          ( 0 MRs)
Examples                              ( 0 MRs)
GUI                                   ( 0 MRs)
OpenMPI calculations                  ( 0 MRs)
PotentialParticles / Blocks           ( 0 MRs)
clang-format & reorganize             ( 0 MRs)

==================================================
yade-2023.02a

Short summary of 2023.02a release:
short title (Merge Request count, until !912)

Documentation / Comments              (26 MRs)
Bug fixes                             (12 MRs)
LevelSet                              (12 MRs)
Small improvements                    ( 9 MRs)
Fluid & thermal & particle saturation ( 7 MRs)
High precision RealHP<N> ComplexHP<N> ( 7 MRs)
PotentialParticles / Blocks           ( 5 MRs)
Examples                              ( 4 MRs)
Tests & checks & CI                   ( 4 MRs)
Polyhedra / Facets                    ( 3 MRs)
Clumps                                ( 3 MRs)
Packaging improvements & building     ( 2 MRs)
Alpha shapes                          ( 2 MRs)
clang-format & reorganize             ( 7 MRs)
OpenMPI calculations                  ( 0 MRs)
GUI                                   ( 0 MRs)
----------------------------------------------
Total                                (103 MRs)


Documentation / Comments              (26 MRs)
  remove link to wiki in homepage + mention the generic  adress for paid support in another place (!822)
  GnuplotHyperlink (!824)
  Peace in Ukraine (!833)
  a valid link to russian scientists protesting war (it  disappeared from russian websites) (!834)
  trunk | new thesis (!837)
  Fix doc: import error in make doc (!840)
  Reintroducing git version number in doc index (!842)
  Doc updates (installation, ViscEl, makeClumpCloud) (!841)
  VTKRecorder doc typo and +1 paper (!854)
  Update information about yadedaily installation (!855)
  Doc: missing new line in raw docstring (!860)
  Fix broken link to pdf docs (!863)
  New publications (!875)
  clarify options and packages (!861)
  Remove google-analytics script #280 (!873)
  Py3 related comment in one capillary script (!876)
  Add short-course guides and slides to website (!871)
  Add news about Yade hackathon (!879)
  Modifying Installation page, merging indications of  features and external packages (!870)
  Fix #286, replace frontpage Changelog link + other  homepage modifications (!882)
  clarify a FIXME which has been partly fixed. (!903)
  Doc updates regarding Clump and OAR compilation option  (!900)
  New publications (!905)
  +1 paper (!912)
  mention ubuntu20.04 virtual machine (!915)
  Yade on Twitter (!920)

Bug fixes                             (12 MRs)
  small fix: correct shebang and follow XDG specification  (!831)
  fix #256 (!852)
  fix #259 (!850)
  fix #264 - Failed screenshot tests in test_22_04 (!853)
  workaround bug  https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1009739 (!858)
  Revert "workaround bug  https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1009739" (!867)
  reimplement flipCell, fix  https://answers.launchpad.net/yade/+question/701782 (!864)
  Fix compilation with g++ 12 (!885)
  One more g++ 12 fix. (!886)
  Fix ppc64el and i386 (!890)
  Remove last trace of libloki-dev (!888)
  FIX #290, binding functions should not use 'def_readonly'  (!898)

LevelSet                              (12 MRs)
  Level set visualisation (!828)
  Reflecting recent qt visualization of LevelSet in the doc  (!836)
  Level set Periodic Boundary Conditions (!832)
  LevelSet Updates (!865)
  A better definition of LS grids for superquadrics (back  to [Duriez2021b] behavior) (!883)
  Smeared Heaviside step function for level sets (!881)
  Level-set DEM periodic boundary conditions update (!897)
  LS updates (!908)
  Correcting location of LS-LS ScGeom contactPoint (!911)
  Avoiding a brutal throw when boost root finding algorithm does not find any in LevelSet (!928)
  LevelSet new discharge example, updates in smearing considerations and formal changes (!914)
  fabricTensor for non-spherical particles through extrema argument (!916)

Small improvements                    ( 9 MRs)
  Removing unused Body.chain (!825)
  add support for python 3.10 and add new find paths for  CLP, CuBlas and freeglut with  new archlinux image (!830)
  Introducing capillary files in yade-data. (!877)
  Fix urls to input data in the benchmark scripts, and set  preventGranularRatcheting=False, hertzian=True (!895)
  use precomputed shearIncrement: faster and compatible  with all Ig2 functors,... (!893)
  ensure randomColor() uses utils func (!909)
  Removing unused chain attribute from facet() Python  signature (!913)
  fabricTensor for non-spherical particles through extrema  argument (!916)
  Update Hertz-Mindlin model and docs (!919)

Fluid & thermal & particle saturation ( 7 MRs)
  ymport.py: Check FoamFile header and handle comments.  (!813)
  Generalize link between ThermalEngine and derived  FlowEngines (!844)
  Make thermal state working version (!846)
  avoid a potential infinite recursion in the lubricated  contact model (!847)
  compile and improve  Law2_ScGeom_CapillaryPhys_Capillarity1.cpp (!868)
  Adding a readme file for capillary files, with data  description (!904)
  Fix CapillaryEngine (case of no input files) + exemple  script (!902)

High precision RealHP<N> ComplexHP<N> ( 7 MRs)
  Build ubuntu 22.04 & bookworm packages for long double,  float128 and mpfr150 (!814)
  Fix REAL_HP on other architectures. Add bookworm arm64 to  CI pipeline. (!817)
  Fix long double on other architectures: arm64, s390x,  ppc64el (!820)
  Fix #247 by removing the confusing name REAL_HP (!859)
  Needs a fix: Debian package high precision build problem  (!884)
  Make sure cpp_bin_float 150 passes the tests: larger tolerance 62 → 150 decimal places. (!887)
  A bit more in docs about "Using higher precisions in C++" (!918)

PotentialParticles / Blocks           ( 5 MRs)
  PotentialParticle minor changes (documentation,  unnecessary prerequisites and contact between fixed bodies) (!835)
  Correct normalForce when allowViscousAttraction=False for  PP and PB (!838)
  Pbc doc figures improvements (!862)
  Allow contacts between fixed potential blocks (!910)
  Adding potential_utils module and additional examples for  the PotentialBlocks (!907)

Examples                              ( 4 MRs)
  Law2_ScGeom_CapillaryPhys_Capillarity maintenance:  updates in doc and examples README, in independence of the wiki (!896)
  Partial fix bug #228, use yapf3 python code formatting on  some of examples (not all of them yet) (!715)
  A capillary example: A better location of GSTS before NI  (thanks Guo Chang) (!878)
  fixed outdated mill.py example (!899)

Tests & checks & CI                   ( 4 MRs)
  increase ccache size to 500G for nova runners (!845)
  reduce peak demand on MPI workers to release pressure on  gitlab runners (from 10 to 4) (!848)
  enable shared ccache and make -j4 the default (not 5)  (!849)
  Fix test_bookworm: it now uses the same screenshots as  test_22_04 (!856)

Polyhedra / Facets                    ( 3 MRs)
  Further clarification of Facet code (!826)
  ymport: polyMesh support. (!821)
  Modifying code comments in ScGeom, now that it may apply  to sthg else than Sphere and Facet shapes (!880)

Clumps                                ( 3 MRs)
  Implement clump breakage algorithm (!857)
  Fix clump stress (!891)
  use Shop::getStress in PeriTriaxController to handle  clumps gracefuly (!892)

Packaging improvements & building     ( 2 MRs)
  CMake: Skip libvtk version 7. (!819)
  CMake: Add DISABLE_PKGS option. (!816)

Alpha shapes                          ( 2 MRs)
  Display alphaShapes in QGLViewer (!901)
  Bound alpha shapes (!906)

clang-format & reorganize             ( 7 MRs)
  Move pfv (!851)
  Fix #228, small final reformat (!929)
  Fix #228, add to the CI pipeline a verification that all python scripts are formatted (now it's ready) (!926)
  small clang C++ reformat (!922)
  Partial fix bug #228, yapf3 python reformat in ./examples/ (!925)
  Partial fix bug #228, small yapf3 python reformat in ./py/ ./gui/ and ./doc/ (!924)
  Partial fix bug #228, small yapf3 python reformat in ./scripts/ (!923)

OpenMPI calculations                  ( 0 MRs)

GUI                                   ( 0 MRs)

==================================================
yade-2022.01a
Sun, Jan 16 19:00:00 2022 +0100

Short summary of 2022.01a release:
short title (Merge Request count)

Documentation                         (40 MRs)
clang-format & reorganize             (21 MRs)
Bug fixes                             (19 MRs)
Small improvements                    (19 MRs)
Tests & checks & CI                   (18 MRs)
Fluid & thermal & particle saturation (15 MRs)
Packaging improvements & building     (11 MRs)
High precision RealHP<N> ComplexHP<N> ( 8 MRs)
Examples                              ( 7 MRs)
LevelSet                              ( 4 MRs)
OpenMPI calculations                  ( 4 MRs)
GUI                                   ( 3 MRs)
Polyhedra                             ( 1 MRs)
Alpha shapes                          ( 1 MRs)
----------------------------------------------
Total                                (171 MRs)


Documentation (40 MRs)
  Add version badge, but only in html. In .pdf only put a link to svg.
  Docker install section in documentation
  Doc enhancements in CohFrict* (mostly) and NormShearPhys
  Homepage cleaning
  SpherePack.toSimulation docstring
  Docs HM - Viscous damping - updated the Hertz-Mindlin docs to clarify how viscosity is currently calculated in the code
  Fix broken links in docs
  Affiliation update
  Yade articles update
  Doc of http overview: mentioning lynx
  Updating momentRotationLaw doc in CohFrict classes
  HarmonicForceEngine Documentation Typo
  Add discord server link to home page, combine both wiki links into one.
  nicer keys for some bibitems + dodge czech accents issues with bibtex (sorry Václav Šmilauer)
  fix #219 : update docs about merging from other people's forks, cf. !511
  Add bib reference
  Add 3 PHD-thesis from TUBAF
  improve git docs: add a link to the progit-book https://github.com/progit/progit2
  Small mailmap update
  ymport.stl documentation
  Prog doc minor update about internal (Yade) bibliographic references
  Docstring typos
  Doc update of O.dynDt and O.dt
  Doc of O.save / O.load
  Documentation about how to add new GUI tests to the pipeline.
  sort ENABLE_* in CMakeLists.txt and in doc/sphinx/installation.rst
  Add comments & documentation about VTKRecorder and const Real&
  Clump discretization doc
  Improve documentation about clang-format / yapf3
  Doc update about FEMLIKE feature ON by default
  Update yade-articles.bib
  Clump discretization doc updated again
  Increase clarity of thermalengine doc
  Replace obsolete YADE_REQUIRE_FEATURE in docs with info about #ifdef YADE_FEATURE
  Better url links in gitlab doc
  Doc 3rd edition
  fix one affiliation and release new DOI
  Add our high precision paper to bibliography doc/yade-articles.bib and HighPrecisionReal.rst
  PBCdoc - better DOCs - formulation.html periodic boundary conditions and yade.wrapper.Cell
  progTypoVector3rZero - Getting rid of historical Vector3R::ZERO in prog doc as well

clang-format & reorganize (21 MRs)
  clang format single line if
  Small clang reformat
  Fix #175 - standarize start line #! in all the examples
  small clang reformat
  Python format preparations: to start work on #228 create scripts/python-formatter.sh using yapf3
  Remove \ at end of line from *.py files, as recommended in yapf3 docs
  Python reformat: ./doc/sphinx
  splitting (1/7) from pkg/* the FileGenerator and other heavy stuff which are not physical models.
  splitting (2/7), merge after !733, split SnapshotEngine to postprocessing/image
  splitting (3/7), merge after !733, split PotentialBlock PotentialParticle to pkg/potential
  splitting (4/7), merge after !733, split Polyhedra to pkg/polyhedra
  splitting (5/7), merge after !733, !738, split VTKRecorder to postprocessing/vtk
  splitting (7/7), merge after !733, !739, split of Split Polyhedra.cpp → Polyhedra_01.cpp, Polyhedra_02.cpp
  splitting (6/7), further split of VTKRecorder
  splitting (7/7), split Shop and SpherePack to preprocessing/dem
  Python yapf3 reformat of ./py/tests/
  Python yapf3 reformat: scripts/python-formatter.sh ./scripts/checks-and-tests
  Revert split VTKRecorder, PartialSatClayEngine, TwoPhaseFlowEngine
  Following discussion in !783 convert all files to UNIX line endings.
  Add line ending guard to the CI in make_minimal, just like clang-format.
  Small progress with #228 (yapf3 reformat), part of examples.

Bug fixes (19 MRs)
  Collider optimization (fix #186)
  Fix some boost_python37 issue with cmake
  fix getRotStiffness for GlobalTimeStepper
  remove extra creepedShear (copied by accident from ViscoFrictPhys)
  Fix compilation with g++11 (a subset of !624)
  Fix issue #184 (aka question #694548)
  fix Qt inspector with deleted bodies (includes: don't try to find a defaut body at startup)
  Fix #200 collider segfault + function renaming
  fix condition that would result in missing virtual interactions when PFacets have parallel edges
  fix use of extMaterial in cylinderConnection (https://answers.launchpad.net/yade/+question/697238)
  extra test and fix for .def_readonly(…) function
  fix problem https://answers.launchpad.net/yade/+question/697874
  Fix SnapshotEngine (part of issue #230)
  Fix #234 - On new QT5 versions: "The constructor with a shareWidget is deprecated", thanks Luc OGER!
  small fix in GUI tests, fix long double ubuntu 20.04 compilation.
  Lubrication keps calculation fix.
  Fix #244 - also lock bodies drawloopmutex when drawing interactions.
  Fix accuracy issue when solving a polynomial + don't erase active intractions in traction
  Fix color_cycle deprecated matplotlib warning

Small improvements (19 MRs)
  remove compile warning
  Add virtual override keyword, add some const keywords; Fix #197
  Add -Wshadow, simpler CMakeLists.txt
  fix #202 (-Wshadow name conflict) rename k → kParallelForeachIndexCounter in YADE_PARALLEL_FOREACH_BODY_BEGIN
  Add -Wswitch-default to CMakeLists.txt
  CMAKE_UNITY_BUILD (faster build times) documentation and smallfix 
  Fix #204 - UNITY_BUILD works with cpp Logging
  Use boost::enable_shared_from_this, this should help with #199 (mess with type casting) and #205 (unintended python variables)
  Rename CentralGravityEngine → CentralConstantAccelerationEngine
  Add example for making screenshots of --stdperformance (examples/test/performance/checkPerf.py)
  Removing incomplete and unused TriaxialTest.biaxial2dTest
  add new HarmonicForceEngine, identical to HarmonicMotionEngine but applies force instead of displacement
  homogenize feature names and -DENABLE_FEATURE options in the cmake step
  Add script to get LP-questions
  Add option to allow gravity to be excluded from numerical damping in NewtonIntegrator
  A new onlyReal in O.interactions.has
  Not Urgent Change in Warning message
  Add blockMeshDict() to ymport.py - openfoam's blockMeshDict file can be imported into yade.
  ymport.py: Check FoamFile header and handle comments.

Tests & checks & CI (18 MRs)
  Test GUI enum instead.
  skip mkHP_float in WIP and Draft.
  Don't flood the checks with warnings from BodyContainer and add LOG_ONCE_*
  Don't test Constants.hpp three times, small cleanup in tests.
  Add thermal engine check script 2 to pipeline
  temporarily increase btemp tolerance, fix #218, https://gitlab.com/yade-dev/trunk/-/jobs/1259015083
  Fix #168 Use yade-data as submodule
  Fix #132 - add screenshot verification to GUI tests
  small fix in GUI test, don't print something that's not expected in a screenshot of a passed test
  Remove attempts to filter outliers while the test is running (it was incorrect)
  Add GUI test for hopper
  Small progress towards issue #169 and faster compilation: split PartialSatClayEngine, TwoPhaseFlowEngine into two smaller files each
  Add -Ofast native maximum optimization option to CMakeLists.txt
  Add GUI test for SnapshotEngine
  Fix #169 - 32 bit ASAN debug i386 build.
  Maybe remove i386 from pipeline CI, maybe discuss #239
  See #241 : temporarily run debian bookworm check only on newer processors.
  Revert newhardware tag, because #241 is fixed.

Fluid & thermal & particle saturation (15 MRs)
  report useful runtime errors and fix PartialSatClayEngine
  Quick bug fix for thermalengine
  Parallelize fluid conduction in ThermalEngine, brace for distro complaints.
  Increase checkThermalEngine.py tolerance because of ENABLE_FAST_NATIVE=ON
  HydroForceEngine: fix small errors in the fluid resolution
  HydroForceEngine: add initialization function and simplify turbulentFluctuations
  HydroForceEngine: modify and simplify averageProfile()
  HydroForceEngine: add new mixing length formulations to the fluid resolution
  fixing delT scope bug, thanks Zoheir Khademain.
  Pfv smallfix
  Parallelization of fluid conduction still tricky - reverting back to a stable state until a new solution can be pushed.
  HydroForceEngine and Law2_ScGeom_ViscElPhys_Basic: add an option to apply lubrication
  Make decoupleForces work as 1 way coupling
  Lubrication gap small fix
  Turn flow.defTolerance off by default

Packaging improvements & building (11 MRs)
  Use clang-11
  Build pkgs separately and link in one step
  Workaround #201 linker problems
  Add some needed dependencies for yade-deb
  Add DISABLE_ALL option
  Add archlinux support.
  Add debian/bookworm
  Update due to debian/bookworm
  Add Ubuntu 22.04 build
  Workaround for #155 (Freeglut 3, fgStructure.CurrentWindow is NULL - crash)
  Revert "Workaround for #155" - Freeglut is fixed. Drop all workarounds.

High precision RealHP<N> ComplexHP<N> ( 8 MRs)
  Clang 11 RealHP, fix #193
  small python HP improvements
  Use LOG_ONCE_* in DecomposedReal
  Extra static_assert tests for RealHP, ComplexHP
  Serialization of Complex numbers: both GUI and .xml / binary.
  Improve handling of complex numbers
  Proper high precision Complex support. MPFR ↔ MPC, float128 ↔ complex128
  Precising HP doc

Examples ( 7 MRs)
  Add example scripts for alpha shapes
  Add placeholder for high precision triple-pendulum example
  Add the triple pendulum script examples for our paper
  More alpha shape examples
  Conical Damage Model with pressure dependent inter-particle friction coefficient - implementation and examples of a new contact law
  HydroForceEngine examples: update and add new examples
  LevelSet example has been extended

LevelSet ( 4 MRs)
  ISC is forced to be serial with 0 verletDist, avoiding the LOG_ERROR in that case
  LevelSet shape 0/N : beginning of several merge requests for giving a new LevelSet shape
  Level set 1/N: example and VTK visualization stuff - New Python functions or files, and modifications to VTKRecorder for visualization purposes.
  Level set (N-1)/N - LevelSet shaped bodies can now interact (without touching InteractionLoop as discussed at some point in the past). Add example & check.

OpenMPI calculations ( 4 MRs)
  Dem8 benchmarks final update
  DEM8_Benchmarks: Silo Flow and the Penetration Test scripts using SI units (m-N-Pa-kg).
  revert !596 - see what happens with more testing: checkMPISilo.py
  Add mpi-default-bin to depends of yadedaily. Fixes #216 (some docker images didn't have mpirun command)

GUI ( 3 MRs)
  Fix rendering of labels in Potential* Gl1 functors for wire=True
  Fix #27 - fix problem with wrong ETA estimation, by removing it.
  GUI serialization shows more info if there is an unhandled type.

Polyhedra ( 1 MRs)
  Polyhedra warning about vertices number

Alpha shapes ( 1 MRs)
  Add alpha shapes support & example

==================================================
yade-2021.01a
Sun, Jan 17 18:45:12 2021 +0100

Short summary of 2021.01a release:
short title (Merge Request count)

Documentation                         (41 MRs)
Bug fixes                             (45 MRs)
High precision RealHP<N>              (31 MRs)
Small improvements                    (27 MRs)
Fluid & thermal & particle saturation (15 MRs)
Tests & checks                        (13 MRs)
OpenMPI calculations                  (13 MRs)
clang-format in the pipeline          ( 7 MRs)
Packaging improvements                ( 7 MRs)
GUI                                   ( 3 MRs)
----------------------------------------------
Total                                (202 MRs)


Documentation (41 MRs):
  Update installation.rst (asan builds + stuff)
  Add recent publications
  point youtube's 'related videos' to the same channel
  Update front page link to videos: tutorial-more-examples.html more up to date.
  Fix bug and documentation FlowEngine invVoidVolume wrapper
  Fix recent build failures on master with latest docker bullseye image.
  Small docs fix
  Doc typo: missing norm in trial shear force
  Doc Body.groupMask
  User doc
  Update high precision documentation
  Miscellanea doc
  Add example script for opengeomechanics paper
  clarify thermalengine doc
  Documentation makeCloud and makeClumpCloud
  ViscoelasticPM doc update
  Prog doc typo
  ProgDocTypos
  Formulation doc typo
  improve cellDist doc
  small addition to the doc to mention verletDist explicitely
  Doc prog.rst update
  FlowEngine.getCell doc
  Doc update of VTKRecorder.fileName
  ymport.textPolyhedra-doc
  Prog doc typos and minor changes
  Doc Law2_Polyhedra*
  residualFrictionAngle in radians in JCFpmMat docstring
  Sphinx doc broken link in Prog doc
  O.forces.f doc
  Two Docstrings
  BaselineTypo
  adding open geomechanics reference to doc and pubs
  Add --stdperformance, --quickperformance explanation to documentation.
  Polyhedra Ip2 doc
  MaterialContainer doc typo
  timing.runtimeDoc
  Added Hicham Benniou PhD reference
  Add references to article describing lubrication law
  update publications
  !463 alternative : Added article February 2020 Computational Particle Mechanics

Bug fixes (45 MRs):
  fix #145 seed in makeCloud FIX makeCloud doesn't use "seed"
  Fix pygts module import in python3.9
  Fix PyRunner. Now it can propagate errors upwards.
  Fix #110 FIX Graph yade.plot.live matplotlib numpy update exception
  Fix compilation with python3.9
  fix #157 FIX O.stopAtTime does not do anything useful
  Fix #140 FIX ForceContainerParallel::sync() can count permanent forces twice or more
  Fix https://gitlab.com/yade-dev/docker-yade/issues/1 FIX yade-ci crashes
  export.text2vtk - fixed a bug + refactoring
  Fix #146 FIX "to-Python converter already registered" RuntimeWarning
  Fix even more warnings, print only 'maybe-uninitialized' and '#warning' (!270), faster compilation. (!273)   18 of 18 tasks completed
  fix clang formating mistake, change remaining doubles to Real
  fix tutorial script https://answers.launchpad.net/yade/+question/689537
  Fix printing Vectors by LOG macros.
  Fix GCC-10 compilation #958006
  Fix_PBs_orientations
  #153 fix FIX O.energy['nonViscDamp'] misses gravity forces
  Skip url ping-pong for "getting help" page
  fix yade crash, when closing 3D view via "X" window frame button, in Ubuntu 20.04, fixes #164 FIX yade crash when closing the 3D view.
  Fix close view crash
  small mailmap fix and test cleanup
  Little bit of work on #97 : lib/base/Math.hpp should be math only 
  Fix compilation against newer QT5.
  Some small fixes for Sacha : Fix compilation with boost 1.65 and g++ 9.3 combination
  Fix denser grid in GLViewer.
  clumpId type should be Body::id_t, not int. Add fixme note in Math.hpp about issue #97
  Fix #162 - fix building master pipeline due to recent VTK upgrade in OpenSuse 15.
  Fix build on latest bullseye
  Fix doc generation for newer sphinx. #955097
  Workaround MPFR boost bug on ubuntu focal
  Enable OpenMP for MPFR
  SpatialQuickSortCollider is nice, because it's only 70 lines long. But has one bug. FIX groupMask treatment.
  comment out buggy heat flux boundary condition for now
  GCAL version 5.1.1 produces different results (again), but maybe the old results are back?
  Qt::MidButton is deprecated, use MiddleButton instead
  Use boost::filter_iterator for BodyContainer instead of home-backed. #122
  workaround #183
  Add compilation on multiarch: ppc64el, arm64. Workaround #179
  workaround #178 , use /tmp/SiloLargeOrifice.stl
  Fix #180
  Fix https://gitlab.com/yade-dev/docker-yade/issues/1
  make checkPolyhedraCrush.py single core only
  Disable three tries if there was a "script failure" reason to fail the job
  Fix #174 add --checkall option.
  Fix #150 : OpenMP crash when deleting bodies in yade -j4 ./examples/clumps/clump-hopper-test.py

High precision RealHP<N> (31 MRs):
  Finalize high precision Real - finished, really :) documentation + put minieigen sources into Yade
  Add check test for Runge Kutta Cash Karp 54 time integrator, error tolerance 1e-147, 147 correct decimal places :)
  checkGravity.py : reduce error tolerance from 1e-3 → 1e-10
  Use the minieigen ↔ yade.minieigenHP redirection when necessary.
  Add High Precision to the gitlab CI pipeline
  Ensure that VTK is compatibile with Real - Without Macros.
  std::weibull_distribution can't understand Real type so use boost::weibull_distribution
  OpenGL Real compatibility
  Lapack Compatibility with Real type.
  Remove Real from global namespace.
  Another step towards enabling high precision Real
  Adapt checks and tests to high precision Real.
  Add RealHP<N> : double, quadruple and more precisions.
  Bit correctness: extra tests for RealHP<N>
  Small HP cleanup: don't use std::to_string.
  The last remaining double to Real changes (2/2)
  The last remaining double to Real changes (1/2)
  Remove #DEFINEs from MathFunctions.hpp
  Remove unused variables uN, uT.
  don't use operator++ for floating point type.
  Replace std:: with math:: when invoking math functions. (6/4) - optional, remove even more using std::min, std::max.
  Replace std:: with math:: when invoking math functions. (2/4)
  Replace std:: with math:: when invoking math functions. (3/4)
  Replace std:: with math:: when invoking math functions. (4/4)
  Replace std:: with math:: when invoking math functions. (5+6/4) - optional, remove more using
  Replace std:: with math:: when invoking math functions. (1/4)
  put minieigen sources back into Yade
  Remove a couple of non-math:: using directives.
  If necessary use mpmath.linspace instead of numpy.linspace. (high precision on python side)
  Enable high precision CGAL
  Avoid raw memory access for high precision types.

Small improvements (27 MRs):
  added utils.randomOrientation function
  libVersions detects architecture.
  Use std::ofstream in pkg/dem/PDFEngine.cpp instead of old C interface for writing data files.
  Use C++17 standard, remove Loki dependency.
  Use vtkSmartPointer to handle memory release
  small mailmap update.
  Merge PotentialBlockVTKRecorder and PotentialBlockVTKRecorderTunnel engines
  A better Wall-Polyhedra normal
  Update warning message for deprecated GravityEngine
  Clean shape: Add #ifdef YADE_FEM in core/Shape.hpp
  Add seed value for periodic packings
  improved O.stopAtTime
  frictionAngle in radians for examples
  exportPotentialBlocks
  Removing Vector4r definition from Lin4NodeTetra
  Add ymport.stl.shift
  Add ymport.stl.scale parameter
  change Shop::aabbExtrema from a Python tuple to a C++ pair.
  Add seed parameter to MakeClumpCloud
  Un-expose breakOccurred to avoid user confusion
  remove remaining FOREACH loops on bodies
  consistent use of 'et' in ViscoelasticPM (LP Answer 691009)
  VTK9 support
  fix body redirection using updated vector length
  PyRunner improvements
  Add example using the PBs
  Remove randomColor duplicates

Fluid & thermal & particle saturation (15 MRs):
  Adding flux type boundary condition (thermalEngine) for Luc Scholtes and Ahmed Mostafa
  Protect from segfault after looping on erased particles in thermalengine
  improving the particle sat field estimate, other small improvements
  Partial sat clay patch
  Partial sat update
  add Ip2 functor for PartialSatMat
  Add lubrication examples
  add the packing used in thermalengine examples
  add example scripts demonstrating ThermalEngine functionality
  decouple mechanical and partialsat timesteps
  Update conductionVerification.py
  add fully coupled THM example, add citation to thermalengine publication
  a more robust cmake when cgal or pfvflow are disabled and dependent modules...
  add PFV tools for getting cell velocity and volume
  PartialSatEngine update adding various features and bug fixes

Tests & checks (13 MRs):
  Improve multithread debugging and logging. Add TRVARn(…), LOG_TIMED_*(5seconds,msg)
  Make sure gitlab CI pipeline shows all the output.
  improve error checking
  Print time spent on each of the --checks
  Add VTKRecorder check.
  Add vectorized compilation to the pipeline
  checkPotentialVTKRecorders
  make runtime of two checkScripts acceptable
  Improve performance test, add it to the pipeline.
  Add multi core check
  add enum tests and fix .deb builds
  Add 32bit architecture to the pipeline.
  Reduce test load a bit.

OpenMPI calculations (13 MRs):
  Correct and improve two methods in domaindecomposition.py
  Mpy update
  cleaner exit and spawn/despawn
  MpiDoc rebased
  One Py3-required LOG_TRACE, Making Py3 mandatory for MPI compilation. Fix #144 Py2 (no-)support
  fix thread-unsafe assignment of permForceSynced (fix #156, setPermF broken)
  Temporarily disable insertionSortParallel() until #138 is solved.
  fix parallel collision detection (fix #138) : FIX Out-of-bounds access in insertionSortParallel
  escape most mpi issues by removing just one checkScript
  Adjust checkMPISilo.py tolerance a little.
  Parallel body erase, load balance, MPI disconnect and more checkScripts
  increase timeout for MPI spawn
  Mpi small fix

clang-format in the pipeline (7 MRs):
  clang-format ./pkg
  clang-format ./py
  clang-format ./lib
  clang-format ./core
  clang-format gui/qt5. Remove qt4.
  Add clang-format test to the CI pipeline.
  clang-format discussion.

Packaging improvements (7 MRs):
  Prepare 20.04 deb-packages
  Add instructions for yadedaily Ubuntu 20.04 packages
  Update scripts for uploading daily-packages
  Fix deb packages
  build deb also on master pipeline
  Clean aptly DB after update
  Use yade --checkall in autopkgtests

GUI (3 MRs):
  Draw grid label coordinates, allow custom change of grid density.
  remove unaligned margins in GUI inspect.
  Add enum support for GUI dropdown menus.

==================================================
yade-2020.01a
Sun, Jan 12 09:36:24 2020 +0100

Anton Gladky (113):
      Remove RELEASE file
      Do not genereate moc-files globally.
      Add DEB-packages to the build process
      Make pring python3-conform
      Use master
      Add pipeline ID into the deb-version
      Check, whether CI_PIPELINE_IID is set
      Remove python-bibtex from dependencies
      Compile only deb
      Deb-only
      Build packagew for 16.04
      Do not install more packages in CI
      use 16.04
      Minor fix
      Recover the gitlab-ci.yml
      Merge remote-tracking branch 'origin/master' into feature/add_xenial
      Add xenial into the aptly-scripts
      Use ipython3 for xenial instead of python3-ipython
      Change the dependencies on ipython3 in xenial
      Add packages for bullseye (next Debian version)
      Try to build with clang
      Fix compilation with gcc
      Use CMAKE_CXX_COMPILER_LAUNCHER for ccache
      Merge remote-tracking branch 'origin/master' into add/enable_clang-build
      Respect the previous EXTRA_CMAKE_FLAGS
      Try to build with clang
      Fix compilation with gcc
      Use CMAKE_CXX_COMPILER_LAUNCHER for ccache
      Respect the previous EXTRA_CMAKE_FLAGS
      Disable some more features for the clang-build
      Merge remote-tracking branch 'origin/add/enable_clang-build' into add/enable_clang-build
      Merge remote-tracking branch 'origin/master' into add/enable_clang-build
      Merge remote-tracking branch 'origin/add/enable_clang-build' into add/enable_clang-build
      Fix git-merge mess
      Use clang-10 instead of clang-9
      Add scripts, specific for the yade-dem server
      Update information about yadedaily
      Improve yadedaily documentation
      Minor fix in installation.rst
      Let CI build dbgsym-packages
      Do not build dbgsym for the moment.
      Make C++14 mandatory and set minimal cmake version 3.5.0
      Use C++ standard for-range loop instead of BOOST_FOREACH
      Simplify for-range loops in the code
      Use reference instead of value in some for-loops
      Fix some more references
      Use std::thread instead of boost::thread
      Start to remove FOREACH
      core/ is mostly freed from FOREACH macro
      Remove boost/thread from ThreadRunner
      Return boost/thread into the cmake, because of mustex
      Remove some unused headers
      Revert "Remove boost/thread from ThreadRunner"
      Revert boost::thread -> std::thread changes. Topic for the next iterations
      Merge remote-tracking branch 'origin/feature/cpp14_cleanup' into feature/cpp14_cleanup
      Fix copmilation
      Fix one more foreach
      Check nullptr in BodyContainer. #119
      Add .clang-format
      Update .clang-format
      Use the boost::filter_iterator for BodyContainer instead of home-backed. #122
      Update copyright
      Merge remote-tracking branch 'origin/master' into feature/update_bodycontainer_iterator
      Merge remote-tracking branch 'origin/master' into feature/update_bodycontainer_iterator
      Merge branch 'feature/update_bodycontainer_iterator'
      Fix wrong last element access in PSDcum. #129
      Reformat pkg/dem/SpheresFactory*
      Add energy control in checkSaveLoadClumps.py
      Fix wrong maxID for the clumps in the makeClumpCloud. Fixes #126
      Reformat pkg/dem/SpherePack
      Drop FOREACH and some minor changes in SpherePack
      Use std::random instead of boost for SpherePack.
      Move implementation of all functions out of header to keep it as clean as possible
      Use C++11 enum class instead of plain enum
      Revert changes in BlockGen.cpp
      Revert changes in BlockGen.cpp
      Revert wrongly commited changes in checkList.py
      Merge remote-tracking branch 'origin/master' into fix/spherePack_refactoring
      Fix explicitAction if force==true. #133
      Fix compilation
      Do not set the optimization flags explicitely.
      Fix test in the testlibversion with clang
      Try to copmile the full Yade with clang
      Reformat
      Compilation with ubsan.
      Put implementation of operator () into the cpp-file
      Drop tensor_anti3. Not used in the code
      Remove not used "usings"
      Some clean up in tenseur
      Reformat tenseur
      Use Eigen for tenseur
      Some more cleanup in tenseur-class
      Start to refactor thread-classes
      Merge remote-tracking branch 'origin/master' into update/boost-threads
      Merge remote-tracking branch 'origin/master' into update/boost-threads
      Merge remote-tracking branch 'origin/master' into update/boost-threads
      Fix compilation errors on some non-standard platforms
      Simplify FindCGAL
      Merge remote-tracking branch 'origin/master' into fix/debian_archs
      Revert "Simplify FindCGAL"
      Merge remote-tracking branch 'origin/master' into update/boost-threads
      Replace all mutexes byt std
      Cleanup in core/ThreadWorker*
      Switch some bosst:mutex to std::mutex
      Some more replacements for boost::mutex
      Merge remote-tracking branch 'origin/master' into update/boost-threads
      Remove unneeded include
      Revert "Remove unneeded include"
      Revert "Set debhelper to min version 11"
      Revert "Use native cmake's CGAL detection instead of cMake/FindCGAL.cmake file."
      Try to use the common FindCGAL for older and newer (header-only) CGAL versions
      Remove CGAL_LIBRARIES from advanced parameters
      Add RELEASE file

Boon Chiaweng (2):
      improving qt Display for free fall examples
      fix visualisation in qt for free fall examples

Bruno Chareyre (330):
      Update github.rst: explain why pushing to yade-dev branch is mandatory, improve formating
      Update github.rst: remove deprecated parts and explain how to pull --rebase from upstream and sync personal repo.
      "In case if" replaced by "If". :)  https://forum.wordreference.com/threads/in-case-if.3160517/
      \renewcommand{\vec}{\boldsymbol}
      '$' guards for two maths
      fix https://bugs.launchpad.net/yade/+bug/1175574 -> issue #17 on gitlab
      Fix yade's url in first paragraph of first web page!
      clarify the push + MR sequence, with push to yade-dev the no.1 option.
      getCellFlux for arbitrary cell Id (by Katia Boschi) + python wrapper for updateLinearSystem
      upload pages from master only (merge requests excluded)
      fix paths in gitlab-ci stage
      Wrap FlowEngine's resetLinearSystem() rather than updateLinearSystem() - thanks Robert
      fix distcc and ccache export commands
      Fix compile warning in FlowEngine.hpp.in
      remove irrelevant comment about amplification of error by Cundall's damping
      fix reference AboulHosn2016
      Remove CGAL warning from Tesselation.ipp
      add python-pil and qt5-default to install instruction for ubuntu18.04
      use yade-runner-01 for everything but make -jN
      fix "V." interpreted as numbering by Sphinx
      same equation with a different writing for clump inertia (move bracket to have mass multiplying all geometrical quantities).
      Reorder index-toc in a more consistent way
      follow suggested TOC logic more strictly (https://gitlab.com/yade-dev/trunk/merge_requests/98#note_162575306)
      FlowEngine a getter for hydraulic conductivity
      Re-use cholmod factor multiple times in PhaseCluster + apply the capillary forces optionaly in computeCapillaryForces()
      testing "apt-get install python3-numpy"
      apt update
      use docker image from yade-dev/docker-yade
      back to apt-get
      apt-get -y
      Update .gitlab-ci.yml
      [Python-3] install python-vtk6
      [python-3] apt-get install python-future
      [Python-3] apt-get install python3-future
      Revert "[Python3] Fix import for python2"
      Revert "[Python3] Fixes to pass checks (import errors and fix _packPredicates to fit new pygts)"
      Revert "[Python-3] apt-get install python3-future"
      Revert "Revert "[Python-3] apt-get install python3-future""
      Revert "Revert "[Python3] Fixes to pass checks (import errors and fix _packPredicates to fit new pygts)""
      Revert "Revert "[Python3] Fix import for python2""
      add python-future to dependencies in README, and some replacements for some package names
      change python-future to python3-future dependency, and move it to ubuntu 16.04 section (also needed for 18.04?) remember to add python-future to python2.7 dependencies
      Try building latex first (a mess due to previous build?)
      maximize sphinx verbosity and debug info (see https://www.sphinx-doc.org/en/master/man/sphinx-build.html)
      build on 22 cores
      build on 18 cores (not enough memory for 22)
      build on 12 cores - memory limit
      decrease sphinx verbosity by 2 levels (too much logs breaks compilation...)
      yadeSphinx: rm /html/_static/jquery.js only after html build
      Sphinx wants 'epub' writer, not 'ebook'
      fix doc building with "make -i" (the build seems correct)
      Keep compile dependencies for Python 2.7, with addition of qt5-default for 18.04 (needed?) + python-future
      Revert "Keep compile dependencies for Python 2.7, with addition of qt5-default for..."
      Revert "use yade-runner-01 for everything but make -jN"
      read the correct cellHandles after remeshing
      remove some debug message
      remove a debug message in DomainLimiter
      remove non-necessary imports and 'utils' prefix
      injection checkScripts added to skipScripts - waiting for fixed indentation
      Revert "Revert "trigger this bug in the pipeline.""
      remove third parameter in calls to clusterOutvadePore
      Revert "Revert "Revert "trigger this bug in the pipeline."""
      activate injection checkScripts again after fix in 13c8f5c0
      remove unused variables and unused code
      Mention stable packages before daily packages.
      doc: fix english
      fix inconsistency between the bibtex and the rst references for yade chapters
      fix indentation in checkScript
      label engines in exemple script for clearer timing.stats()
      PhaseCluster.getInterfaces returns also index of each interface in 4th position
      restore original example TwoPhaseFlowInjection.py
      Revert "deleting of cellId in c0.getInterfaces(cellId=ll)"
      Revert "Revert "trigger this bug in the pipeline.""
      Revert "Revert "Revert "trigger this bug in the pipeline."""
      more accurate description of useSolver, mark 1-2 undefined
      define FLOW_ENGINE only if PFVFLOW is enabled
      building TWOPHASEFLOW depends on PFVFLOW
      fix #81 (again)
      declare BodyContainer using YADE_CLASS macro, and grant python user read/write access to the underlying (yet serialized) vector<Body*> with O.bodies.rawBodies
      bodies and scenes are granted 'int subdomain', Newton integrates only if scene and bodies have the same subdomain index
      remove double declaration (compile error)
      fix a docstring
      improved use of verletDist at iteration 0
      grant more user access to O._sceneObj (still not enough to pass it through mpi messages)
      Introduce the shape 'Subdomain' to be used for mpi parallelization
      continue grant more user access to O._sceneObj (see 5868f3c)
      add to bodies subdomain index and 'isSubdomain' attribute
      Collider::mayCollide takes scene->subdomain as additional argument, adapt all colliders
      example scripts for subdomains + MPI
      skip subdomains in Newton integration (else junk displacement will trigger the collider at every iteration)
      avoid excessive call to collider in first 3 iterations
      some renaming and little changes
      renaming (continued) + slightly different initialization of bounds
      add first concrete N-threads example for MPI decomposition, update monolithic script to have same scene than testMPIxN by default
      added comments in preamble of testMPIxN.py
      remove ZECollider
      initialize maxVelocitySq=0 instead of infinity (by definition the initial displacement is null)
      make 'newton' a registered attribute of ISCollider
      more getter/setters to Subdomain
      functions returning Pfacet nodes and connections
      ENABLE_PFVFLOW no longer has priority over ENABLE_CGAL (disabling CGAL will now disable PFV)
      MPI mode: interactionLoop erases interactions not participating in current subdomain
      give Subdomain some abilities to handle mpi
      preliminary mpi module
      remove dependency on numpy_boost.hpp (some compile errors in debug build)
      escape weird segfault with auto pointer (when YADE_OPENMP=OFF)
      make timing conditional in mpy module
      fix intersections and various bugfix
      simple example of importing mpy
      replace O.step() by O.run() in mpirun()
      code cleanup
      determine mpi rank consistently from argv + minor improvements
      opts.mpi_mode defined at startup and conditioning the start of ipshell()
      fix mpi force accumulation, and make sure communicating PyRunners start at iter 0 (initRun=True)
      a function returning total cpu time in yade.timing, used in testMPI_2D.py
      clean mpi examples and add timing report for mpirun
      update preamble of testMPI_2D.py
      update docstring in mpy.py
      BodyContainer can insert body with user-defined id
      fix inspector crash and compile warnings
      fix usage of collider's 'doSort' and add wrapper for isActivated()
      don't use displacement for collider's striding in case of multiple collision detection in one iteration (can happen with mpi)
      mpirun includes checking collider activation to interupt and/or merge subdomains
      example mpi script with merge/split upon collision detection
      define verletDist in mpi test script
      replace yadeimport.py by a normal yade import in mpy module
      body can be inserted with prescribed id
      mpi example with merge/split at each collision detection
      fix contact detection - fixing 'withMerge' script
      compliment to 3f4349 contributed by Jean Pourroy and Thomas Guntz
      erase remotes only if they are no longer intersecting (FIX deadlock)
      insert interactions more selectively + simplify mpi imports
      fix InteractionContainer::erase (suspected memory leak if b2 exists with b1 erased) + handle linIx in insertInteractionMPI
      insertInteractionMPI: avoid overwriting a real interaction by it's virtual version
      let linIx be handled by the insertion function
      Revert "erase remotes only if they are no longer intersecting (FIX deadlock)"
      code cleaning
      delete interactions immediatly after erasing body + revert change in InteractionContainer::erase (now useless)
      never re-use an erased iterator...
      faster implementation of interaction container's withBody() and withBodyAll()
      do not use ISCollider::targetInterv if =0
      insert updateMirrorIntersections in a PyRunner + non-blocking send force + avoid useless collision detection by setting maxVelocitySq=0.5
      add a MPI communicator to Subdomain, assignable from python
      add missing MPI_Comm declaration
      Subdomain::selfComm as a generic comm getter
      fix some communications which were buggy on ubuntu 16.04 (L132+L567) + keep runners listening after executing one command from master
      assign merged communicator to subdomains and use it everywhere
      USE_CPP in interactive case
      MPI.Finalize after script execution
      mpy.initialize() takes no argument and is no longer mandatory for interactive execution
      a simple script which runs interactively or not without calling the initialize()
      remove irrelevant comment in mpi example scripts
      demonstrate getting stuff from workers interactively
      a function sending commands to mpi workers and getting returned values
      increase frequency of Iprobe and time the sendCommand() function
      O.sceneToString() returns python bytestring with python3 (fixes #87)
      conclude mpi->master merge
      checkScript for mpi (currently failing for lack of default engines most probably)
      apt install python3-mpi4py
      add mpi4py to installation.rst
      workaround mpi issue with checkList.py (and other cases where a mpi script would be execfile'd)
      insert the default engines in mpiCheck.py
      skip checkMPI.py for the moment
      rename Correctness->Constantness for the original collider checkScript
      new collider corectness script
      no need to 'apt install mpi4py' now, it's in the docker image
      fix compile warning (and possibly wrong behaviour?)
      add reference data (from yadedaily 2018.02b-290bf6a54e~xenial) for new colliderCorrectness.py + make it a functionnal checkScript
      move checkColliderConstantness.py to skipped checks (because we don't want to freeze algorithms, we want correct results)
      why is mpi4py not in the docker image after https://gitlab.com/yade-dev/docker-yade/commit/644ffdad0feba9c625cb7ba7e741445ad8737c81 ?
      compile everything for this MR
      "apt install python3-mpi4py"  not needed now (hopefully)
      disable 'Giula' test
      last argument of interaction erase() is optional
      fix compilation without MPI
      MPI: make COPY_MIRROR_BODIES_WHEN_COLLIDE = True the default
      add path where mpi.h actually is on ubuntu 16.04
      try MPI_CXX_INCLUDE_PATH pathname
      remove trailing spaces in compile/link flags (policy CMP0004)
      fix trailing spaces inserted in flags by FIND_PACKAGE(MPI) (breaks policy CMP0004 only with openmpi v1 on ubuntu16.04 build)
      final (?) fix of CMakeList's ENABLE_MPI
      disable suse15 build
      enable all first 3 stages for all distros but suse15
      checkList.py: test checkMPI.py on multiple platforms
      try fixing mpi in docker
      gitlab-ci.yml:  OMPI_MCA_rmaps_base_oversubscribe=yes
      Revert "gitlab-ci.yml:  OMPI_MCA_rmaps_base_oversubscribe=yes"
      Revert "try fixing mpi in docker"
      Revert "checkList.py: test checkMPI.py on multiple platforms"
      fix checkMPI.py (locally)
      checkMPI.py on ubuntu16.04 only, else in skipScripts
      a more robust test for linux version == ubuntu 16
      redirect exception info from worker to master prompt + fix sendCommand() with single executor
      try mpicxx without gold linker
      Revert "try mpicxx without gold linker"
      Update .gitlab-ci.yml: replace mpi4py deb package by pip install
      Update checkList.py: check mpi for all versions
      Update .gitlab-ci.yml: experiment mpi4py install
      Update .gitlab-ci.yml: apt update before install
      Update .gitlab-ci.yml: workaround interactive pip install
      Update .gitlab-ci.yml
      Update .gitlab-ci.yml
      Update .gitlab-ci.yml
      revert previous experiments with pip install
      Update .gitlab-ci.yml: use pip install selectively for 18.04
      A note on mpicxx vs ld.gold conflict
      before mpi spawn, os.environ['OMPI_MCA_rmaps_base_oversubscribe'] = "yes"
      fix indent
      fix indent (2)
      fix tab(3) - note: typing tabulations in gitlab GUI is a pain
      revert 7846dacdc
      Update mpy.py (yes->true)
      export OMPI_MCA_rmaps_base_oversubscribe on Buster and 18.04
      export OMPI_MCA_btl_vader_single_copy_mechanism=none (https://github.com/open-mpi/ompi/issues/4948)
      check mpi script only, with more verbose output
      os.environ['OMPI_MCA_rmaps_base_oversubscribe'] = "1" (seems to be not exactly equivalent to 'export' in bash based on local failure statistics)
      checkMPI.py: consistent use of numThreads
      run mpi check in degraded mode
      Add yade.timing.runtime() which was lost in the merge somehow.
      checkMPI.py: change normalized error definition
      run all checks, mpi check only on 16.04 and buster
      decrease checkMPI.py verbosity
      Update checkMPI.py: fix displayed mismatch on Ek
      Update .gitlab-ci.yml: try the OMPI exports again
      include master in body-copy, else master bodies will never be visible to initially remote subdomains
      remove debug messages and decrease verbosity of mpi
      simplify and improve mpy.updateMirrorIntersections by handling master inside the same loops
      use default mpi settings in 3D_bissection example, and tune gravity and verletDist
      fix #92
      mpi: more tunning of verbosity and code cleaning
      checkSpawn.py will fail on same distros where checkMPI.py will fail, add it to skipList
      skip checkSpawn.py always for the moment
      Update checkMPI.py: less empty lines
      make the FEM code optional (why is it in /DEM btw??)
      more #ifdef MPI for mayCollide()
      no YADE_PLUGIN for BodyContainer (fix #93)
      boost exports BodyContainer
      try fixing #94
      code cleaning
      export OMPI_MCA_btl_vader_single_copy_mechanism=none for openFoam test
      do not use colorsys in checkMPI.py
      fix checkMPI.py
      two smallfix's in documentation
      a more robust cmake when cgal or pfvflow are disabled and dependent modules are enabled (2PFV, Thermal, PotentialParticles)
      proper detection of mpi4py by cmake (fix failed #include mpi4py.h on cluster)
      use 'python' as a possible component name for detecting libboost_python37 (case of Boost1.71 on Gricad clusters)
      fix cmake warning
      remove inconsistent findNumpy and fix finding boost_python version for boost>1.67
      fix cmake sequence (USE_WARNING_ERRORS modified after being passed to cmake)
      make sure boost_python will be linked
      avoid dual linkage against 2.7 and 3 versions of boost_python
      manual linkage of boost_python since boost1.71 will not link it apparently
      fix boost version check
      include *.nix scripts in trunk (derived from https://github.com/williamchevremont/nix-yade)
      smarter setting of vertexHandles size
      code cleaning (unused attributes and functions in Tesselation)
      continue cleaning (inefficient + untested + probably broken collider)
      remove unused #include
      fix compilation without ALPHASHAPE
      cmake accepts pre-defined PYTHON_EXECUTABLE
      add missing python dependencies to nix scripts
      fix finding python
      robust way of accepting user-defined PYTHON_EXECUTABLE
      dimentionless -> dimensionless
      +1 journal paper
      Fix ISCollider crash after reset()
      fix typo in InsertionSortCollider.cpp
      fix checkScript checkAvoidSelfInteractionMask.py
      make Collider::avoidSelfInteractionMask a non-static attribute (makes more sense)
      Better handling of sparsity in BodyContainer-ISCollider-ForceContainer + improvements of MPI parallelisation
      fix ENABLE_MPI=OFF compilation
      fix compilation with OPENMP and MPI=OFF
      relevant printed output in checkScript
      fix bracket
      fix unused variable with ENABLE_OPENMP=OFF
      recommit 56f68b7
      remove features addMove() and addRot() (it fixes #120)
      MPI: preliminary body reallocation functions and example
      MPI: some functions to migrate bodies between subdomains + concrete example
      MPI: insert re-allocation of bodies in the parallel colliding
      improvement of reallocation mechanism with a synchronous pairing system, concrete example in a 3D script
      MPI: comment out vtk section is example script
      fix no-MPI compilation
      fix false-positive runtime error with O.dynDt=False (raised by 'make doc')
      Fix O.dynDt=False again
      Revert "Make sure that pyInteractionContainer is not accessing a body with id==-1, which caused crash in GUI Inspect."
      fix inspector querying interactions with body -1
      install 'yade.py', a symlink to yade used for python imports
      fix copyrights (deprecated email adress + some new occurences)
      remove remaining FOREACH loops on bodies
      fix attribute name
      MPI: preliminary body reallocation functions and example
      remove features addMove() and addRot() (it fixes #120)
      fix minor merge conflict
      add files for mpy doc
      some more mpy doc (1)
      Update mpy.rst
      enable MPI initialization with empty scene and no script
      MPI: new example script
      MPI doc (2) + minor improvements
      mpi doc (3)
      MPI: fix QGL view of bounds (class index of Bound is -1 -> GL dispatching crashes)
      switch between intital and modified list of engines upon split/merge
      MPI: make an example script more fun
      smallfix for DISTRIBUTED_INSERT + inline doc
      MPI: new example script
      mpi doc (4)
      MPI: mp.initialize() enables a primitive python shell after mpiexec + code refactoring
      MPI: make mp.initialize(n) compatible with mpiexec + improve bodies coloring
      with DISTRIBUTED_INSERT detect maxId before inserting subdomains
      MPI: improved example script
      MPI: revert automatic setting of numThreads in example script (doesn't work yet with spawn)
      MPI: mpy provides colorScale for bodies
      MPI: remove 'mit' option, avoid crash on exit, no need to initialize() in user scripts
      clean exit of all possible executions (see preamble of the test script)
      code cleaning
      rename exemple script and add new ones for perf measurement
      MPI: fix default numThreads in mpirun (was blocked at initial value=1...)
      MPI: some helper function
      use minimal intersections (dirty code to clean)
      clean minimal intersection code (see 6df516dcc) + mpiStats for timings
      MPI: use timing_comm more systematicaly
      do not include mpy.rst in toctree yet
      smallfix
      fix usage of make_shared
      OMPI exports for all distros
      checkMPI on all distros
      no #include in yade namespace
      apply remesh interval properly (after N intead of N+1); fix hyperlinks in FlowEngine's doc
      remove debug message

Deepak Kunhappan (262):
      short note on the coupling
      Engine for openfoam coupling
      example script of foam coupling engine
      option for compiling foamcoupling engine
      Update CMakeLists.txt
      Fix a small bug
      fix a small bug
      Added mpilibs in the prerequisites and installation section.
      Fix references
      fix OpenMPI link
      Move the initMPI() function from FoamCoupling.cpp to _utils.hpp.
      Remove MPI_C_LIBS from CMakeLists.txt
      remove openmpi-common and libopenmpi1.10 from prerequisites, file: installation.rst
      fix isGaussian varible.
      add comments in the example script.
      Added "ENABLE_FOAMCOUPLING" detail in the installation.rst file.
      reset hydroforce before summation
      include the openfoam config files in the example dir, added comments in the example script
      Delete scriptYade.py : Deleting because, the file exists in example_icoFoamYade dir
      yimport.py to yadeimport.py
      correction in comments (line numbers)
      include description for ENABLE_FOAMCOUPLING flag
      ENABLE_FOAMCOUPLING to ENABLE_MPI
      change from ENABLE_FOAMCOUPLING to ENABLE_MPI in the optional packages section.
      Add details about the hydrodynamic forces and interpolation
      ENABLE_FOAMCOUPLING to ENABLE_MPI
      add openfoam coupling example
      test example
      remove empty lines
      reduce timestep for stability
      change dimensions to match low Re requirements
      maske example following low Reynolds number validity
      example for pimpleFoamYade solver (high Re)
      correct comment in example L64 : pointing to pimpleFoamYade solver.
      insertBodyAtId function, put body to container
      a fake bodycontainer to put bodies, serialize and send in messages
      expose insertAtId function to python
      serialize and deserialize container
      move from mpi_dpk to mpi branch
      function to insert interactions from recieved bodies.
      set interactions in master proc during the merge operation
      remove mpf.py from local branch
      cleanup : remove displaying of interaction sizes (std::cout)
      example for testing merge : based on sending bodies + setting interactions in master proc.
      comment on std::cout parts and add some comments for description
      change passing of shared_ptr<Interaction> by value to reference
      merge with interactions-> add flag : MERGE_W_INTERACTIONS
      add comment on subD.getRankSize()
      correct interactions: WIP
      correct interactions --> intrs insertion during merge : WIP
      fix compilation errors -> function prototypes for setBodiestoContainer and setBodyIntrsMerge in Subdomain.hpp
      set the subdomain for the newly inserted body.
      move interactionContainer->dirty from global merge to the point when new bodies/new interactions are set.
      bodies are now assigned--> 1. interactions & materials are first strored tmp, 2. oldbody=recvdbody, 3. set material and interactions ->(dealt by interactioncontainer)
      correct some issues with MERGE_W_INTERACTIONS, use the forceRunner as usual
      correct example--> shows the num interactions, forces and details
      correct merging operation and clearing of interactions in the master proc
      flag to count number of merges
      merge test example
      add param ranksSet
      remove std::cout
      print info on num real interactions
      WIP:bisection decomposition, serial and parallel
      minor fixes : Call MPI_Wait to complete and make sends safe, deallocate memory of send buffers after send completion for BodyCopy algorithm.
      revert change in L324: b->material
      revert change in L324: b->material
      Issue in global merge with interactions : segfault 11 in ERASE_REMOTE appears after random number of merge/splits
      Fix error : RuntimeError: vector::_M_default_append and some aesthetic code clean up.
      send bodies after 1st mergesplit : (sending bodies from master are optional), avoids scene broadcast for each split and prevents memory leak, thanks to copyBodyalgorithm.
      fix my mistake (accidental erase of reqs=[[req[0]] for req in reqs] in copybody algorithm -->
      recv bytearrays using comm.Send & comm.Recv from workers, message size is determined by probing (just for demo and test)
      change print statements to python3 syntax in example/test scripts.
      remove old bisection decomposition
      bisection domain decomposition
      bisection example
      two fixes : issue ERROR when body is not present in subdomain to avoid potential crash, delete char buff in receiveBodies function (this was leading to memory leaks)
      run for short duration
      run for short duration
      import from __future__
      import __future__
      python to python3 testOpenFoam.sh
      __builtin__ to builtins
      python to python3 in instructions
      throw exception if max vel of body exceeds imposed shear vel. python to python3 in instructions
      python to python3 in instructions
      try fixing issue #96
      fluidCoupling = yade.FoamCoupling() --> pipeline jobs fail with error "NameError: name 'FoamCoupling' is not defined"
      fluidCoupling = yade.FoamCoupling() --> pipeline jobs fail with error "NameError: name 'FoamCoupling' is not defined" (example pimpleFoamYade)
      options to insert/delete particles in coupling
      fix deadlock in broadcast, resize arrays before broadcast
      clean previous compilation files : ./Allclean.
      remove existing source for coupling (test on runner)
      fix merge operation with body reallocation
      hard code colours, removes dependency of colorsys, webcolors
      rebase from master
      fake subdomain to represent fluid grid bounds, use this to simplify locate particles in fluid grid and fluid proc
      option to split mpi communicator
      working comm split
      rebase from master, fix mpy.py
      correct indentation error at L877
      remove print statements.
      fix castTerminate
      set indentation
      suppress readding of mpi engines after loading simulation
      get subdomain ids from scene, and id of the subdomain of the current subdomain from scene
      set the subdomain ids to O.subdomainIds, and O.thisSubdomainId
      get fluid domain min and max bounds
      domain intersections, send intersections, check body type, send body data
      todo : verify particle detection in fluid solver
      method to detect if all particles are located v1
      add force/torque
      fibers in MPI example
      decompose fiber type bodies
      attribute fibreList for fibre bodies (gridNode+girdConnection)
      remove unsused function warning error in Bo1 functor for FluidDomainBbox_Aabb
      fibers decomposition modification in driver function
      fix some bugs/errors foamcoupling
      driver fucntion and fixes
      option to use GlobalStiffnessTimeStepper in parallel
      expose subdomain body id and mpi communicator to scene
      use GlobalStiffnessTimeStepper in parallel mode, (to fix doesn't work with set updateinterval)
      get communicator directly
      functions to set subdomain body ids to scene
      enable use of GlobalStifnessTimeStepper in mpi simulations
      function to run parallel coupling + flag for serial coupling
      flag to enable/disable parallel timestepper
      some fixes and additions : get dt from fluid procs, build local list of ids from global input of ids list
      add flag for fluid coupling, body ids for fluid coupling.
      update the serial version of coupling, option to insert/erase bodies from coupling : global list of ids and a list local to each proc.
      scene->mpiComm doesn't work, needs fix
      flag for parallel coupling mode
      option to set a global list coupling body ids
      check ranks, commsize to debug
      scene->mpiComm
      mpi communicator handle (pointer) in scene,getter and setter , (from Subdomain)
      pass communicator to scene
      use scene->mpiComm() communicator for all_reduce min operation on timestep
      in testing, to fix verify tracking method and communication of forces
      add flag for  parallel fluid coupling, set communicator to fluid coupling engine, bound functor for fluid grid bounding boxes, introduce a global list of bodies in coupling
      fix verifyParticleDetection
      remove std::couts
      small fixes, to fix intermittent crashes
      try fixing collider trigger every timesterp, fluidDomain bodies are not erased
      remove std::cout
      fix adding force and other minor fixes
      exclude fluidDomain body from unbond
      add flags for fluidDomainBbox shape, getters and setters
      skip fluidDomainBbox from integration
      setIsFluidDomainBbox parameter for fluidDomainBounding boxes
      some minor fixes
      scene has access to the subdomain (shape) and functions
      list of subdomain ids body id (subdomains) is a member of Subdomain class
      getters and setters for scene->subD
      add vtkIOParallelXML  to CMakeLists, in FIND_PACKAGE VTK
      vtkrecorder for mpi cases, to fix seg faults and data writing (experimental)
      almost working but loading .pvtu files fail
      parallel reader .pvtu ready, to fix seg fault in REC_INTR
      fix rec_intrs
      working interaction recorders.
      expose setIDstoSubdomain function to python
      use setIDstoSubdomain function to set the bodies owned by the master into its subdomain
      working VTKRecorder for yade-mpi, add comment on implementation.
      example demonstrating use of VTKRecorderParallel engine, GlobalStiffnessTimeStepper
      remove cout
      less number of fibers, reduce file size of fibnodes.dat
      fix rebase mistake on FoamCoupling
      fix rebase mistake on FoamCoupling
      remove large file, amend example
      amend file name fn to pfn
      small fix in filename
      with namespace yade
      with namespace yade on VTKRecorderParallel
      fix getComm
      set subD shape in scene via O._sceneObj
      add label to engine : InsertionSortCollider
      get collider from utils_typedEngine
      labels need to be set in userscript
      labels need to be set in userscript
      use double quotes for InsertionSortCollider, when getting collider using typedEngine
      forward declaration of class Shape, subD shared_ptr instantiated by boost::make_shared
      remove empty line
      use master's gitlab config gile (.gitlab-ci.yml)
      rename fbtest.py to exampleFibresMPI.py
      add comment in the coloring module
      fix comment quote
      projected bounds and median filter in CPP
      flag to use medianfilter and projectedbounds from cpp : USE_CPP_MEDIAN
      fix stupid mistake of index
      migrateBodiesSend in CPP, update of local ids.
      migrateBodies send
      fix bug when ERASE_REMOTE_MASTER=False
      update of intersections and mirrorInters in cpp
      rename checkNeedCollide to checkAndCollide, (fix rebase mistake)
      skip deleted bodies
      skip deleted body in computeTimeStep
      minor fix
      calculate cm just once, rewrite of while loop
      chane in medianFilterCPP function
      add timings, fix minor issues in body realloc fucntions
      rename USE_CPP_MEDIAN to USE_CPP_REALLOC
      remove redundant communicator in scene
      remove getters and setters for scene->subdomain, (redundant now.)
      fix on getting subdomain, ensure coupling works with body realloc.
      comment printing timings in body realloc
      parallel openfoam coupling example
      handle periodicity in subdomains, wip
      rewrite subdomain bounds for periodic case
      fix meanPos and bounds for periodic case
      remove calling of setPos function, as it is useless for calculating subdomain bounds for periodic boundaries
      remove updateDomainPos, useless
      explicitly add body ids for master subdomain
      remove previous testing functions
      remove previous test/toy and useless functions, correct bound calculation for perioidic cases
      minor fix loop through bounds with actual number of bodies in periodic case
      remove useless call to MPI_comm_rank
      cast double to unsigned int (for size of VecBound member)
      remove duplicate include for subdomain
      use master bracnch's gitlab config and checkList.py
      skip subdomain overlap from allowBiggerThanPeriod test, loop using vcBound size in perioidic case
      single VTKRecorder class for serial and non parallel case : wip
      working vtkRecorder excep multiblock(mpi)
      replace typedef with using keyword
      replace functor with lambda expression for sorting projectedBounds
      activate REC_SUBDOMAIN in parallel runs by default
      remove VTKRecorderParallel class (duplicate)
      remove subDoverlap from assertion (subdomains can have one or two dimensions larger than half the cell size)
      change branch for serial openfoam test
      modifications for serial case
      fluid bodies(fluid mesh bounding box) can have bounds larger than half of the cell size, skip them from testing allowBiggerThanPeriod condition
      skip collision between fluid mesh bounds and subdomains,
      skip adding sweep length to fluid mesh bounds
      do not avoid collision between fluid mesh bounds and subdomains
      some improvements
      mirrorIntersections can be updated in cpp, use in case of issues with mpi4py (haven't fully comfirmed yet)
      few fixes
      insert fluid domain mesh bounds before subdomains, option to use getMirrorIntersections from cpp, skip adding forces for fluid mesh bounds in master, (ACCUMULATE_FORCES)
      use non blocking sends in updateLocalIds
      comment on std::cout, and remove unused function
      flag and comment got cpp_inters
      move shape checking to seperate function
      rename function, fix typo
      small fix in recording peri cell
      remove std::cout
      minor fixes
      correct vtkrec example
      fix bounds setting in subdomain periodic case
      set correct preiod in spatial overlap peri for subdomain interaction, still needs fix
      fix rebase errors
      use body pos to get periodic shift
      revert previous setting of period
      remove duplicate line
      remove openfoam trademarks
      small fix to terminate
      parallel run example script
      parallel run example script
      parallel coupling test
      add spheres dir and scriptMPI to test
      change function signature to void
      remove useless vector of mpiStatus
      change prototype in header file
      correct eraseId function
      fix typo

François Kneib (104):
      [CMake] minimal changes to FORCE python 3.
      [Doc] Write small README.rst
      Update todo list in readme
      Update readme with status
      [Futurize] Pre-futurize changes: in python3, "raise" statement must be succeded by a standard error.
      [Futurize] A bit of cleaning before apply.
      [Futurize] APPLY FUTURIZE STAGE 1
      [Futurize] fixes after stage 1 (still running with python2.7 for now)
      Update readme and force python2 for now in cmake.
      Test changing string to wstring in materials
      Revert changes to reach the state before futurize --stage1.
      Revert changes to reach the state before futurize --stage1.
      Revert changes to reach the state before futurize --stage1.
      Revert changes to reach the state before futurize --stage1.
      Apply futurize stage1 without unicode_literals
      [Python3] Futurize --stage2 with default opts.
      [Python3] Replace pygts by Vaclav (woodem) one.
      [Python3] fixes after futurize stage 2. Mostly import syntax and indent.
      [Python3] Fix embeded PyInt no longer exist in python3.
      [Python3]Fixed an error at launch.
      [Python3] Say hello to Python3 !
      [Python3] Some "raise" and indent fixes.
      [Python3] Rename iterators "next()" python binding to "__next__()". Also assure python2 compatibility with bindings.
      [Python3] Fix direct import of some modules/packages (like geom) in scripts.
      [Python3] Update readme.
      [Python3] Drop old version of pygts.
      [Python3] Remove the "old_div" from the futurize --stage2 as it is buggy.
      [Python3] Fix pickling to Omega().tags and saveVars to zip. yade tests now pass 100% !
      [Python3] Fix GUI.
      [Python3] Update README, yade tests are now working.
      [Python3] Add a cmake option USE_PYTHON3 which is OFF by default for now.
      [Python3] Start to fix python2 with: builtins import, XMLRSPServer import, ld/DLFCN import
      Update .gitlab-ci.yml: install python3 required packages.
      [Python3] Removed "from builtins import str" which makes no difference in python3 but fixes things in python2.
      [Python3] This should fix python version selection for cmake<=3.7
      [Python3] Fixes to pass checks (import errors and fix _packPredicates to fit new pygts)
      [Python3] Fix import for python2
      [Python3] Clean examples as python3 doesn't deal with mix between spaces and tabs in indent lines.
      [Python3] Change pickle protocol to 0 in saveVars.
      [Python3] Update README.
      [Python3] Fix collider check (python3 and python2 do not loop over dicts in the same order).
      [Python3] Update .gitlab-ci.yml to do apt install at each step. Update README.
      [Python3] Add python3-ipython in packages install.
      [Python3] Replace `print ...` by `print(...)` in all rst files.
      [Python3] Fix doc, with references (bib2rst) disabled for now. Love to fix things before weekend :-D
      [Python3] Should fix doc compilation on gitlab.
      [Python3] Enable references again, replace python-bibtex by python3-bibtexparser.
      [Doc] Fix 2 references.
      [Python3] Add python3-bibtexparser to gitlab pipeline installation script.
      Update .gitlab-ci.yml, remove python3 installation packages now embedded in docker image.
      [Python3] Try to fix doc encoding error.
      [Python3] Try (again) to fix doc encoding error.
      [Python3] Further investigations on doc compilation error on gitlab pipeline.
      [Python3] Fix doc encoding, story continues...
      [Python3] Fix doc encoding, next episode...
      [Python3] Investigate sphinx latex not running (remove try...except).
      [Python3]Fix packings save/load in sqlite, thus fixing tunnel-pack.py example.
      [Python3] Digging a little bit more for latex-doc not working.
      [Python3] Try to make sphinx print the error msg.
      [Python3] Try to fix make doc with threads. This results in an error at the very end that can be ignored as doc is fully compiled.
      [Python3]Trigger gitlab build
      [Python3] Remove checkPolyhedraCrush.py from checks until it is fixed.
      [Python3] This should (may?) fix doc compilation on docker image.
      [Python3] Last try of the day to fix doc on docker.
      [Python3] Forgot something.
      [Python3] Fix boost search for all python/debian/ubuntu versions.
      [Python3] Doc: add a fourth pass for workarounds, remove -i option to cmake.
      [Python3] Doc: force utf8 while opening files to avoid encoding errors.
      [Python3] Fix backslashes in Yade.pdf on ipython outs.
      [Python3] Doc: fix class diagrams sizes in pdf.
      [Python3] Fix doc inheritance diagrams. Champaign, this should be the last commit to fix doc with python3 !
      [Python3] Fix python2 checks.
      [Python3] Change cmake behavior for python version:
      [Python3] Update doc.
      [Python3] Doc: add a comment in code to explain gitlab/docker bug (python exits).
      [Python3] Write doc for python3.
      [Python3] Fix yade-batch, http server, plot.saveDataTxt()
      [Python3] Fix 4 last examples.
      [Cmake] Automatically fallback to an older version of python if all packages and libs were not found.
      Fix CMakeLists.txt to find libboost_python on opensuze (hopefully)
      Allow simulations to be reproductible regardless of verletDist or serial/mpi implementation
      Fix periodic collider (issue due to ids swap) and use scene.doReproducibleComputation instead of InteractionLoop.loopOnSortedInteractions.
      Rename doReproducibleComputations by loopOnSortedInteractions.
      Fix last commit, forgot one occurence of "doReproducibleComputations"
      Revert "Fix last commit, forgot one occurence of "doReproducibleComputations""
      Revert "Rename doReproducibleComputations by loopOnSortedInteractions."
      Revert "Fix periodic collider (issue due to ids swap)"
      In collider, force interactions to be instanciated such as id1<id2.
      Merge mpf.py to mpy.py, tiny fix to make both produce the exact same simulation (wasn't the case).
      Removed testMPI_2D_withMerge.py, use testMPI_2D.py -ms instead.
      Start cleaning operation: make a clean communication timing class over mpi4py
      Update testMPI_2D.py to speed-up tests (6 mergeSplit within 1000 iters).
      Add mergeScene() comms to timing_comm (Gather and Gatherv).
      mpy.py cleanup, plus:
      Just a small goodie: master prints are now in bold.
      [mpy.py] Simplify updateDomainBounds() logic with using Allgather instead of a set of send/irecv.
      New MPI feature: copy mirror bodies when collide is needed.
      Copy mirror bodies improvements
      Allow simulations to be reproductible regardless of verletDist or serial/mpi implementation
      Replace InteractionLoop.doReproducibleComputations by Scene.loopOnSortedInteractions. Make code fit to master.
      Put eraseRemote in a function, call it before copy mirror bodies to avoid copying interactions of erased bodies.
      Revert some changes, force collider to create intrs with id1<id2 in all cases. To do reproducible sims, please use interactionLoop.loopOnSortedInteractions=True as before.
      Add an init method to Subdomain class that sets the rank, the commSize, and set a buffer size.
      Add MPI interactive mode (yade -mit X).

Jan Stránský (10):
      fixed some examples
      corrected parameter type in pyOmega::stopAtTime_set
      added MatchMaker for kn and ks of Ip2_FrictMat_FrictMat_FrictPhys
      fixed Py2/3 code if ENABLE_MASK_ARBITRARY=ON
      deleted unreachable and wrong code from export.textExt
      what argument of export.VTKExporter.exportXYZ is now dict
      improved docstrings of export.VTKExporter
      user's manual, fixed phys.normalForce() -> without ()
      fixed typo in Polyhedra.hpp docstring
      fixed python3 print in doneHook in peri3dController examples

Janek Kozicki (699):
      re-checked the examples. Needs clarification about helix.py and pv_section.py
      with cmake -DDEBUG=0 there is less spamming. I marked 4 four examples as fully working thanks to that.
      Fix OpenGL compilation problem in Gl1_PotentialBlock
      Note about the "Assertion '!swap' failed" message.
      PotentialPartcile examples: BlockGen is no longer creating empty files "BlkGen" and "BlockGenFindExtreme.txt"
      PotentialParticles & PotentialBlocks examples work nicely now.
      Amend github.rst doc with information how to pull a branch after it was rebased on the gitlab server.
      Fix examples/test/helix.py, add note ragarding paraview versions inside pv_section.py
      Remove last compilation warnings from Gl1_PotentialBlock.cpp and BlockGen.cpp
      I think I found a way to fix the ipython keybindings F12, F11, etc.
      Fix the banner, so that key name F12, etc are shown in bold using standard terminal ansi codes, and word help is underlined.
      Catch exception in case when there is nothing to plot
      Depending on ipython version the keybindigs registry sits in different places.
      getattr → hasattr, for greater compatibility.
      For even greater compatibility check this hasattr all the way down.
      Add note in docs about enabling ptrace in newer linux kernels; Fixed execution of an example inside documentation.
      Replace the "No help available" helpString() with something meaningful. We coud add there some more useful stuff.
      Fix numerous bugs in introduction.rst: not working examples, broken links, etc.
      Improve GLViewer::helpString() a little.
      Explain in documentation how BoundFunctor works.
      Explain in documentation how interaction geometry functor works - add missing picture.
      Better ScGeom docstring formatting, now it almost looks like the .rst file. Easy to read and write :)
      Add a litte longer explanation about what happens when collision does not exist, mention isReal.
      Improve existing image of dispatch loop (it wan invisible in html, in .pdf it worked), add example phys-functors and aw-functors.
      Added examples of concrete classes in Body and in Interaction, to give a borader view.
      Remove older image of dispatch loop, fix some typos.
      Fix typo in yade-iter-loop.svg
      Due to rendering problems in chromium and firefox I change the name of the source yade-iter-loop.svg file, so that sphinx will use .pdf and .png instead.
      Fix some typos found by Vasileios Angelidakis
      Fix typo in the picture showing in LawFunctor and LawDispatcher
      Add :caption: Inheritance graph of %s ; Fix graphs sizes in .pdf file.
      Fix bugs in tutorial-hands-on.rst - not working inline scrips, typos, links, etc.
      Fix crash (RuntimeError: Secondary views not supported) when trying to open a secondary View (F10,F11)
      Add :ref: to inheritance graphs, they can be now referenced from other parts of documentation. Add links to gitlab.com/yade-dev/trunk/issues/29 in list_of_examples.txt, fix some of tutorial-data-mining.rst
      Add extra info on qt-gui.png
      Add links to inheritance graphs in introduction.rst
      fix more broken links and typos in tutorial-data-mining.rst
      fix https://gitlab.com/yade-dev/trunk/issues/25
      fix :yref: to all _utils in tutorial-data-mining.rst
      fix examples in tutorial-data-mining.rst
      found a bug in PyRunner, needs discussion see: https://gitlab.com/yade-dev/trunk/issues/53
      small fixes in tutorial-data-mining.rst
      rename label newton to newtonCustomLabel so that the tutorial is more obvious for readers.
      Improve section Keeping history in tutorial-data-mining.rst
      Add example section to tutorial-data-mining.rst
      fix links to gravity deposition script
      Small fixes in tutorial-geo.rst about running example yade-batch
      Add figure with better explanation how yade-batch works.
      Small fix in defaultMaterial() docstring about correct invocation of .. code-block:: python
      Small fixes in periodic description, smaller radius to avoid "Body larger than half of the cell size encountered" message
      fix broken links in tutorial-advanced.rst
      Larger rMean so that tutorial-geo.html will not be flooded after  sp.toSimulation()
      Add :ysrc:`doc/sphinx/tutorial/05-3d-postprocessing.py` references to files, add one video
      Start work on more examples (maybe 215 of them?). Just introduce new almost empty chapter.
      Update list_of_examples.txt with information about whether a video of this example is uploaded.
      Write a script which automates creating videos of examples.
      uploaded some videos.
      Uploaded remaining videos
      Add some explanation inside an example script.
      Write script that will automatically add videos to doc/sphinx/tutorial-more-examples.rst
      First version of automatically generated tutorial-more-examples.rst with links to videos
      Mark with 'YES' which examples were added to tutorial-more-examples.rst, so that they won't be added again by this script.
      Fix :ysrc: link
      A little better list_of_examples_append_to_rst.sh, now it can regenerate entire tutorial-more-examples.rst
      Better automatically generated tutorial-more-examples.rst
      Fix hyperlinks in .pdf file
      More readable .pdf file
      Add tutorial-more-examples-fast.rst without embedded videos
      Add links back and forth between fast and slow page with videos.
      Add section in tutorial about using multiple plot windows
      Fix #12 - add to do documentation info about how to use multiple plots, add a video.
      Add the new video about multiple plots to tutorial-more-examples.rst
      Small fix: replace underscore '_' with space ' ' tutorial-data-mining.html#using-multiple-plots
      Remove Using multiple plots section from tutorial. Sorry about mixing it with the 129 videos merge request anyway.
      Revert "Remove Using multiple plots section from tutorial"
      Move the helper scripts to proper directory: scripts.
      Change path to ../examples/list_of_examples.txt from new place where scripts are located.
      Small fixes in first two sections of Programmer's manual: source tree and #include
      Replace tabs by spaces in table, becasue they did not align correctly on gitlab's 'Changes' info.
      Update Hosting and versioning section in Programmer's manual.
      Since last 3SR build was on 1st February I think it is time to Fix issue #49. Build robot info now points to gitlab pipelines.
      Fix some typos in Regression tests section.
      fix few typos in Conventions
      Mention of GlobalEngines and PartialEngines links to inheritance graphs
      Explain in caption of inheritance graphs what are those gray dashed boxes, e.g. in GlobalEngine. Make those gray boxes to link to their respective inheritance graphs instead of classnames below.
      Fix typos and non-working snippets in user.rst
      Fix name 'damping' is not defined
      Add .png versions of images yade-multi-gnuplot*.svg, because *svg is often badly displayed in a browser.
      Add link in example to user manual
      Fix link to iphyton website
      Fix link to inheritanceGraphMaterial
      Fix links to inheritance graphs in user manual, fix some inline code examples.
      Update info about returnSpherePack=True and spheres.toSimulation() instead of obsolete method O.bodies.append(spheres)
      Update link to esys-particle documentation. Comment out obsolete and false information about using GenGeo (but I don't know what to put there instead).
      Fix numerous links (also to inheritance graphs) and typos in user's manual
      More of typos and links in user's manual.
      Add links to secondary mailing list archive. Emphasize 'How to ask questions'.
      Change long nBodies into const size_t nBodies to avoid type conversion. And protect nBodies from changing by accident.
      I guess I have found the cause of the problem #55
      Fix issue #55
      Small fix in checkList.py: print the exception, count it as failure. Fixed #45, but checkPolyhedraCrush.py fails now.
      An older version of checkPolyhedraCrush.py passes tests with success! Fixed #45
      Change long VecBounds::size into size_t VecBounds::size();
      Remove obsolete assert( v.size()==v.vec.size() ); because it's the same thing.
      Remove size_t casts, which are no longer necessary.
      Make VecBounds::vec private, add necessary inline member functions, so that encapsulation of caching will be possible.
      Move all methods which will take part in ecapsuation of caching into single place
      Now it is possible to encapsulate caching, and that's what I did in this commit. We can toggle it on/off.
      Add some extra comments
      Enable VEC_BOUND_CACHING, so that I'll have a different yade version. This will simplyfy testing between 5f855ed80 and this one.
      cMake will correctly detect yade version when .git is a submodule.
      Attempt to fix multi-line comment warning when compiilng yade
      But this doesn't work, because of a bug in g++
      Fix #18
      Debugging why yade -Lscipy.interpolate is not working, no success.
      Create nearly empty checkColliderCorrectness.py script.
      Small fixes in the dispatcher table generator
      First seemingly reasonable version of checkColliderCorrectness.py
      checkColliderCorrectness.py: prepare to save 'reference' results from Collider 2bc5ac90b before fixing #55. So this will be from the version of collider tested for many years.
      Add 'reference' results, from git revision 2bc5ac90b before fixing #55, from the version of collider tested for many years.
      The checks/checkColliderCorrectness.py is ready!
      Remove #define VEC_BOUND_CACHING and finish work on #55. Now Collider is a little bit better :)
      Caption under inheritance graph will have links to classes that wil be discussed in other sections.
      Add note about packages esys-particle and python-demgengeo
      Move childSet(…) upwards, because I'll need it soon.
      Links in caption of inheritance graphs point to inheritance graph if it exists, otherwise they point to the class descrition.
      Add separate sections to manual about dispatchers, functors and internal forces, so that they are not in 'Other classes' anymore. And can be linked from Programmer's manual
      Fix link from yade.wikia.com to yade-dem.org
      Replace http://bugs.launchpad.net/yade with https://gitlab.com/yade-dev/trunk/issues, if issue does not exist on gitlab then mention that it's a bugreport on previous launchpad site.
      Small fixes in Programmer's manual up to 'Class naming' section.
      Small fix in comments regarding https://gitlab.com/yade-dev/trunk/merge_requests/73
      Add link to https://gitlab.com/yade-dev/trunk/issues/18 in comments.
      Fix sphinx syntax errors in HydroForceEngine.rst
      Fix link in --help
      More links to inheritance graphs.
      Fix some more links
      Remove obsolete info from tutorial. Other small improvements in documentation.
      Fix #56 mathjax does not support \multicolumn so I used \hspace{12mm} instead, and mathjax does not render to html \texttt inside \mbox, so I moved it outside \mbox.
      Add more links in tutorial-advanced.rst about creating videos
      Add a link to example tutorial videos online, that would work when clicked in .pdf file.
      Add a hint about reading documentation in the .pdf format.
      fix numerous links in .hpp files to documentation. Please remember to always use :yref:`ClassName::variable` or :ref:`section name <SectionNameAnchor>` and add an anchor in .rst file with .. _SectionNameAnchor
      A bit smaller picture size for TesselationWrapper
      Workaroud the bug in sphinx which cannot have clickable links in inheritance graphs in .pdf file, because sphinx cannot work with .ps files generated from graphviz. Instead I added the missing links into the figure caption.
      The extra links in caption to other classes is sorted now.
      Improve docstring for GlobalEngine & PartialEngine
      This diff will adapt number of jobs depending on the $CI_RUNNER_DESCRIPTION
      Update .gitlab-ci.yml, we can be more specific actually.
      Update .gitlab-ci.yml, and yade-runner-01 gets -j 1
      Update .gitlab-ci.yml. I've set concurrency=3 on 4pak. Let's see how long it is compiling with -j24
      Update .gitlab-ci.yml. OK, I think that 30cores is a reasonable maximum for concurrency=3. There is enough RAM. Just in some rare situations when 3 jobs run simultaneously on 64cores they will be slower, not a big deal.
      Update .gitlab-ci.yml. Added 6pak to yade runners. It's a little bit faster than 4pak. But can have only concurrency=1, because others use it too.
      Update .gitlab-ci.yml
      Looks like 6pak cannot handle -j 48. Not sure, I suspect problems with CPU temperature.
      Update .gitlab-ci.yml, fortunately yesterday's problem with 6pak was unrelated to gitlab-runner. We can use more cores.
      Merge branch 'adaptNumberOfJobs'
      Fix typos in FoamCoupling.rst, add :ysrc:`…` to example.
      Rename #ifdef YADE_FOAM → #ifdef YADE_MPI
      Fix some typos in documentation and examples. Fixed #60
      A little better titles of some chapters, propose a little different ordering.
      Add super-chapters in TOC to make the proposed logic clearly visible.
      Put CFD-DEM and FEM-DEM next to each other in physical-laws.rst
      Try different sectioning in TOC, maybe this will look better?
      Remove files which attempted to make super-chapter sectioning.
      Fix capitalization in section titles. Physical laws→Theoretical background, Miscellaneous→Performance enhancements
      FEMxDEM uses title more closer to original title, but a bit shorter.
      Restore previous tocdepth in .pdf after introducing new sections in .html
      Whoops, yade-runner is outdated. We must use 4pak, 6pak. I hope this will work!
      Revert prev.commit which added tag 'fast' everywhere. Instead I disable group runners fr now.
      Add extra anchor dem-background to not break older links.
      Add some rudimentary mathematical background in FEMxDEM description from [Guo2014]_.
      mathjax fix: \renewcommand{\mat}{\boldsymbol} - show matrix properly in FEMxDEM and other places.
      Try different TOC section names :)
      back to Performance enhancements?
      README.rst: Remove broken link to buildbot, add link to debian science team (salsa)
      fix broken link to beta.arcig.cz/~eudoxos/dresden2011/pres-3s.pdf, I uploaded newer (2011) presentation to our wiki, with updated class names.
      update .mailmap
      Remove execution bit from some *.cpp files.
      Add some extra explanations about rebasing and fixing the conflicts
      Add a bit more info in tutorial-introduction.rst
      Since ENABLE_PFVFLOW=ON by default I move the requisites into default apt-get install command, otherwise someone might have problems with compiling yade.
      Fix link to 'Getting help' section.
      apt install …… command tested on: 16.04, 18.04, 18.10, debian9, debian10. Assume that new users will install on 18.04, 18.10 or a new debian. So the 'extra' instructions are now for older 16.04 ← the inverse of what was before this commit.
      Add locales-all to 'make doc' dependencies otherwise 18.04, 18.10, debian10 can produce error: 'Building format(s) --all. …… fmtutil failed.'
      mathjax does not understand :math:`\textgreater`
      Small fixes and comment, link to cgal, put → instead of ->
      Again fix link to 'Getting help' section. Remove link to wiki/Contact, also I changed the link on wiki front page and added redirect in the wiki Contact page.
      Fix rebase conflict in .gitlab-ci.yml
      Fix rebase conflict in CMakeLists.txt
      README.rst: put 'good' readme on top, 'python-3 status' below. This will make it easier to merge later.
      Start fixing conflicts in installation.rst. I need to pull in 7 chroots for testing, so I push this now.
      [python3] apt install …… command tested on: 16.04, 18.04, 18.10, debian9, debian10. [python2] apt install not tested here, but was tested recently in 4d61e363b
      Add some note about python2→3 script migration.
      Add first column in examples/list_of_examples.txt to mark if example works with python3
      Fix "Jun" in references.bib, #pragma GCC diagnostic pop - to find bugs early we need all the warnings!
      Make base classes clickable by fixing makeBaseClassesClickable(…); Use dpi=300; for .pdf to fix pixelated/unreadable inheritance diagrams.
      print what scripts have failed.
      Try vim command ':retab' in an attempt to fix indentation in scripts.
      quick-fix until 7pak gets added to this file: set default JOBSNUM=40
      Temporarily add checkDEM-PFVPressureInjection.py to ignored scripts.
      Turns out that dpi=400 does not work on ubuntu 18.04. But works in all 6 other chroots! While clikable base classes work only on stretch
      [python3] Fix issue #70 - turns out it was python3 migration problem after all
      makeBaseClassesClickable(…); works on 16.04, 18.04, 18.10, debian9, debian10
      Small cleanup, remove dpi_fix.
      [python] checked 182 examples, had to fix 10 of them.
      [python3] fix vtk export.py and deformableelementsutils.py
      [python3] small update in script used for testing examples. Still 4 examples are not working in python3.
      small update in examples/list_of_examples.txt
      small note in list_of_examples.txt
      [python3 and python2] apt install …… command tested on: 16.04, 18.04, 18.10, debian9, debian10.
      Now README.rst is ready for merging. Everything works in python2 (excluding make doc) & python3 (excluding 4 examples).
      [Python3] Fix mpi openafoam examples.
      Fix OpenGLRenderer crash which happened when body was deleted at the same time when the interaction was being drawn.
      Fixed #48. Also added a note which should help in debugging requestErase(I);
      Add barebones for yade.libVersions module. This commit may later be useful for tutorial about adding yade modules.
      The .hpp file isn't necessary in this simple case, after all.
      Library version detection starts to work.
      Added compiler version detection and boost version detection.
      printAllVersions() starts to work with nicely formatted table
      Add some comments
      core/main/main.py.in: from yade.libVersions import printAllVersions
      Small fixes.
      Fix rst formatting printed by printAllVersions(True)
      Some small fixes in comments.
      yade --test ; --check now writes messages in colors.
      Add utilsModule to py/tests/__init__.py allTests[…]. It was never tested before!
      Add detailed info in documentation about how to add ne yade --tests
      Add libVersions to 'yade --test'
      Add detection of versions for qt, freeglut, gl, qglviewer, python
      Check what pipeline says about versions for python2.
      Improve qt and python detection.
      Add detection of eigen, sqlite, suitesparse.
      (switch pipeline to python3) Revert "Check what pipeline says about versions for python2."
      Added detection of openblas, metis. Now C++ detects all lib versions.
      Added versions detected by cmake.
      Small fix in eigen and mpi. Detection is good in C++, in cmake part it can be improved in some cases.
      Let cmake find #include path for openblas.
      Small fix with ${BLAS_INCLUDE_DIR}
      yade --test verifies that library versions from cmake and C++ agree with each other.
      yade.libVersions has complete documentation in docstrings.
      Fix issue #45, add warning to PolyhedraSplitter::action() and documentation about cgal versions.
      Few more small improvements. Add exception for cmake mpi detection because I don't know how to get correctly mpi version from cmake.
      Add extra note about problems with detecting mpi version by cmake.
      small fix
      Add a note about #include for openblas_config.h
      Rename allVersionsCmake() → getAllVersionsCmake(); allVersionsCpp() → getAllVersionsCpp(); for consitency with naming conventions.
      fix typo
      Use more cores.
      Add tags: fast for build. So that compilation will only use fast gitlab-runners.
      Try if yade-runner can handle -DCHUNKSIZE=4 to speed up compilation from 13m30sec to …?
      Use -DCHUNKSIZE=1 for master and -DCHUNKSIZE=4 for merge_request to make compilation faster by 3 minutes.
      Mention Gdańsk in 'Building, regression tests'
      Add 7pak to runners, make case statement to be multiline.
      Add stage for 'only: branches' so that pipeline will recompile outside a merge request (we can afford this now). Add extra comments.
      Add 'tags: workingrunner' so that 'brokenrunner' not activated. So you can test yade-runner-01 by replacing 'brokenrunner' with 'workingrunner' or putting 'tags: brokenrunner' in cmake stage
      Hm, I could not separate merge_request from branches.
      Remove 'only: branches' to avoid triggering two pipelines on each push.
      Fix issue #64
      Enable by default OpenFOAM & potential particles, as suggested in https://gitlab.com/yade-dev/docker-yade/merge_requests/4#note_165851503 and https://gitlab.com/yade-dev/trunk/issues/64#note_156328333
      Remove tags: workingrunner, it's too many tags, see https://gitlab.com/yade-dev/trunk/merge_requests/100#note_165850147
      Use separate names for cmake stages on master and merge request.
      [python3 and python2] [PotentialBlocks update] apt install …… command tested on: 16.04, 18.04, 18.10, debian9, debian10.
      printAllVersions(…) will sort alphabetically before printing.
      Fix issue #73, ccache now works on 16.04, 18.04, 18.10, debian9, debian10
      Add extra comment.
      Remove note from installation.rst about problems with ccache.
      Start fixing #63, maybe needs more investigation. Or maybe removing these INCLUDEs is just enough.
      Rearrange and add INCLUDE(GetVersion)
      rebase on !111
      merge_request: use 2 minutes faster linker; master: use regular linker.
      Add 'onlyOneScript = []' for easier debugging of scripts.
      checkList.py prints to stderr.
      trigger this bug in the pipeline.
      Revert "trigger this bug in the pipeline."
      Use ccache directory mounted from the host of the gitlab runner.
      Small fix.
      test ubuntu 16.04
      ccache is so fast that gitlab-runners build on four linux distros: ubuntu 16.04, 18.04, debian 9 stretch, debian 10 buster.
      set expiration date on artifacts, save on storage.
      Add cat /etc/issue after test.
      master also uses ccache. Increase JOBSNUM a bit.
      To make pipelines faster put doc generation into test stage.
      Since everything is ccached now, I can increase JOBSNUM a bit more.
      Bring back previous concurrency setting and high -j.
      Do full four distro checks only on master.
      Remove -DCHUNKSIZE=1
      (Fix #75) check*PressureInjection.py no longer leave some files after running.
      Fix warning: warning ‘volPart’ may be used uninitialized in this function
      Ah, no reason to throw myself, when I can use .value() to throw for me.
      Remove unnecessary import in dummyTest.py
      Add testColliderByGiulia.py to yade --test
      Note important when writing more docs: test scripts must be fully initialized in setUp(self)
      Remove unnecessary comments, add skip_4200_iterations=True so that this test is faster (and tests the same thing).
      Add bordercase test for a little different cellsize it must be OK.
      Small cleanup, keep only 'from yade.utils import *'
      Not sure what happened to deploy stage in master. Maybe renaming 'pages' stage will bring it back.
      Fix some warnings
      Introduce YadeCheckError Exception, make sure it works properly, I tested this on checkColliderCorrectness.py
      Use raise YadeCheckError(message) instead of resultStatus+=1; --checks are simpler to write now.
      Update documentation about simpler writing of yade --checks
      Remove printing output to stderr output.
      Small fix.
      Make Injection simpler: remove errors,errMsg; keep only YadeCheckError
      printAllVersions(): print yade config dir relative to ${HOME}
      Print linux version.
      Improve gitlab formatting used for pasting.
      Detect numpy version.
      Detect numpy and ipython versions.
      Better linux version formatting.
      Improve linux version detection.
      small fix
      Improve docstring for getLinuxVersion()
      Try cmake stage using first version of opensuse15 image.
      Try searching /usr/lib64/libboost_python-py3.so.1.66.0
      remove libboost python hack
      remove symlink
      Add more paths to find QGLViewer
      Enable more stages in .gitlab-ci.yml
      Quick install binutils-gold, later this should go to docker image
      Fix issue #77 and fix #39. ‘updateGL’ not declared
      Fix compatibility vtk7↔vtk8 name change of InsertNextTupleValue → InsertNextTuple; Remove mess introduced by prefious #ifdef YADE_VTK8
      Revert "Quick install binutils-gold, later this should go to docker image" This reverts commit 6f9fdd9120615cac3b9239ddb27c2f7365e41db8.
      fix vtk7↔vtk8: InsertNextTypedTuple↔InsertNextTupleValue
      Check if opensuse15 fixes work on all 5 distros.
      Go back to default testing on ubuntu 18.04
      opensuse: cat /etc/issue → cat /etc/*elease (show release version properly)
      Use shorter name suse15, so that pipeline view on gitlab looks good.
      Start writing a template in .gitlab-ci.yml
      Test cmake template.
      Use templates for all stages
      Small fix
      Compile on all 5 distros, to verify.
      Move only: master & merge_request to a template too!
      Disable compiling ALL on merge_request. MR uses now only ubuntu 18.04
      Small fix: the section 'only:' overwrites the template, not adds to it.
      [libVersions] detect sphinx doc version, update links to some libraries: numpy, ipython, gcc, suitesparse
      add citation
      Small fix in docstring
      Update yade link to debian package tracking system
      'Speed-up compilation': add section about 2minutes faster linking.
      Add binutils-gold note for opensuse15
      Add links to dockerfiles of supported linux distributions.
      Add more explanations about gitlab continuous integration
      Add warning that yade-daily packages are currently out of date
      Fix permissions (remove exec bit) on FindCLP.cmake, FindCuBlas.cmake
      Add note about printAllVersions()
      Small note
      Make this commit history a bit shorter with 'git pull --rebase upstream master' & 'git rebase -i master' & 'fixup' during rebase & git rerere
      Fine grained detection of MPI & metis libs. Re: https://answers.launchpad.net/yade/+question/680867 , https://answers.launchpad.net/yade/+question/681091
      small fix
      Make sure that #include <mpi.h> will work.
      Rename gitlab-runners so that they don't have _ or - in their name.
      Add link to optional prerequisite python3-mpi4py
      libVersions detect mpi4py version.
      Restore .gitlab-ci.yml from master except (1) new gitlab-runner names (2) keep a commented out command for oversubscribe etc. (3) still check MR on all distros.
      Enable checkColliderConstantness.py with new test data (interesting: changes are around 3rd decimal place.)
      In this commit I compared mpiArcheologists+rebase master+mpi-master-merge with current mpi-master-merge. And they were the same, except those few whitespaces+typo which I cleanup in this commit. This is good.
      Move files before they were deleted.
      Moved files before they are deleted (2)
      Restore both copies.
      Merge branch 'copied-files' into 'try-to-restore'
      Finally the history is restored!
      Add missing space (copy-paste didn't work).
      Move deformable elements to pkg/fem: 'git mv pkg/dem/deformablecohesive/* ./pkg/fem'
      Correct #include paths.
      Add note in examples that yade should be compiled with -DENABLE_FEMLIKE=1
      Fix https://gitlab.com/yade-dev/docker-yade/issues/1
      Make Gl1_Sphere::go(…) more readable.
      Add debug TRACE() into Gl1_Sphere::initStripedGlList()
      Revert "Add debug TRACE() into Gl1_Sphere::initStripedGlList()"
      Fix #89
      checkVersions() is called on startup to check yade compatibility tests with other libraries
      Remove leftover file cracks_.txt
      Debug #95 - print #warning message with info before compilation sometimes fails on ubuntu 18.04
      Remove duplicate 'only:' keyword, because we are compiling on all 5 distros anyway.
      Revert "Debug #95 - print #warning message with info before compilation sometimes fails on ubuntu 18.04"
      Add OpenFOAM test.
      Add mpiexec test script for pythoon3 testing.
      Move OpenFOAM test to separate script.
      set executable bit on testOpenFoam.sh
      python2 installation instructions: add python-mpi4py.
      Try fixing #95 by merging prebuild(cmake) + make into single step.
      Building documentation requiries carrying build/ directory as an artifact.
      Fix most of the new warnings in g++ version 8.3.
      Wunknown-pragmas → Wpragmas
      Add warning & error colors in the pipeline.
      Pass extra fdiagnostics-color=always argument
      Don't overwrite CXXFLAGS.
      Remove hundreds of warnings in OpenSuse 15 g++ 7.4 (only .gitlab-ci.yml pipeline), also ignore multi-line comment warning.
      Use local ccache directory.
      Test changes only on xenial
      Add export CCACHE_DIR=/root/.ccache
      Revert "Test changes only on xenial", because ccache now works.
      Fix #101, replace TeX command \leqslant with \leq (former is not recognized on xenial).
      building packages will not download all dependencies.
      test this change in MR.
      Restore old config: build debs on master only.
      Change docker image docker-yade:ubuntu16.04-py3 → docker-yade:ubuntu16.04
      Fix broken link to article about fixing git conflicts.
      Add links to COIN-OR Linear Programming Solver
      Set ENABLE_FEMLIKE=ON by default.
      Fix usage of CREATE_LOGGER macros. In some places the macro 'degraded' and produced some compilation errors.
      Add missing CREATE_LOGGER; Add macro CREATE_LOCAL_LOGGER(fileName.cpp); when logging filters are needed outside classes.
      CREATE_LOCAL_LOGGER should use the "filename.cpp"
      Rename to CREATE_CPP_LOCAL_LOGGER("filename.cpp"); Add a bunch of missing CREATE_LOGGER(ClassName);
      small cleanup
      Add TRVAR5, TRVAR6 to Logging.hpp
      Faster debugging: add -DTRACEONLY cmake option.
      Remove some old debug code in Clump.cpp and WirePM.cpp
      Enable boost::log - currently only super-trivial implementation.
      rename BOOSTLOG → BOOST_LOGGER
      Revert "Remove some old debug code in Clump.cpp and WirePM.cpp"
      Start writing specification for yade logging framework.
      Better formatting of the table with logging verbosity levels
      Use fewer columns, looks like .rst :widths: directive is not working.
      Update table a bit, add links with log levels used by other people.
      First careful revert of 014b11496. boost::log not working yet. But it is getting closer.
      Add nearly empty yade.log module: py/log.py & py/_log.cpp
      Write a little more in docstrings
      Add rudimentary testAllLevels() function.
      [log] Add empty functions addSink, clearSink, resetAllSinks (api design stage)
      A todo note.
      Remove all traces of TRACEONLY
      logger aliases, clean whitespace.
      Remove superfluous endl.
      Add rudimentary container for setting log levels per class.
      First version of DECLARE_LOGGER, CREATE_LOGGER that use boost::log
      Fix inline std::ostream& operator<< for logger.
      some small fixes and typos.
      Logging.hpp now has macros that use boost::log when enabled with -DBOOST_LOGGER=ON.
      Create Logging singleton to store log filtering data.
      Rename to CREATE_CPP_LOCAL_LOGGER("filename.cpp");
      Start implementation of filtration of logs depending on logger name
      More verbose messages in cmake
      improve testAllLevels()
      Remove LOG_THROW, LOG_MORE; add LOG_NOFILTER
      Small note about possible extension of py/log.py
      Store log sink pointer for later use and reconfiguration. Add (unused) option to enable colors in logs.
      Improve documentation.
      Small fix.
      Add -DBOOST_LOGGER=ON to cmake invocation, for testing.
      Fix initialization of Matrix3r
      Set table column widths to reasonable size: no test breaks in the column.
      Add MAX_LOG_LEVEL to CMakeLists.txt
      Use MAX_LOG_LEVEL to disable selected macros: for production builds it is faster to skip integer comparison for filters.
      first version of log.setLevel(…) which actually does something.
      Write in documentation about log.setLevel(NewtonIntegrator,log.TRACE) and MAX_LOG_LEVEL
      Small fix in CMakeLists.txt, use MAX_LOG_LEVEL properly.
      Print warning when -DBOOST_LOGGER=OFF, but someone tries to use it.
      small fix
      Improve documentation.
      Change signed char → short int; for filter level
      Set default log level to yade.log.WARN
      Print MAX_LOG_LEVEL along with other features.
      Improve docstring.
      fix typo
      Improve documentation.
      Change command line option for setting "Default"  filter level to -f
      Revert "Add -DBOOST_LOGGER=ON to cmake invocation, for testing."
      Better CMakeLists.txt verbosity about BOOST_LOGGER
      fix compilation when -DBOOST_LOGGER=OFF
      Allow selecting target output stream: std::cout, std::cerr, std::clog or some "filename.log"
      Add more user accessible functions to LOGGER api, and improve docs.
      Add log.setDefaultLogLevel(int)
      small fix
      Logging redirected to file is flushed immediately. No need to wait.
      Remove from comments the features of log4cxx which have been implemented using boost::log, so far.
      Remove throw std::runtime_error(…) from printNoBoostLogWarning()
      whitespace
      Enable log filtering
      Add file header.
      Improve documentation, small fix in CMakeLists.txt regarding detection of MAX_LOG_LEVEL
      Using LOG_NOFILTER will not produce warning message. Add a note about #97
      small fixes in docs
      improve colors in CMakeLists.txt
      Add function yade.log.setUseColors(bool) to toggle colors, small fix.
      Enable colors by default.
      Add color logging support.
      small cleanup
      Add screenshot to documentation, small update in header file.
      small improvements
      Add Logging config file support, readConfigFile(…), saveConfigFile(…); load default config on startup.
      Change falirs: FATAL_1 → FATAL ERROR; WARN__3 → WARNING; etc. Use different default colors.
      Improve documentation, fix links, mention saving config file.
      Improve documentation.
      rename BOOST_LOGGER → ENABLE_LOGGER
      ENABLE_LOGGER ON by default.
      Make setDefaultLogLevel(…) private to avoid duplicate messages
      small fix
      Add missing logger macros in Finite Element code.
      Small fix in documentation.
      whitespace
      fix doc
      small update in documentation
      Simpler function testAllLevels()
      Use default MAX_LOG_LEVEL=5, so that users who install yade from .deb package can provide us with LOG_DEBUG info when necessary.
      Add yade.log.getMaxLevel()
      Small fixes in docs
      Again small fixes in docs
      Add commented out section about measuring performance effect of MAX_LOG_LEVEL. When macros are more widely used it will be possible to measure the effect. Right now it is impossible to measure
      Remove the (empty) performance table for now. I might become useful later.
      Add some comments.
      Update comments & docs in places where recommended is MAX_LOG_LEVEL<=5 for production builds
      Small improvements in documentation.
      Some final touches in the yade.log documentation
      Fix https://gitlab.com/yade-dev/trunk/issues/102
      Add debian bullseye to build+test+check gitlab ci pipeline.
      Add compiler flag -Wextra so that compiler will print extra warnings.
      Fix 'unused parameter' and 'ignored "const" qualifier' and few other warnings.
      Use newer C++ standard from year 2014, to use new language features and possibly better compiler optimizations (latest available is 2017, would be great to use this one).
      Note in comments what would be the best target flags to find all warnings
      Add -Wshadow=compatible-local -Werror=narrowing -Werror=return-type -Werror=uninitialized -Wno-error=maybe-uninitialized (warn about shadowing (but only compatibile types), mark some warnings as errors)
      Fix some of -Wshadow=compatible-local warnings. (plenty)
      Fix some more of -Wshadow=compatible-local warnings.
      Fix all -Wshadow=compatible-local warnings.
      Since every possible warning is fixed, turn them all into errors. Except those impossible to fix: eigen (multi line comment, maybe uninitilized), OMPI (cast between incompatible function types). They will remain as warnings.
      Update target flags, to reflect that some are now marked as errors.
      Script list_of_examples_make_videos.sh will now go through only working examples - quicker to launch it and test all examples if they still work.
      Add small note in gravityBis.py (checked all examples)
      Use -Werror to turn all warnings into errors. (shorter version, same meaning)
      Tailor available warnings to what a given compiler version can offer.
      small fix
      Fix -Wempty-body warnings.
      Fix unused-variable warnings when LOG_* macros are not used and variable is not printed (not used at all).
      fix typo
      Add ENABLE_USEFUL_ERRORS=ON. Using =OFF will result in using flags from before this work: without -Wextra, -Wshadow and more. This is for people who try to compile yade on untested/unsupported linux distributions.
      Fix -Werror compatible-local for ubuntu 18.10 which has a combination of eigen 3.3.4 and g++ 8.2.
      small fix
      Use previous fix also for ubuntu 18.04
      numpy 1.11.0 has unused-function, 1.13 does not. So we have to print warning when it appears.
      Detect earlier numpy version.
      Improve comments
      Don't overwrite data/checkColliderCorrect.txt on each yade --check (small mistake, git diff would have spotted this anyway in case of problems)
      Rename github.rst→gitlab.rst; ln -s gitlab.rst github.rst ← create symlink to not break all old references.
      Change in *.rst file from github.rst → gitlab.rst
      Rename rst label: _yade-github-label → _yade-gitlab-label
      Rename gitlab.rst → gitrepo.rst
      Change in *.rst file from gitlab.rst → gitrepo.rst
      Rename rst label: _yade-gitlab-label → _yade-gitrepo-label
      Compile and yade --test without OpenGL.
      Use image yade:ubuntu18.04_nogui for this test
      Fix #108
      Add extra warning in the comments, to avoid such mistake in the future.
      Add :ysrccommit: to link specific commit from gitlab repository
      Use :ysrccommit: to link in places where line numbers were used.
      Trying to link to a line number with :ysrc: will produce an error.
      Add :ysrccommit: description to manual prog.rst
      Improve documentation abuot :ref: and Linking to `inheritanceGraph`
      Fix link to example figure :width:
      small fix
      ENABLE_MPI=0 until we find out how to use MPI in clang.
      Remove -fdce from clang compiler flags.
      Remove duplicate ENABLE_USEFUL_ERRORS section.
      Fix #113, compile without warnings with -DENABLE_LOGGER=OFF
      Workaround libeigen bug with g++ 9: enable warning deprecated-copy
      Workaround issue 115: allow 26 or 27 acoustic events. Results vary depending on some library versions. Probably due to floating point numerical error. See https://gitlab.com/yade-dev/trunk/issues/115 for the list of suspects.
      Add tags: fast to package building. So that 7pak can safely run 15 concurrent jobs.
      More readable 'useful errors' section. Reaname USE_WARNING_ERRORS→WORKAROUND_LIBRARY_WARNINGS, use ALL_ENABLED_USEFUL_ERRORS.
      Prepare code to enable float-conversion warning, never use abs(…) without std:: due to this mess: https://stackoverflow.com/questions/21392627/abs-vs-stdabs-what-does-the-reference-say
      Fix bug found by float-conversion warning: the x,y,z were converted to Eigen::Index and they were interpreted as column numbers in the matrix: 0,1 or 2. (note: in ubuntu 16.04, we have to calculate this with some extra routine, I've put an assert to make sure that any potential problem is caught early).
      Use -Wfloat-conversion -Wcast-align warnings, make sure that older cmake versions do not switch back to C++11, use C++14 instead.
      Add -Wformat-nonliteral -Wdisabled-optimization -Wtrampolines -Wpointer-arith -Wswitch-bool -Wwrite-strings
      Add -Wnon-virtual-dtor warning.
      Note what warnings were not fixed (some are in external libraries, some are not worth it).
      Add more comments.
      Don't print warnings that are not errors. Except for 'maybe-uninitialized' and '#warning' pragama. These are always printed, beacuse they are very useful even when some libraries trigger it.
      Now gitlab will start checks/tests as soon as the previous make_* is finished. This will be a bit faster.
      Add 15 minute timeout for test and check jobs in gitlab CI
      Mention link to documentation of :ysrccommit: when :ysrc: tried to link to specific line number.
      Mention R"""(raw text)""" docstring style in the documentation.
      Try different JOBSNUM setting trying to maximize gitlab runners efficiency.
      Adjust JOBSNUM setting in order to maximize gitlab runners efficiency. Now a fully ccached gitlab-ci job is 10 minutes, while a non-ccached (recompilation) job is 34 minutes.
      The check scripts are testing whether the tested feature is present in yade.config.features (sometims the tests were failing)
      OpenFOAM test uses relative paths, so that it will work in other places too.
      Fix compilation with -DENABLE_OPENMP=OFF cmake parameter.
      Fix compilation with -DUSE_QT5=OFF, yade --test and --check are OK. But py/yade/remote.py fails with No module named 'PyQt4' (maybe it's time to remove QT4 support completely?)
      Fix yade --test with PotentialBlock debug build
      Add -DENABLE_MPI=OFF test to .gitlab-ci.yml
      Add more gitlab-ci tests: (1) debug build (2) minimal build (3) other settings are set different than the default values.
      Rename _other → _opposite, add comment explaining that this gitlab-CI job is meant to try cmake settings opposite to the default values. But don't touch these that turn off compilation of significant amount of code.
      Disable some gitlab-CI jobs depending on whether it is a Work In Progress merge request or not.
      Increase CI test timeout to 25 minutes.
      Add check test of avoidSelfInteractionMask based on https://answers.launchpad.net/yade/+question/682290
      Fix #118 fix #106, .add_property(mask, … ) was ignored without MPI.
      Add 'make doc' for debug build, only master and non-WIP merge requests.
      Improve comments in Logging.hpp.
      Update .mailmap
      Use std::is_same to check if CGAL's Traits::RT == Real
      Add file with commonly used namespace aliases: lib/base/Namespaces.hpp
      start journey towards `long double`, `float128` and `multiprecision::mpfr` as Real, by working on issue #57: add namespace yade (this commit has "simple files" only)
      Add namespace yade (simple files only)
      Add namespace yade (more simple files) - fix https://gitlab.com/yade-dev/trunk/issues/57
      Make sure there is no #include inside namespace. Mostly OPENGL related.
      Let all python modules (files with macro BOOST_PYTHON_MODULE) use correctly namespace yade
      Clean namespace pollution: remove useless 'using …' directives.
      ctags cannot sometimes detect class names, when they are inside macros, etc. So create anchors inside forCtags{};
      Change Math.hpp to use namespace yade. Minimal changes only. No cleanup yet for boost::multiprecision or float128.
      ClassFactory and Serializable use yade namespace. Update documentation respectively.
      Update customConverters.cpp respectively.
      Extract duplicate CGAL 'using … = ' directives into single file lib/base/AliasCGAL.hpp
      Explain a bit more in the docs how namespace collisions can be dangerous.
      Fix clang compilation
      Improve script for automated testing of all yade examples (copy example directory to /tmp with auxiliary files together)
      Add counter that prints progress when testing all examples. Improve instructions.
      Fix debug mode compilation.
      small fix
      Improve code readibility.
      Write documentation section about adding new python / C++ modules.
      Remove duplicates of declaring std=c++14. with set(CMAKE_CXX_STANDARD_REQUIRED ON) cmake adds 'std=gnu++14' by itself. So it is configurable in single place.
      Note in documentation that FOREACH is deprecated.
      Remove few more FOREACH. Now all are removed from core/ and lib/
      One more example in documentation.
      Start work on test_GUI for gitlab pipeline.
      don't call thread info in gdb (on some gdb versions it doesn't work), add tag for ctags.
      Make sure that pyInteractionContainer is not accessing a body with id==-1, which caused crash in GUI Inspect.
      testGui.py can now switch the GUI Inspector tabs, makes screenshots and exits correctly
      Add extra check in testGui.sh (bash) if screenshots were generated by testGui.py (python)
      Small cleanup, add some comments.
      Move GUI test into test_definition, but add guard called NO_GUI to skip this testing when required.
      Make screenshot after yade finishes.
      Enable gui test for opensuse
      Revert "Enable gui test for opensuse" (GUI does not work with freeglut 3.0, so OpenSuse default install is not going to work until freeglut fixes their bug)
      Move test scripts into gui direcotry.
      Move screenshot routine to another file.
      Make the test a bit more interesting by manipulating yade.qt.Renderer() parametrs ('display' GUI tab)
      Move makeScreenshot.py file.
      Install the GUI test helper, so that import will find it.
      some small fixes
      Create a test loop, in case if we wanted more GUI tests.
      Add testGuiEmpty.py for testing a totally empty simulation.
      Small fix of bash loop
      Use a different name for screenshots, better sorts alphabetically.
      use full xterm path
      make test more realistic by simulating clicks on screen.
      Tell xterm to pass everything to gitlab-CI
      Some xterms do not support output to stdout. So let's use tail.
      Make sure we have necessary tools.
      Add notes how to run testGui.sh script locally.
      Make sure there is no tail command left running in the background
      Do all GUI testing via mouse clicks.
      Improve comments in testGui.sh, better checks if needed tools are present.
      Add note that testGui.sh should find files automatically just like checkList.py
      Shorter sleeps, draw bounding volume.
      Place clang-format off/on guards before/after every YADE_CLASS_BASE_DOC_* macro.
      Try to find some nice .clang-format. However YADE_CLASS_BASE_DOC_* macros need // clang-format off, // clang-format on, before and after
      Change ColumnLimit to 140 and sort the keywords (easier to compare with documentation).
      Use glBegin, glEnd blocks with indentation, like they were indented before. Allow MaxEmptyLinesToKeep: 2.
      Some small adjustments trying to reduce total number of changes.
      Note in documentation about reformatting.
      Fix the includes that will be missing after a 'full reformat' is performed.
      Fix comiplation problem due to ordering of includes after 'full reformat', now they are in this order: lib, core, pkg, gui
      Add clang-formatter.sh script, tested on ubuntu 18.04 18.10 19.04, buster, bullseye, sid suse15.1. It accepts (1) dir (2) file (3) checks for uncommitted changes (4) prints stats afterwards.
      Make sure that .clang-format works on older linux distributions (xenial, stretch)
      Make sure that successive reformats do not change code again and again.
      temporarily don't reformat OpenGLWrapper.hpp (float128 changes are coming soon)
      Longer wait after self.clickOnScreen(…) in case if build servers are very slow.
      Wait max 5 seconds for Inspector window to appear, check every 0.25sec. (in case if build servers are very slow).
      Include boost/python/…/wrap_python.hpp instead of Python.h. Always as first one. See https://www.boost.org/doc/libs/1_71_0/libs/python/doc/html/building/include_issues.html
      A little more detailed energy check in checkSaveLoadClumps.py
      Fix broken static_assert in OpenGLWrapper, now we can be 100% sure that primary templates are never called. This is going to be very useful for high precision calculations.
      Add small note
      Change some forgotten `double` → `Real`
      Switch HydroForceEngine into using `Real`.
      Move debug test, check and doc into make_tmplate; Enable it like ASAN. Hopefully will not waste time on upload/download of huge debug artifacts.
      Remove excessive compiler identification checks. Leave only rudimentary one.
      Add clang test & check
      clang-format will align comments at end of the successive lines. Use empty line to start comments at different indentation.
      Detect intel compiler version.
      Add -Wreturn-local-addr to ALL_ENABLED_USEFUL_ERRORS
      Don't preemptively block float128 support (1.2f is float, 1.2L is long double, 1.2Q is quad; https://en.cppreference.com/w/cpp/language/floating_literal ; https://www.boost. org/doc/libs/1_71_0/libs/multiprecision/doc/html/boost_multiprecision/tut/floats/float128.html)
      small cleanup, add links to yade-dem.org/doc/prog.html#sphinx-documentation in few places.
      Use PyErr_Print(); in case when importing python module 'raised unreported exception', to make python/C++ boundary easier to debug.
      Explain in documentation how to handle python/C++ exceptions and transfer them upwards to python.
      small clarification in documentation.
      extra newline is necessary for correct .. ipython:: parsing in .rst
      More clarification in documentation.
      Fix typo: alogrithms ↔ algorithms
      Auto retry gitlab-runner failed jobs.
      Remove unused mutex
      Make sure ThreadRunner isn't destructed while ThreadRunner::run() is running, which would result in a crash. Allow the running thread to finish early if it decided to check the shouldTerminate();
      testLibVersions only warns about non-matching version numbers. Does not fail the tests. Although these non-matching version numbers might have bad consequences later.
      Use native cmake's CGAL detection instead of cMake/FindCGAL.cmake file.
      Link conditionally with CGAL libraries
      Remove debug info
      Fix flags in make_opposite pipeline.
      Fix ENABLE_DEFORM compilation.
      Add test -DENABLE_VTK=OFF to the pipeline.
      reinstate pragma ignored "-Wcomment"
      Make sure that read-only attributes are shown in gray color (inactive) in  GUI Inspector.
      Update documentation about how to expose in GUI non-attributes, e.g. Interaction::isReal()
      Remove duplicate attribute registration in Body.hpp
      YADE_SPH : Remove duplicate attribute registration in State.hpp (not sure if they should be readonly, because that was the side effect of duplicate registration).
      Expose isReal() in GUI by adding a virtual py::dict pyDictCustom() const { … } function.
      Merge hint into main text.
      A more direct link to example of new function pyDictCustom()
      Add extra newline, to workaround gitlab from always showing this last line as changed.
      Mark suspicious line of code in core/Subdomain.cpp
      Propose a fix for Subdomain::probeIncoming
      Mark line with missing return.

Jean Pourroy (2):
      Update setStateBoundsValuesFromIds
      Update mpf.py

Jerome Duriez (16):
      Removing useless InteractionLoop.eraseIntsInLoop
      Polyhedra: doc and removing useless (unused) dynamic attribute in utils functions for creating related bodies
      Python docstrings
      JCFpmPhys: making some recent attributes hidden to Python. They are anyway not convertible at the moment
      JCFpmPhys: changing AE attributes from hidden to visible and convertible (C++->Python only atm)
      Removing inconsistent const keywords in function definition
      A more minimal version of changes, thanks to Bruno s MR 174 for inspiration
      Minus empty lines, plus two-way Python-C++ conversion of shared_ptr<Interaction>
      Doc (and default values for 2 args, as in C++) for utils.scalarOnColorScale()
      Doc typos (and little rewording in Intro)
      Periodic Engine doc: with mention of realPeriod units (seconds)
      Engine doc: typos and unit of timing info (nanoseconds here !)
      VTKRecorder: including for good bstresses in recorders = all, as for any generic recorder
      Cell.velGrad (nextVelGrad) doc
      Removing redundant yade-docref.bib
      Adding commas at the end of year line in bibtex entries. Trying to solve https://gitlab.com/yade-dev/trunk/-/jobs/361431525 failure

Jérôme Duriez (2):
      Typo in installation.rst
      Update citing_yade.bib: uppercase "DEM" instead of "Dem" when output by BibTex.

Kneib Francois (1):
      Add my contributions :

Robert Caulk (66):
      reduce unnecessary copies of factor
      use imgmath
      try newcommand with mathjax on buildbot
      try editing layout to fix symbols
      Remove possible comment starters for now in layout.html
      Add pound signs back back
      try delimiting with raw
      add remainder of preamble
      fix sort pics et al in formulation
      gpu doc update
      fix gpu doc figure on HTML
      Update GPUacceleration.rst
      add comsol instructional guide to yta
      add link to helper files
      fix broken doc link in cohfrict mat
      fix intertia calc in clump, thanks Bokkisa Vivek https://answers.launchpad.net/yade/+question/680398
      add hackathon doc to YTA
      Fix radius correction error in weibulldistribution (thanks Klaus Theoni)
      change default solver and update accuracy of useSolver documentation
      [WIP] Replacing unnecessary CHOLMOD_LIBS flag with cmake-step-defined and already CHOLMOD dependent LINSOLV flag (cleans the code and fixes launchpad 681146, where solvers >0 where not compiled since CHOLMOD_LIBS flag was not explctly defined)
      Add 3D domain decomposition tools and example script
      fix bound arguments
      add scripts for running parametric sweeps to test strong scalability and pyrunner timing comparisons
      prepare strong and weak scalability test scripts, to work with our parameter tables
      fix typos
      add walltime check
      fix errors
      fix typo
      add sub objectives list
      remove aligned box from strong scalability script
      add check test for JCFpm acoustic emissions module, add seed functionality to TriaxialTest and randomDensePack, update author list in JCFpm source
      Check JCFpm cracks file
      Add ThermalEngine features such as cavity model, parallelization, heat transfer coefficient based on RE, fluid conduction, air compressibility etc.
      checkpoint for parallelization tweaks, velocity controlled reynolds numbers, and more
      add citation to DEM8 conference paper
      dont modify unrelated example scripts
      pass two phase flow tests
      activate thermalEngine by default
      fix 16.04 compiler error, add engine description for documentation
      add DEM8 papers to yade-conferences.rst
      collect and use return value in pyboot.cpp
      Add error message instead of silently allowing zero volume pores to interrupt velocity calc
      Revert !149
      adding alphashape based boundary conditions for flowengine
      working checkpoint for alphashape boundary with constant value, without fictious bounding vertices
      fix compiler error for 16.04
      clarify alphashape documentation
      protect against rare null vertices and throw error to warn user
      add example script for alphashape in flowengine
      removing couts
      improve cavity logic, revert distance estimate in circumcenter()
      Remove unnecessary definitions
      reformat doc so that future devs can easily add their recorders to it, protect against adding junk SPH and DEFORM values in recorders=all
      remove commented out historic string
      plug flowengine leaks, increase code flexibility for GPU usage and linking to custom suitesparse libraries
      remove cout
      update doc
      remove potential blocks from cgal message
      avoid losing control of vector memory consumption
      reformat doc so that future devs can easily add their recorders to it, protect against adding junk SPH and DEFORM values in recorders=all
      Ensure conduction without advection if desired
      add minimumPorosity attribute to flowengine
      Update yade-articles.bib
      Clarify compilation instructions
      increase clarity of PSD doc
      slim down thermalengine requirements and apply clangformater

Vasileios Angelidakis (147):
      Debug PB
      Correction (more precisely, rearrangement) of Inertia Tensor values.
      Include the ENABLE_POTENTIAL_BLOCKS option in the comments. Enable the MarchingCube.cpp when the POTENTIAL_BLOCKS are enabled.
      Include potentialparticles.rst in the documentation.
      Include the ENABLE_POTENTIAL_BLOCKS option in the comments.
      Include/Amend references: Houlsby2009, Boon2012, Boon2013, Boon2015.
      Include Boon’s thesis (Boon2013b).
      Remove “dynamic=True” statements and other redundant parts.
      Remove “dynamic=True” statements and other redundant parts.
      Remove “dynamic=True” statements and other redundant parts.
      New visualisation code using CGAL. Creation of wireframe view for PB s. Assignment of color to PB s.
      New visualisation code using CGAL. Creation of wireframe view for PB s. Assignment of color to PB s.
      Creation of wireframe view for PP s. Assignment of color to PP s.
      Creation of wireframe view for PP s.
      New option to assign uniform color to the particles generated by the BlockGen algorithm, otherwise select random colors. Removal of default Aabb enlargement factors (1.02).
      New option to assign uniform color to the particles generated by the BlockGen algorithm, otherwise select random colors.
      Remove unused function invoking MOSEK.
      Remove unused function invoking MOSEK.
      Remove unused function invoking MOSEK.
      Remove unused function invoking MOSEK.
      Remove default values of variables.
      Isolate potentially redundant parameters to be removed in the future.
      Normalise normal vectors of faces. Store vertices. Check for duplicate vertices.
      Improve variable descriptions. Hide redundant parameters with Attr::hidden.
      Stop writing the vertices of the Aabb in the PB shape class. Removal of default Aabb enlargement factors (1.05).
      Removal of default Aabb enlargement factors (1.05).
      Removal of unused #include statement.
      Removal of duplicate #include statement.
      Removal of unused #include statement.
      Removal of duplicate #include statements.
      Include PB image in the documentation
      Include PB image in the documentation
      Include PP image in the documentation
      Documentation on how to use the Potential Particles and the Potential Blocks
      Add CLP to libVersions
      Add CLP to libVersions
      Update CMakeLists.txt
      Resolve OpenGL conflict when YADE is compilled without gui
      Fixed typo. CLP is used only for the Potential Blocks.
      Update PBs doc for automatic volume-inertia calculation
      Update example for automatic volume-inertia calculation
      Update example for automatic volume-inertia calculation
      Change of VTK iterPeriod
      Update BlockGen for automatic volume-inertia. Boolean whether to output BlockGen data in a file or on the terminal. Comment out unused functions
      Boolean whether to output BlockGen data in a file or on the terminal. Comment out unused functions
      Automatic calculation of volume-inertia-distance R. Centering of the particle to its centroid
      Comment out unused structs
      Remove comments and halfSize attr
      Remove comments and halfSize attr
      Check example for BlockGen
      Check example for Potential Blocks
      Data for checkBlockGen. Rock joint-set properties
      Automatic calculation of volume-inertia-R. Centering of the particle to its centroid.
      Enable PBs even if CGAL is not enabled
      Skip Gl1_PotentialBlock functor if CGAL is not enabled
      Skip Gl1_PotentialBlock functor if CGAL is not enabled
      Replace some C arrays with vector. Use .empty(). Add comments as reminders
      Use .empty()
      Replace some C arrays with vector. Use .empty().
      enable PBs for compilation with clang
      Add RockLiningGlobal reference
      Include allowViscousAttraction, traceEnergy flags. Replace Knormal_area/Kshear_area with kn/ks
      Include allowViscousAttraction, traceEnergy flags. Move twoDimension, unitWidth2D to IGeom functor
      Move twoDimension, unitWidth2D to IGeom functor. Correct volume and inertia values
      Initialize variables outside of loop
      Remove whitespaces. Update attrs docstrings
      Update attrs docstrings
      Remove whitespaces. Fix indentations. Use Mathr::PI. Remove duplicate code
      Remove redundant parameters. Update attrs docstrings
      Create compliance with periodic boundaries for PBs. Comment redundant parameters. Fix indendations. Add TIMING_DELTAS macros. Move unitWidth2D from KnKsPBPhys. Restore functionality of evaluatePhys. Replace getPtOnParticleArea with getPtOnParticle2. Declare variables outside of loops
      Include shift2 parameter in functions, to comply with periodic boundaries. New variable unitWidth2D, moved from KnKsPBPhys
      Create compliance with periodic boundaries for PPs.
      Include shift2 parameter in functions, to comply with periodic boundaries. New variables twoDimension, unitWidth2D, moved from KnKsPhys
      Create compliance with periodic boundaries for PPs. Move unitWidth2D to IGeom functor. Replace Knormal_area/Kshear_area with kn/ks. Use Mathr::PI
      Comment out redundant parameters. Update attrs docstrings
      Create traceEnergy feature. Create individual functions: elasticEnergy, normDampDissip, shearDampDissip, plasticDissipation, initPlasticDissipation, ratioSlidingContacts. Add TIMING_DELTAS macros. Control whether to allow attractive viscous forces. Reduce if statements. Replace Knormal_area/Kshear_area with kn/ks. Use Mathr::PI. Calculate shift2, shiftVel for periodic boundaries.
      Comment out redundant parameters. Update attrs docstrings. Introduce energy-related functions
      Declare variables outside of loops
      Comment out redundant parameters. Update attrs docstrings
      Declare variables outside of loops
      Comment out redundant parameters. Update attrs docstrings
      Minimise script. Introduce aabbEnlargeFactor
      Remove unused parameter halfSize
      Remove trailing whitespaces
      Remove trailing whitespaces
      Remove trailing whitespaces
      Remove trailing whitespaces
      Comment unused parameters for 2D
      Include allowViscousAttraction, traceEnergy flags. Replace Knormal_area/Kshear_area with kn/ks. Move twoDimension, unitWidth2D to IGeom functor
      Introduce new check-script for the Potential Particles
      Remove whitespaces. Fix indentations. Use Mathr::PI. Remove duplicate code
      Remove whitespaces. Fix indentations. Use Mathr::PI. Remove duplicate code
      Fix typo
      Remove duplicated problematic code to calculate centroid, volume inertia. Calculate these invoking PotentialBlock::postLoad
      Comment out the removed methods
      Write (ordered) vertices of each plane in the planeStructs, removing duplicate ones. New parameter to record connectivity of vertices. Remove redundant planes associated with less than 2 vertices. If a PB is not defined centred to its centroid, record the distance in an attr: position. Rename iterators -k- to -kk- to avoid conflicts.
      New parameters: connectivity, position
      Correct number of total faces, after removing the redundant ones in the shape class
      Reinstate clang-format guards
      Reinstate clang-format guards
      Remove unused #include statements. Remove comment
      New visualisation code without CGAL, using in-house triangulation. Cull back faces to improve efficiency. Use GL_TRIANGLE_FAN to reduce invocations of OpenGL primitives
      Remove unused variables with the new visualisation code
      Amend lighting: Reverse front/back faces, since till now the front faces were treated as back faces and were rendered as darker. Choose shading per vertex, to achieve smoother rendering.
      Remove unused parameters with new shading per vertex
      Comment out possible sign reverse for d[i] after centering the particle
      Introduce traceEnergy, isSliding, ratioSlidingContacts, allowViscousAttraction features. Add FIXME comments in places that need to be revised
      Introduce traceEnergy, isSliding, ratioSlidingContacts, allowViscousAttraction features
      Deleted outdated installation instructions. Updated syntax of functors. Included info on the contact law and the contact area.
      Replaced calJointLength attr with calContactArea
      Replaced calJointLength attr with calContactArea
      Replaced calJointLength attr with calContactArea. Added attr areaStep.
      Replaced calJointLength attr with calContactArea
      Replaced calJointLength attr with calContactArea
      contactArea related improvements. Added FIXME comments where appropriate
      Replaced calJointLength attr with calContactArea
      Developed calculation of contactArea for the PPs
      Developed calculation of contactArea for the PPs
      Deleted calJointLength attr
      Deleted calJointLength attr
      Deleted calJointLength attr
      Deleted calJointLength attr
      Replaced calJointLength attr with calContactArea. Stricter tolerance in checks
      Replaced calJointLength attr with calContactArea
      Replaced calJointLength attr with calContactArea. Added attr areaStep. Created check for the contactArea
      double to Real conversion
      double to Real conversion
      double to Real conversion
      double to Real conversion
      double to Real conversion
      double to Real conversion
      double to Real conversion
      double to Real conversion
      double to Real conversion
      double to Real conversion
      double to Real conversion
      double to Real conversion
      double to Real conversion
      double to Real conversion
      double to Real conversion
      double to Real conversion
      Update tolerance for duplicate vertices check
      Assign b.aspherical=True
      'Compile PPs and PBs when YADE_VTK is off'
      PPs_PBs: fix typo on default choices
      Remove outdated comment. Fix broken link
      Assign avoidSelfInteractionMask=2

William Chèvremont (50):
      Add Contact Prediction resolution
      Fix lubrication bug
      Remove VdW attraction
      Add adhesion on solver 3. Fix some little bugs.
      Add adhesion forces on lubrication
      Fix yade-batch plots and script HTTP sending
      Interaction length is user-definable
      use precomputation more widely
      Fix warning
      Add citation to Chevremont2019
      Interaction length is user-definable
      Fix precomputed constants
      Add time to PDF data
      Reduce PDF data due to symmetry
      Correct orientation and position of integration cell
      Correct PDFEngine angles calculations
      Fix Unused variable warning Now Error
      Interaction length is user-definable
      use precomputation more widely
      Fix normal viscosity coefficient
      Allow long range interactions for boxes.
      Add lubrication stresses to vtk recordables
      Take care of cell deformation for drag engine
      Take care of periodicity when saving velocities in vtk files
      Add lubrication stresses to vtk recordables
      Add lubrication stresses to vtk recordables
      Fix python2->python3 bug on TCP connections
      Remove adhesion from lubrication
      Remove Electrostatic law. Will be replaced by general lubrication+potential law.
      Use new log system. Remove variable controlling the output.
      Start Lubrication with potential implementation. Group shared function into virtual class
      Fix favicon send method
      remove normal trigger (normal part will always be computed)
      Start implementation of Potential resolution
      Implementation of potential set from python side
      Try to inherit Potential from python
      add virtual keyword
      Add Lock before calling python code
      Add some tracing messages
      Add mean sphere radius as a parameter
      Update documentation about c++ subclassing in python
      Add potentials forms
      Update doc
      Fix serialization
      Fix bug
      Add checks for lubrication law
      Add exemples
      Fix slipping equation
      Revert "Fix slipping equation" No error on this equation This reverts commit 588e60baf1fc8e6f9961adbfa2ebdd4d0e8f6f87.
      Fix Vtk potential recorder

bchareyre (1):
      fix find python again (sorry), hard to make it work in local+gitlab+gricad...

clang-formatter (3):
      clang-format python modules
      Clang-format InsertionSortCollider
      clang-format Potential* and Rock* files.

kboschi (34):
      dumb test
      is CellNeighbor introduction
      added getNeighbors to FlowEngine
      voidvolume in periodicflowengine
      validation test PFV
      small changes in comments
      regression test
      introduction of getConductivity
      change of Boundary conditions for comparison with the new regression test
      introduction of getBoundaryVolume and getCellInVolumeFromId
      updateCapVolList introduction
      more efficient script
      validation test PFV
      regression test
      introduction of getConductivity
      updateCapVolList introduction
      more efficient script
      useless functions
      make consInfCell a parameter of the function where it's used + rename it for clarity by Bruno
      getInterfaces optionally return only interfaces from a specific cell by Bruno
      fix compile error plus c++ true is lower-cased... by Bruno
      new script
      getNeighbors(ll,True) and newton in right position
      validation test PFV
      deletion of outvade warning and of useless functions to get water volumes
      updateCapVolList introduction
      make consInfCell a parameter of the function where it's used + rename it for clarity by Bruno
      fixing indentation
      only optimized version
      changes by Katia in pressureImbibition mainly
      c0.getInterfaces(cellId=ll)+ii[3]
      deleting of cellId in c0.getInterfaces(cellId=ll)
      introduction of break when detected an unsaturated cell in flowtest()
      changing in initial condition script (more efficient)

==================================================
yade-2019.02a
Tue, Jan 29 19:59:30 2019 +0100

Alexander Eulitz (9):
      fix typo
      fix typo
      missing link replaced by short description
      updated Engine names
      Merge remote-tracking branch 'upstream/master'
      Added MPI Developergroup
      Merge pull request #54 from Kubeu/master
      solved import problem of ASCII STL models
      added .git config file for directly working on trunk

Anton Gladky (6):
      Remove RELEASE file
      Fix doctest fail with numpy 1.14
      Fix doc compilation with the new sphinx
      Use mathjax instead of pngmath.
      Remove execution bit from some scripts
      Add RELEASE file

Boon Chiaweng (7):
      example files for Potential Blocks and Buoyancy routine
      Local repository is outdated
      Update Potential Block Examples
      Update Potential Block Examples
      Update Potential Block Examples
      fixed the description for variables in PotentialBlocks
      commented TRVAR3 in KnKsPBPhys and remove Potential Particles basic.py

Bruno Chareyre (102):
      FlowEngine::getDiffusionCoeff introduced, returning throat's area/length ratio
      more consistency in the 'stress' vs. 'force'  semantic
      some improvements following https://lists.launchpad.net/yade-dev/msg13714.html (thx Jerome)
      fix compilation without gpu for older suitesparse
      a latex typo in doc - blocking buildbot
      Revert "Code comment in Ip2_FrictMat_FrictMat_FrictPhys: removing from the comment the erroneous 2 with respect to harmonic average expression"
      fix/add some hyperlinks in doc
      minor comment
      theta-method for implicit integration of lubrication forces
      better user control on theta method in Law2_ScGeom_ImplicitLubricationPhys, stiffness made linear, roughness!=0 improved and tested (warning: reverts 24b1cac, sorry)
      An interesting new shape in Zhao et al. (2017)
      suffusion modelized by Aboul Hosn et al. (2018)
      better initialization of scaled densities when Newton::densityScaling is true
      DomainLimiter now compatible with clumps, not just spheres
      added comment to O.interactions.nth() docstring
      minor inline comment
      enable detachement of contacts following gap=0 in Lubrication law
      inversion of integer matrix in flipCell (thx Vaclav for the hint https://github.com/yade/trunk/commit/2d7afba)
      Rotations calculated with the integrator for spherical bodies if one rotational DOF is blocked
      an exemple for saviing/reloading with user defined variables and functions
      1-phase solver for clusters and more python wrapping
      helper function for finding opposite edge
      add libparmetis variant of libmetis to cmake
      initialize CellInfo::index in ctor
      optimized local update of clusters after each pore invasion
      TwoPhaseFlow clusters: some bug fixing and more python wrapping
      Merge branch 'master' of github.com:yade/trunk
      bugfix in TesselationWrapper::getAlphaCaps as reported by Gerald Pekmezi
      a function applying forces based on alphaShape
      remove unneccesary lines
      TwoPhaseFlow cluster management extended to imbibition
      fix FindMetis.cmake (was looking for all variants instead of just one)
      +1 paper Suhr et al. 2017
      some code cleaning
      returns merged clusters after pore imbibition
      fix erroneuous condition in cluster drainage
      Some bugfix in TwoPhaseFlow::Cluster's handling
      further smallfix of clusters
      saveVtk() includes boundary cells
      saveVtk() include more boundary cells
      final integration of bounding cells display
      code cleaning and doc
      remove deprecated savePhaseVtkIncludeBoundaryCells, replaced by savePhaseVtk(...,withBoundaries=True)
      smallfix
      fix capillary forces calculation (include revert of 8074a80a89bd451c8a) + fix a compile error for c++ < 11
      fix timing.stats() runtime error when ParallelEngine has a sublist of engines (the results are still not ok)
      fix some output string of timing.stats
      calculate and retunr consistent timing.stats() with ParallelEngine
      use numSolveThreads and numFactorizeThreads for FlowEngine::solver=4, as it is for solver=3; improve timing.stats()
      mention 3SR hosting
      document code and remove a cerr<<
      a complete example script with spheres, grids, pFacets interactin (by Marcus Guadagnin Moravia)
      augmented version of a pFacet example (thx Marcus)
      re-apply: augmented version of a pFacet example (thx Marcus)
      Fix inspector for PFacets/GridConnexions/GridNodes
      fix compilation error when TWOPHASEFLOW is enabled with PFVFLOW disabled (now disabling PFVFLOW also disable TWOPHASEFLOW automatically). Ref. https://answers.launchpad.net/yade/+question/672510
      fix compilation with vtk>8 (Thanks to Luc Oger)
      starting points for thermal engine by Rob. Caulk
      '#ifdef THERMAL' guards for Thermal module + fix compile error
      added comment on converting State to ThermalState
      update installation doc for ubuntu 18
      update/highlight using yade without linux in doc
      oedometer.py: remesh right after changing the boundary condition
      partial fix of the display problems when PFacets are clumped together
      fix broken ipython terminal (bugs.launchpad.net/yade/+bug/1604266)
      improved density scaling, fixing wrong behaviour when stiffness!=0 at iter=0
      updated publications and publication page
      missing file 663546f (update publications page)
      fix dt=0 in GSTimestepper when viscEl=True (ref https://lists.launchpad.net/yade-dev/msg14195.html)
      fix bug/1794479 (doc fix)
      fix https://bugs.launchpad.net/yade/+bug/1455621 (doc fix)
      safer cast's in PDFEngine
      doc
      fix compile warning
      wrapper for CGAL's incident_cells accessor (available in FlowEngine and friends)
      fix return type of FlowEngine::getIncidentCell()
      Revert "Changes in Python-exposed functions to accomodate the (somewhat new) list-return-type of aabbExtrema. See bug LP: #1804621"
      Fix LP:1804621; revert Shop::aabbExtrema() from boost::python::tuple to std::vector<Vector3r> git:1db13fb
      Merge pull request #55 from booncw/master
      enable createInteraction(id1,id2) when (id1,id2) is a virtual interaction
      introduce regression testing module for utils
      make -j6
      Merge remote-tracking branch 'github/master'
      Merge branch 'master' into 'master'
      replace github by gitlab in doc and sources
      Merge branch 'master' of gitlab.com:yade-dev/trunk
      small change on gitlab doc (test push)
      remove remaining occurences of github
      github->gitlab in html homepage
      Merge branch 'master' of github.com:yade/trunk
      Merge from github/yade
      Revert "Merge from github/yade"
      Merge branch 'master' into 'master'
      increase make -j12
      increased documentation of merge requests
      CI pipeline triggered by master branch only
      fix syntax in .gitlab-ci.yml
      CI pipeline for merge_request's also
      document the two ways for merge requests and whether they will use group runners
      Merge branch 'master' of https://github.com/booncw/trunk into potentialBlocks
      fix script-seesion2.py and mark psd.py OK
      fix typo in index.html

Chao Yuan (4):
      add a tempoary saveVtk to plot bounding cells.
      -fix bug on computing fluid forces. the error computes fluidForce twice.
      Merge branch 'master' of github.com:yade/trunk
      temporary fix the solution of pore body radius. the previous one doesn't work if the radius of grain is smaller than 1e-5.

Jan Stránský (5):
      removed utils.UnstructuredGrid
      fixed some warnings for sphinx doc compilation
      added publications
      Making doc of Body.intrs() clear to return real interactions
      added brazilian splitting test example script

Janek Kozicki (35):
      Fix all compilation warnings
      Fix last compilation warning
      Fix compilation errors with CGAL 4.11 (again), guys please use Tri.locate(CGT::Sphere(…)) and ->point().point()
      Update .mailcap
      Small improvement in SerializableEditor.py, it will now detect types starting with std:: or boost::
      Initial idea for fixing CGAL 4.13 interface changes.
      fix typo
      Add info about how to push a non-master branch into yade-dev
      Checked first 20 examples. Fixed 2. Created full list examples/list_of_examples.txt to track progress.
      Partial fix of postProcessValidMaurin2015.py
      Fixed postProcessing_sedim.py; added in list_of_examples.txt whether the example is explained inside the script.
      Checked next 25 examples. Added some explanations or very small fixes in 8 examples.
      Checked 10 more examples.
      Check 24 more scripts, fix 2.
      Check 12 examples. Fix 2.
      Check 8 more examples
      Checked 17 more examples. Didn't fix the 8 broken ones.
      Checked 18, fixed 2
      Checked 17 more examples
      Check 27 more examples
      Checked last 25 examples. Conclusion: 215 examples, 46 are not working at the moment. That is 21% of examples are broken.
      Fix bug#1813229. Class Inheritance graphs in Yade.pdf now have dpi=300 and larger font.
      I tried the -DENABLE_POTENTIAL_BLOCKS=ON -DENABLE_POTENTIAL_PARTICLES=ON examples. They start and seem to run, but still do not work.
      Oops, has some merge conflicts
      I tried PotentialBlocks once again. I am still suspicious about whether those examples work.
      Fix error GUI → Display → Gl1_CpmPhys : UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 87
      Adding Gl1_PotentialParticle().store=True to example file seems to fix the display issues. But there must be a reason why it is false by default?
      Comment out last remaining //TRVAR3(…) which was spamming the terminal.
      Fix indentation in list_of_examples.txt
      Checked all examples in doc/sphinx/tutorial.
      Walked again through all examples to identify the source of each SIGSEGV/SIGABRT segfault.
      Notes about what I achieved when trying to make this line work: 'from esys.escript import *'
      Two of FEMxDEM scripts started to sort-of work: biaxialSmooth.py and retainingSmooth.py
      Added missing references to my articles using yade. Also my first Quantum Mechanics paper ;)
      Maybe embedding videos with https will make them work on the website?

Jerome Duriez (44):
      Ip2_FrictMat_FrictMat_FrictPhys doc: correcting typo (see previous commit comment)
      Code comment in Ip2_FrictMat_FrictMat_FrictPhys: removing from the comment the erroneous 2 with respect to harmonic average expression
      Capillary scripts: minor changes in writesCapFile
      Code comment in FrictPhys: we are adding compliances, I do not think we average them. See also https://github.com/yade/trunk/commit/1f013766d191a0e931d3c1653242d22f28e36dd5
      Capillary scripts: minor correction in writesCapFile.m affecting the search for maximum suction when contact angle # 0
      Capillary scripts: improving search for maximum suction in writesCapFile.m
      Typo corrected in makeCloud() doc
      Doc (Programmer s manual) typos corrected
      FileGenerators: removing deprecated CapillaryTriaxialTest and CohesiveTriaxialTest. Fixing bugs https://bugs.launchpad.net/yade/+bug/1625850 and https://bugs.launchpad.net/yade/+bug/1764753
      Doc: Timing section of Programmer manual. Correcting typos and small changes in wording regarding instantiation which is already done in the mother classes (and does not need to be redone in the Engine/Functor to measure)
      Bibtex entry for the 2nd YADE workshop proceedings. Thanks to all yade-dev authors !
      Shop::growParticles(), fixing bug https://bugs.launchpad.net/yade/+bug/1767601. There was some interaction access before checking the real nature of interactions, leading to crash with erased bodies
      Doc typo corrected
      Programmer s Doc: removing Debian packaging section. Fixes bug LP:1773337
      Doc: updating my affiliation
      +2 journal papers
      +1 journal paper (Mede et al.)
      Doc typo
      InteractionLoop doc typo and small precisions
      Merge pull request #52 from jandepue/master
      Code cleaning after previous commit about a new matchmaker in CohFrict model
      Doc
      Correcting previous doc commit (orientation attribute for utils.box())
      Doc typo
      Docstring typo in pack module (better sphinx output now)
      Doc typo
      Removing deprecated pack particleSD*()
      Doc typo
      Merge branch 'master' of github.com:yade/trunk
      Adding some kind of warning in SPH examples README
      State doc typo
      Doc VTKRecorder: typo and minor changes for bstresses
      VTKRecorder bstresses: removing useless code for sorting principal particle stresses: Eigen already does it
      Shop::aabbExtrema() from boost::python::tuple to std::vector<Vector3r>
      Including new type (from -1 commit) in aabbExtrema doc
      MeasureCapStress: fixing bug LP: 1764424 and change of attribute names
      Doc typo (McNamara doi)
      Formulation doc typo (wrong superscript for \omega somewhere)
      Publications: adding full bibliographic details for one paper
      Doc for compilation options, some sync between the doc and CMakeLists.txt. See https://lists.launchpad.net/yade-dev/msg14108.html
      Moving isInBB from py/_utils* to pkg/dem/Shop*
      Doc typo in URL link (correcting 0a292779)
      Changes in Python-exposed functions to accomodate the (somewhat new) list-return-type of aabbExtrema. See bug LP: #1804621
      Doc for pack module: fixing broken links

Luc Scholtes (2):
      Back to previous configuration (Timos's version) - Robert's add ons commented - More testing needed
      add the possibility to distinguish cracks from matrix and joint interactions in Paraview

Robert Caulk (48):
      throw error at user for trying to useSolver=4 with multithread=False
      Add acoustic emission collection algorithm to JCFpm. Add acoustic emission post processing tools to VTKRecorder.
      Add guide for simulating acoustic emissions
      clean up installation and GPU doc
      convert pdf images to png for AE guide
      fix doc build failure
      fix figure web sizes
      edit concrete example to aboid ZeroDivisionError
      revert doModes back to original value
      Add eventnumber post processing category for acoustic emissions alg
      move trickperm to fix broken blockhook
      add ability to artificially correct cell volumes based on a desired porosity (EXPERIMENTAL)
      add functionality to collect start time of acoustic emission event
      clarify citation, equations, images for acoustic emissions tutorial doc
      remove DFNFlow from default compilation
      Parallelize mesh interpolation
      open useSolver=4 to singlethreaded operation
      fix bug with singlethreaded GPU flow solver
      add ability to measure some FlowEngine and CHOLMOD timings
      Merge branch 'master' of github.com:yade/trunk
      set openblas_num_threads = flow.ompThreads
      Basic functionality for fixing triangulation and updating linearsystem with trickPermeability
      comment out update positions
      add functionality for resuing CHOLMOD ordering (avoid unnecessary CHOLMOD analyzing)
      erase random comment
      Fix typo
      Add ifdef for LINSOLV=OFF in FlowEninge and force TWOPHASEFLOW dependency on LINSOLV=ON
      advection function added to flowengine, thermal properties added to cells
      Merge remote-tracking branch 'refs/remotes/origin/master'
      remove unnecessary variable initializations
      add functional conduction engine
      consolidate thermal engine, fix #ifdefs
      Merge branch 'master' of https://github.com/yade/trunk
      add thermal mechanical coupling, enable individual control of advection or conduction
      add ability to set conduction boundary conditions
      add start of thermal-mechanical fluid coupling
      add full thermomechanical fluid coupling, automatic timestepper, refactor, clean
      fix indentation
      improve readability and add ability to decouple forces in flowengine
      adapt thermal state info and engine for compatability with special states (e.g. jcfpm). Add cmake flag for thermal engine.
      add Yade Technical Archive to website and doc
      change links for yade tech archive to /publi, add yade tech archive references to reference page
      #ifdef factorexists
      update YTA hyperlinks
      add comma
      update YTA hyperlinks
      Update YTA tutorial refs
      Fix memory leak in FlowEngine

William Chèvremont (72):
      hide debug messages
      Merge branch 'master' of https://github.com/yade/trunk
      Merge branch 'master' of https://github.com/yade/trunk
      Merge branch 'master' of https://github.com/yade/trunk
      Physics update in Lubrication law for bodyStressTensor
      Merge branch 'master' of https://github.com/yade/trunk
      Merge branch 'master' of https://github.com/yade/trunk
      add stresses calculation to implicit lubrification
      Merge branch 'master' of https://github.com/yade/trunk
      Fix normal lubrication
      Merge branch 'master' of https://github.com/yade/trunk
      Fix lubrication laws
      Merge branch 'master' of https://github.com/yade/trunk
      Fix lubrication compile error
      Fix compilation error: missing include
      ccache doesnt support -save-temps
      Add dynamic stress calculation alone
      Delete LubricationPhys, add stress calculations for each component, change resolution method
      Missing replacement of EIGENSPARSE_LIB to CHOLMOD_LIBS (see commit f9cac61952163e0897942e596fa5bb24a55c9f5d)
      Fix time stepper stiffness
      Add scripts replacement tags
      Modification to OAR launch script
      Modification on lubrication's laws
      Adding possibility of saving a dict of parameters
      add oar-properties support
      fix constrain orders -oar
      Change lubrication calculation structure
      Fix Dynamic stress calculation
      add normal viscosity for timestepper
      Encapsulation of resulution method into functions
      Change some default values
      Give a default value to RealName (getpwuid(geteuid()) fail on some clusters but not so critical)
      Add Newton-Rafson resolution method
      Add newton-rafson method with nonlinear contact
      Fix compile cast error
      Add NewtonRafson-Exponential resolution method
      Nonlinear contact only belong to contact part
      Documentation improvement
      Move non-normal calculation to a function (help for inheritance purposes)
      Fix doc warnings
      Switch to implicit resolution
      Fix warning
      Add stress calculation
      Fix OAR launchscript bugs
      Add log-calculation of shear and torques component
      Switch to log-shear resolution
      Fix DLVO equations
      Fix substepping distance
      Reduce warning verbosity
      fix script path for logfile
      Fix Electrostatic + lubrication
      Add dichotomic method for resolution
      End of Dichotomy implementation, renaming
      Fix compile error
      bugfixes
      Add VdW cutoff length
      Add Stress PDF for lubrication
      Switch to template implementation for PDF
      Fix buildbot error?
      PDFEngine creation
      Move PDF to new file, exemple for lubrication
      Add distance, velocity and intrs PDF integrator
      Add Distance, Velocity and Intrs calculation for Lubrication
      fix compile warnings
      Add default data for PDFEngine
      Doc for yade-oar
      Check for initial proble
      Fix NaN function problem at initial point
      Regula Falsi
      Code refactoring
      Fix starting point
      Merge branch 'master' of https://github.com/yade/trunk

jan (1):
      Added frictionAngle Matchmaker to cohesive frictional contact law (based on Frictphys) see https://answers.launchpad.net/yade/+question/670376

raphm1 (15):
      HydroForceEngine: Re-organize fluidResolution to make it clearer. Remove lines and tab the text according to the different loop Remove the subfunctions which are not usefull anymore Uncomment the calculation of taufsi
      HydroForceEngine: fluidResolution modifications Modify the grid definition and the extrapolations of variables in order to fit exactly the staggered grid and the averaging performed. Modify the example scripts accordingly. This modification fixes former errors in the formulation of the fluid resolution. Change the variables name to be consistent with the future documentation
      HydroForceEngine: error in the pressure term + validation Correct an error in the pressure term of the fluid resolution Introduce a fitting coefficient in the wall friction Adapt the validation script to the mesh
      HydroForceEngine: add validations scripts Add a script to reproduce the experimental comparison performed in Maurin et al 2015 Add a script to reproduce the case r2d6s2 of Maurin et al 2016 Add post-processing scripts to extract corresponding figures
      HydroForceEngine, fluid resolution: add the possibility to impose a fluid velocity at the top of the sample.
      HydroForceEngine: modify the example folder organisation
      HydroForceEngine examples: modify the fixed bottom generation
      HydroForceEngine: add an example script of laminar shear flow over a granular bed
      HydroForceEngine: add a new effective viscosity modelling
      Add references
      Fix error in the previous commit in references
      Add a documentation page for HydroForceEngine
      second part Add a documentation page for HydroForceEngine
      HydroForceEngine: correct the viscous contribution Modify the viscous contribution in the fluid resolution, in order to account for the fact that the closures for the viscous stress tensor should be written as a function of the total (fluid+solid) shear rate tensor. As a consequence, the fluid viscous contribution are multiplied by the fluid volume fraction at the square, and the second member includes a contribution from the solid phase. Also, the poiseuille validation script has been very slightly modified to account for recent code modification
      HydroForceEngine: add a point particle averaging function

remche (14):
      adding gitlab-ci
      4 cpu for build
      16 cpu for compilation
      more complete ci
      disabling save temps
      clean build for artifact and relative path for install
      make and install in the same job
      fix install dir
      test doc generation
      fi xvfb-run
      fix depth for xvfb-run
      uploading pdf and epub doc to pages
      Adding DISABLE_SAVE_TEMPS flag to Cmake
      doc: fix jquery for searchbox

==================================================
yade-2018.02b
Tue, Feb 20 18:55:30 2018 +0100

Anton Gladky (4):
      Remove RELEASE file
      Do not globally import polyhedra_utils in ymport.py
      Simplify and fix the checkPolyhedraCrush
      Add RELEASE file

Bruno Chareyre (1):
      fix cmake warning + effectively enable TWOPHASEFLOW

Janek Kozicki (3):
      Update .gitignore and .mailmap
      Fix warnings that I have during compilaation.
      Initial fix for cgal 4.11. There are some things still to check:

Jerome Duriez (4):
      Doc: typo (missing parenthesis) in Ig2_Sphere_Sphere_ScGeom
      Doc: precising IPhysFunctor docstring
      Doc: typo in Programmer s manual
      Doc: other typos in Programmer s manual

Robert Caulk (2):
      Fix DEM-PFV-check.py failure. Enable CPU usage of direct cholmod solver (useSolver=4)
      Add support for older versions of SuiteSparse

==================================================
yade-2018.02a
Wed, Feb 7 20:06:30 2018 +0100

Anton Gladky (15):
      Remove RELEASE file.
      Initialize gui in IPython 5.
      Add dependency on python-pyqt5.qtsvg.
      Fix PDF-compilation with sphinx>=1.4.9
      Remove comented lines in CMakeLists
      Test commit number two.
      Do not enable LINSOLV if CGAL not found
      Fix missing AND operator in prevoius commit
      Extend polyhedra breakage model by Mohr-Coulomb-Weibull failure criterion.
      Add examples for the PolyhedraBreak model
      Add one more Yade-Paper
      Update .gitignore
      Make newly added labels consistent with other labels.
      One more thesis, where Yade is mentioned
      Add RELEASE file

Bruno Chareyre (15):
      Fix https://bugs.launchpad.net/yade/+bug/1666339 (thx Robert)
      +5 journal papers
      +2 journal papers
      + Christian Jakob's PhD in references
      Put brackets in the right place (thx Robert).
      +4 journal papers
      1+ journal paper by V. Lapcevic
      Add editor to Yade workshop proceedings (me!)
      missing comma (sorry)
      turn ERROR into WARNING when ISCollider does not find spheres to determine verletDist
      +2 journal papers
      +2 journal papers
      +11 conference papers
      add missing year in a bibtex entry
      Fix kineticEnergy() for clumps

Chao Yuan (6):
      add porosity in cell info.
      fix compile error.
      add functions to get pore throat radius (by cells or spheres).
      -split computeEffectiveRadius() for obtaining reff by pos and radius; -clean redundant functions.
      -fix setPoreThroatRadius
      -add setPoreBodyRadius.

Francois Kneib (1):
      Fix typo in installation.rst doc.

Jan Stránský (7):
      fixed a typo in micro-stress example
      replaced L3Geom by ScGeom in tutorials
      Added subengines of CombinedKinematicEngine to labeled engines
      fixed a bug in ScGeom::getIncidentVel with avoidGranularRatcheting=False and O.periodic=True
      Updated Body::intrs doc, fixed typo in comment
      fixed a bug in ymport.UNVReader
      fixed one Polyhedra python method name

Jerome Duriez (9):
      Articles .bib entries: fixes https://bugs.launchpad.net/yade/+bug/1671045, plus update of entries data
      capillaryLaplaceYoung scripts: update of reference labels
      +1 master thesis
      A new post-processing engine to measure capillary stresses using alternate expressions than getCapillaryStress()
      Implementation improvement of new MeasureCapStress engine
      JCFpm model: code comment precised (https://answers.launchpad.net/yade/+question/644244)
      -1 check test (regarding NormalInelastic contact law which is about to be erased)
      -1 contact law (Law2_ScGeom6D_NormalInelasticityPhys_NormalInelasticity and other NormalInelasticPM classes)
      Typos corrected in installation.rst

Martin Haustein (1):
      Add constant volume deformation engine.

Robert Caulk (4):
      Editorial change
      fix typo
      Fix typos
      Roll breakOccurred comments back 1 commit

T Sweijen (12):
      Dynamic version of two-phase flow,interpolation of saturation field when meshing, merging of tetrahedra to find pore units
      OMerge branch 'master' of https://github.com/yade/trunk
      provide access to per pore partial solid surface
      update of Dynamic Two-Phase Flow engine, removing old definitions, update comments, and added several averaging procedures for water pressure
      Function to track deforming pore units and to couple this to dynamic two-phase flow + cleaning of functions
      Minor fix for updating volume change
      fix for savePoreNetwork function - to avoid odd locations of cells along boundary
      fix of comments and cleaning up of redundant lines. Also, inclusion of initial and boundary conditions for dynamic imbibition
      Fix for mergeCells() function, to allow for using it more than once
      Update of initial conditions to allow for primary and secondary drainage/imbibition. Addition of compatibility check of boundary conditions. Removing some redundant functions.
      Fix in TPF Engine for simulations with Deformation + optimalization for TPF + deformation simulations, without swelling
      update of soluteFlowEngine, including a fundamental fix in equations and a function to export average concentration

William Chèvremont (25):
      Adding Electrostatic interaction
      Adding Electrostatic interaction (forgot cpp file)
      Fix the electrostatic law
      Merge branch 'master' of https://github.com/yade/trunk
      Correction of ElectrostaticPhys
      Adding lubrication force w/o FlowEngine
      Merge branch 'master' of https://github.com/yade/trunk
      Merge branch 'master' of https://github.com/yade/trunk
      ElectrostaticMat derive from CohFrictMat instead of FrictMat
      Merge branch 'master' of https://github.com/yade/trunk
      Fix lubrication laws
      set more realistic default values for ElectrostaticMat
      Lubrication can process other physics
      Adding yade-oar and Lubrification resolution by implicit method
      Revert "Adding yade-oar and Lubrification resolution by implicit method"
      Revert "Revert "Adding yade-oar and Lubrification resolution by implicit method""
      Merge branch 'master' of https://github.com/yade/trunk
      fix lubrication
      fix plot Matrix3 suffix (yz instead of yx)
      Merge branch 'master' of https://github.com/yade/trunk
      Fix CMakeList
      Test
      Fix warnings
      Debug lubrification
      Insert other resolution method

bchareyre (59):
      fix the flipCell() function
      fix compile error
      flipping periodic cell -> small/doc fix
      move PBC example scripts
      cleaning examples
      documentation on changing the boundary conditions in FlowEngine and derivatives
      Robert Caulk's guide to cloud computing inserted in doc
      return a consistent set of constrictions in the periodic case (some constrictions were previsously skipped inconsistenty)
      re-apply the fix of rev 26efbec to getConstrictionFull()
      fix a compile warning
      fix an indentation problem in shinx document - hopefully fixing the buildbot
      fix unicode warning (documentation build)
      add a reference url
      fix compiler warning
      small fix in getConstriction() + a typo
      new logic for interating on facets in periodic triangulations (following ref. Rev.26efbec and followers)
      new data 'crackArea' added to DFNFlow cells and updated automatically - first step toward solving the artificial compressibility of fluids in cracks
      #define DFNFLOW commented out
      small updates in doc, fixing compile errors and some warnings
      add exemple script for two-phase flow with 2PFV technique, related to Yuan and Chareyre (2017)
      extended version of ForceEngine with its own fluid solver (by J. Chauchat)
      move HydroForceEngine to independent source files.
      Minor changes in authorship and inline comments
      Critical bugfix for collision detection in periodic boundary conditions. Bounds lists were left partially unordered,  then some interactions were never detected (my toughest yade debugging until now).
      Minors & cosmetic.
      fix feature NewtonIntegrator::densityScaling
      Introduce a tolerance on overlap determination (in periodic BC only), avoiding false negative due to round-off errors. (usage in a separate commit).
      A simpler and faster version of spatialOverlapPeri. Only one call to floor(), ~20% speedup for ISCollider::action.  Tolerance introduced to fix detection failures.
      Keep the values of sorted bounds in the [0,size] range in ISCollider.
      small scale optimization in ISCollider
      Fix collision detection again (amending commit c7c8e6f62d452c8). Don't move bounds below the starting point of the sort, else partial (only) ordering can occure.
      Don't start blinking the 0-body when opening inspector + make it possible to un-highlight before/after closing the inspector by selecting empty space.
      Fix miscommit in d2211bd747d74eaea569ac88e.
      remove a function that was declared but undefined (leading to runtime error)
      cite recent reference on timestep
      TwoPhaseFlowEngine::getNeighbors now returning less than 4 neighbor cells if some of them are infinite (normally only one)
      a function + python wrap for invading one single pore and updating the clusters
      fix cluster invasion/update (thx Son for spotting the bug)
      fix doctest's target following b5ca352
      fix doctest in addData (re-apply c011decc36)
      fix doctest indentation (after 36c016bd)
      TesselationWrapper wrapping CGAL's AlphaShapes for defining an alpha-contour
      remove function definitions from FlowEngine.hpp
      preliminary version of 'extended' alpha shape contour
      further extension and debugging of alphaShape code
      nearly working version of the extended alpha-contour
      small fix
      proper calculation of alphaCaps areas in TesselationWrapper
      If FlowEngine::meshUpdateInterval<0 do not update the mesh at fixed intervals
      fix a compile warning - probably leading to undefined behavior
      apply d71813b for the periodic flavor of FlowEngine
      re-insert the comment on Qt4->Qt5 since it may still help (partial revert of 1c06b6ad9d2)
      Remove the declaration of (redundant and undefined) FlowEngine::currentTess, while there is already Network::currentTess. Fix https://bugs.launchpad.net/yade/+bug/1732210.
      Use a relevant upperbound (i.e. 0.5*period) for the the maximum body size in periodic boundary conditions.
      Update the position of the clump members relative to the clump itself ("local" coordinates) when applying growParticles(). It is no longer necessary to perform additional operations (updateProperties()) after growing clumps.
      make checkClumpHopper.py less time demanding
      fix bug/1291977 and a typo
      fix some compile warnings in TwoPhaseFlowEngine
      enable TWOPHASEFLOW by default

jduriez (15):
      Email address changes
      Capillary script solveLiqBridge.m: change in attributes order (with small consequences), plus other minor changes
      Capillary scripts: removing one useless test, and including commented time measurement commands
      Capillary scripts: Introducing .py versions for 2 (out of 3) .m files. Plus minor change in one .m file
      Doc: precising Collider.avoidSelfInteractionMask
      +2 book/proceedings chapters (and formatting changes)
      Doc of Shop::aabbExtrema precised
      Doc typos and small improvements in VTK post-processing descriptions
      Small doc changes in TriaxialStressController.particlesVolume and porosity
      Doc: minor change in package installation (distro name)
      Doc: typo in user manual
      Misleading comment removed in UnsaturatedEngine.cpp
      Doc: typo correction in TriaxialStressController.stressMask
      grids examples: moving qt.View() at the end of the scripts so that the window view is correctly scaled with respect to the model
      Doc of Ig2_Sphere_PFacet_ScGridCoGeom updated: replacing inexistant ScPFaceCoGeom with ScGridCoGeom, and Facet with PFacet, fixes 4. of https://bugs.launchpad.net/yade/+bug/1746037

luc scholtes (6):
      update of the JCFPM particle model with new or adapted functionalities to record number of cracks and associated released energy. An example script will be provided.
      add possibility to define residual friction angle (broken contacts) different from friction angle (bonded contacts)
      some cleaning and clarifying of crack aperture calculation
      update of file. mistakes in previous commit
      update due to mistake. Thank you Robert
      update due to mistake. Thank you Robert

raphm1 (10):
      HydroForceEngine: add an optional input parameter to account for convective acceleration The input convective acceleration term take the form of a depth dependent vector
      yade-article.bib: add a journal paper
      Add proceedings
      Add two functions getStressProfile_contact: to evaluate the stress profile considering only the contact contribution getDepthProfile_center: to evaluate solid depth profile (solid velocity and volume fraction) considering particles as points
      Fix error from commit e4f601d
      Add 2 references and 1 paper
      HydroForceEngine: update the 1D RANS fluid coupling Modify the formulation of the fluid resolution in order to merge it with the existing variables of HydroForceEngine. Fix errors in the fluid momentum balance resolution. Clarify the mesh definition. Evaluate all the components necessary to solve the equations inside the fluidModel function. Introduce the possibility to account for fluid lateral wall friction in the equations. Make it possible for the user to access only the fluid resolution without introducing any particles or launching a DEM simulation. Update the documentation.
      HydroForceEngine: new examples and validations Introduce a new sedimentTransport script, which make use of the fluid coupling (1D RANS) Complete the sedimentTransport example script and add a post-processing example. Add validations for the fluid resolution without particles, considering logarithmic law and poiseuille flow. Add a file commenting the different examples and validation scripts.
      HydroForceEngine: small modifications
      HydroForceEngine: fix errors in the fluid resolution

remche (4):
      Fixing clang compilation
      Adding path for CGAL ans GMP include dir to cmake (for exotic installations)
      Merge branch 'master' of https://github.com/yade/trunk
      Adding the correct include dir for CGAL

robcaulk (15):
      added tmux command tip
      Fixed bug with multithread+compressible flow and addressed backgroundAction() FIXME for eigenSolve()
      fixed inheritence problem when LINSOLV=OFF
      Added option to let new bond breaks in JCFpmPhys control retriangulation in FlowEngine
      add fracture interpolation functionality
      GPU accelerated PFV solver
      GPU acceleration guide
      Avoid compiling suitesparse GPU solver if -DCHOLMOD_GPU=OFF
      improve GPU doc
      Merge branch 'master' of github.com:yade/trunk
      improve GPU acceleration guide
      add the ability to threshold trickpermeability to 2 or more facets, default behavior should remain same as before this commit
      fix variable naming inconsistencies
      Merge branch 'master' of github.com:yade/trunk
      fix multithreading issue with imposed fluxes

williamchevremont (1):
      Typo

==================================================
yade-2017.01a
Thu, Jan 19 22:07:25 2017 +0100
Anton Gladky (20):
      Remove RELEASE file.
      Add some notes about how to make releases.
      Make Yade compatible with VTK7.
      Use C++11 constructions for InteractionLoop.
      Optimize using of ndarray.
      Partly fix webpage help show. LP:1598174
      Final fix for LP:1598174
      Add missing dependency on python-pyqt5.qtwebkit.
      Fix load/save in GUI-QT5.
      Drop unused typedef.
      Disable LAW2_SCGEOM_CAPILLARYPHYS_Capillarity1 by default.
      Remove some deprecated scripts.
      Increase the size of force container.
      +1 paper.
      Provide a proper functioning with IPython5.
      Add -fext-numeric-literals to fix FTBFS against boost_1.62
      Fix yade with IPython5.
      Update distro names in documentation
      Add missing header include <csignal>
      Add RELEASE file.

Bruno Chareyre (12):
      +2 articles (thanks to Bettina Suhr)
      + 1 proceedings (thanks to Bettina Suhr)
      Update citing_yade.bib
      revert the revert ca0e29ac57
      list authors of the doc as in doi:10.5281/zenodo.34073
      a note on using distcc and ccache
      minor editing of installation page
      Master thesis Morales2012a
      Introduce Network::surfaceSolidThroatInPore() for partial solid surfaces per half-throat
      make the recursion conditional for invasion in multiphase flow
      push a file missing in commit e91ff135b7
      Yade bibtex: "and others" invalid for less than 9 authors

Chao Yuan (4):
      Add cell label for phase cluster. NW-res label 0, W-res label 1, disconnected w-clusters start from 2. label can be saved in savePhaseVtk.
      fix comment on label.
      clean UnsaturatedEngine, move all functions to TwoPhaseFlowEngine.
      Revert DryingEngine.

Francois Kneib (1):
      Fix O.engines in examples/cylinders/cylinderconnection-roots.py

Jan Stránský (11):
      fixed a small bug in shear force computation in CPM model
      Added PolyhedraSplitter example
      Changed L3Geom to ScGeom in tutorial example scripts
      fixed a minor compilation issue in ConcretePM
      Fixed call of _utils.interactionAnglesHistogram with default arduments
      making all Law2::go virtual
      Matrix_computeUnitaryPositive, changed computeThinX to computeFullX flags
      User's manual, added how to visualize force chain in Paraview
      UnstructuredGrid: fiexd little bug in manual setting of facet position from vertices
      added pack.inHalfSpace and pack.inConvexPolygon + example script
      fixed another little bug in utils.UnstructuredGrid

Jerome Duriez (11):
      Doc clarification for TriaxialStressController.externalWork (http://www.mail-archive.com/yade-dev@lists.launchpad.net/msg12083.html)
      Doc of utils.readParamsFromTable() hopefully improved
      Friendlier BibTex entries for 2015 doc. To avoid Smilauer and et al in manuscripts
      Doc Getting help section updated to reflect current practice
      Including interface orientation data in CapillaryPhys code
      Capillary scripts commit (http://www.mail-archive.com/yade-dev@lists.launchpad.net/msg12103.html). Located in a new examples/capillaryLaplaceYoung folder intended to illustrates capillary Law2. With one new simulation script example and another old one, moved here
      Typo and minor corrections of previous capillary commit
      Capillary law2: erasing when necessary sphere-non sphere interactions (bug LP: #1628273) + minor changes
      Capillary law2: restricting test shape. Plus minor change in capillaryLaplaceYoung/README text file
      Doc: small updates in PartialEngine and KinematicEngines
      References .bib files: including new entries

Raphael Maurin (4):
      HydroForceEngine: add a condition to ignore particles fixed on the sideWalls.
      Add an example for the use of HydroForceEngine
      HydroForceEngine: new fluctuation model for the example script + small correction Add new simple discrete random walk fluctuation model, to be used with the new example script fluidizedBed.py Change the condition for applying the fluid force from p>0 to p>=0, which is more appropriate
      Add two example scripts for the use of HydroForceEngine One simple example to get familiar with the application of buoyancy (buoyantParticles.py). One example simulating a fluidized bed configuration to get familiar with both the application of a fluid velocity profile and of turbulent fluctuation with the DRW models (fluidizedBed.py)

bchareyre (19):
      fix invalid pointer, thanks Jerome (https://lists.launchpad.net/yade-dev/msg12791.html)
      (doc) clarify the meaning of TriaxialStressController::externalWork
      fix 1 compile warning
      reordering bib references
      remove latex/multicolumn from sphinx conf.py (compile error on some systems)
      Law2_ScGeom_CapillaryPhys_Capillarity: cache getClassIndex() for use in a loop
      fix wrong access to a Network::boundary by index
      FlowEngine: enable the definition of continuum scale permeability independent of particle sizes
      Introduce DryingEngine (two phase flow with convection in one phase)
      Implement Darcy scale permeability in FlowEngine, introduce alphaShapes (commented), some code cleaning and smallfixes
      (FlowEngine) optionaly include/skip bounding cells when calculating the average pore pressure
      fix negative volumes issue in triangulation cells, consistentlyy remove the includeBoundary option (a workaround) in averageVelocity
      TwoPhaseFlowEngine: better integration of fluid clusters
      merging PhaseCluster code with r3975
      fix compile warnings
      small optimization in Clump::updateProperties
      update phaseCluster attributes: volume, interfacial area, etc. + various smallfixes in the cluster labelling
      further improvement of the cluster labeling in multiphase model
      2PFLOW engine: remove useless int from getInterfaces()'s parameters

booncw (2):
      Pushing Potential Blocks based on CWBoonEtAl2012 Computers&Geotechnics/CWBoon 2013 PhD thesis, but using CLP as linear programming Solver.  CLP can be downloaded from Synaptic Package Manager: coinor-clp, coinor-libclp-dev, coinor-libclp1, coinor-libosi1v5.  To enable this, set ENABLE_POTENTIAL_BLOCKS to ON in CMakeLists.txt"
      revising Potential Blocks to the latest version to run slope analysis

raphm1 (1):
      ViscoelasticPM : fix resolution problem in find_cn_from_en function Change the value of the initial perturbation for the resolution of the equation to obtain the damping from the restitution coefficient. Allows for a much wider range of resolution in terms of mass, stiffness and restitution coefficient. Put a limiter to avoid division by zero and force the loop to print the warning message if "error" goes to nan (no warning in these cases previously)

==================================================
yade-2016.06a
Tue, Jun 14 20:30:53 2016 +0200

Anton Gladky (88):
      Remove release.
      Clean some unused macroses (old wm3-stuff)
      Remove some global headers
      Raise minimal boost version to 1.47
      Add -DNDEBUG if compiling in release mode
      Tiny code refactoring
      Clean some warnings and old stuff.
      Return removed header back.
      Fix warning in newer matplotlib.
      Drop old commented stuff in python-scrips.
      Remove flags and preSteps from scene
      Remove deprecated findBoundDispatcherInEnginesIfNoFunctorsAndWarn
      Remove PISC_DEBUG.
      Fix typo in installation sections of doce. Thanks to Jan.
      Export normal and viscous part of the visco-elastic contact
      Remove confusing part in installation part of documentation regarding Qt5.
      Fix typo in CMakeLists
      Tiny updates of examples of LudingPM.
      Fix compilation warnings.
      Update formatting in SpherePack
      Fix an order of calculation of c in SpherePack
      Fix some compilation warnings.
      Fix cappitalization typo in Lapack (case-sensitive in this case).
      Respect VTK6 in PotentialParticles.
      Add .travis.yml for CI.
      Remove version restriction on sphinx.
      Use trusty as build-env.
      Add -y parameter to apt-get install.
      Fix numpy import on travis.
      Fix segfault during save/load of CapViscModels
      Add one more check-script (capillary models)
      Fix typo in check-script.
      Fix crash in Ig2_Facet_Polyhedra_PolyhedraGeom
      vtkExporter: increase number of leading zeros to 8
      Move implementation of methods of ForceContainer in cpp.
      Split implementation of ForceContainer in parallel and serial.
      Add zero-forces to the youngest body after simulation load. Closes LP:1560171
      Drop parallel execution in replaceByClumps. Closes LP:1559098
      Add import of polyhedras from the file.
      Add an opportunity to shift, scale and rotate imported polyhedrons
      Minor fixes in Polyhedra_splitter.
      Fix division by zero crash in Polyhedra
      Add CGAL_DISABLE_ROUNDING_MATH_CHECK, -frounding-math when CGAL is enabled.
      Fix some formatting issues.
      Non-invasive fixes in polyhedra_splitter.
      Get max-min coefs in polyhedra_splitter simpler.
      Use tuple as a parameter for SplitPolyhedraDouble
      Add check script for polyhedra crash.
      Use explicitly -DNDEBUG instead of CMAKE_CXX_FLAGS_RELEASE
      Check isnan in some coordinates before calling CGAL.
      Minor formatting fixes in Polyhedra.
      Add check-script for save/load of clumps.
      Disable checkPolyhedraCrush. It is unstable now.
      Fix checkPolyhedraCrush
      Remove polyhedra_utils import from "ymport"
      Add prefix std:: to isnan and isinf.
      Update checkPolyhedraCrush
      Update files for ppa-infrastructure.
      Undef NDEBUG in all polyhedra files.
      Add pause for checkSaveLoadClumps to escape race condition.
      Use variadic arguments in DynLibDispatcher.
      Fix crash in polyhedra, if maxFs=0.
      Fix checkPolyhedraCrush (remove qt)
      Remove unused functionality in Dispatcher.
      Set Qt5 by default.
      Add mathcmaker for normalCohesion and shearCohesion.
      Split QGLViewer.cmake on qt4 and qt5 versions.
      Add .gitattributes to ignore line endings.
      Migrate buildppa to python3.
      Replace some "#define"(s) by functions.
      Remove some machine-specific items in documentation.
      Add unit test for matchmaker.
      Replace vector by unordered_map data structure in Matchmaker.
      Minor fix in documentation.
      Replace some "defines" by functions.
      Remove numpy.hpp.
      Fix bug in polyhedra_splitter.
      Some cosmetic fixes in core-files.
      Enable C++14.
      Revert 2dc99 and ed8dcb.
      Use unordered_map instead of map for MapId2IntrT
      Use unordered_map only for Boost >= 1.56
      Back to C++11.
      Revert using unordered_map in Body.
      Scale mass and inertia in spheresModify.
      Reduce size of flags in Bounds of InsertionSortCollider
      Fix bug in MatchMaker.
      Add RELEASE file.

Bruno Chareyre (16):
      add labels to default engines for easier showcases
      fix ambiguous syntax, fixing https://bugs.launchpad.net/bugs/1514477
      introduce 2nd edition of the documentation and contact for consuting (in homepage)
      update the webpage about citation with 2nd edition, add 1st edition as an external reference, update pdf metadata
      fix one DOI of the 2nd ed. documentation
      Add missing toctree's for the citable book versions
      fix typo in installation page
      fixed DOI
      fix some hyperlinks pointing to the old geo.hmg.inpg.fr
      declare mask attribute for FlowEngine, fixes a compile error
      use FlowEngine's mask consistently
      implement standalone plastic-shear energy counter in CohesiveFrictional Law2
      define constrictions with consistent cell's ids (see https://answers.launchpad.net/yade/+question/288118)
      fix a compile error
      update boost version in prerequisites (installation page)
      Documentation: include unp in the equations of Law2_ScGeom6D_CohFrictPhys_CohesionMoment

Burak Er (1):
      Implement deformable elements

ChiaWeng Boon (1):
      Commit Potential Particles: non-spherical particles for DEM

Francois Kneib (8):
      TesselationWrapper : add a security that prevents user to access the strain tensor of a particle (aka deformation) outside its boundaries.
      Fix a tensor access in local displacement calculation.
      Fix a bug in Tesselationwrapper: one of the bounding planes was not rightly positionned.
      Fix in TesselationWrapper: allow the tesselation to compute right triangulation in the boundaries of a periodic boundaries conditions simulation.
      Add 5 setters for bodies pos,vel,ori,angVel,color to workaround the memory leak bug when assigning attributes from python (see https://bugs.launchpad.net/yade/+bug/1041084). They are not supposed to stay in the code for a long period (remove them when the bug is solved), but are useful in sims that massively change values of python/c++ binded attributes.
      Simplify one line in TesselationWrapper.
      Fix the debug build that failed to compile due to a mistake in pkg/dem/Polyhedra.cpp
      Fix the inspector GUI for Qt5, thanks to Mark S. Bentley.

Jan Stránský (30):
      Merge pull request #47 from booncw/master
      Potential particles modification
      Merge branch 'master' of github.com:yade/trunk
      Potential particles modifications
      added forgotten file from previous commit
      Modified python interface for O.forces.addF(...,permanent=True) and addT(...,permanent=True)
      fixed some warnings during docs build
      Added frictAngle MatchMaker for Ip2_FrictMat_CpmMat_FrictPhys
      set b.aspherical=True in utils.polyhedron and utils.tetraPoly
      Polyhedra modification
      Added a material model for mortar layer
      Polyhedra.setVertices improvement, preventing memory leaks (question #290947 and bug #1570679)
      Interaction::reset explicitly resets also its functorCache
      Fixed a strange bug in Law2_PolyhedraGeom_PolyhedraPhys_Volumetric and shearForce
      Added useRef parameters to VTKExporter.exportPolyhedra and VTKExporter.exportInteractions
      Modified MortarMat
      Merge branch 'master' of github.com:yade/trunk
      fixed computation of shearForce in Law2_PolyhedraGeom_PolyhedraPhys_Volumetric
      added and modified examples for MortarMat
      Merge branch 'master' of github.com:yade/trunk
      added MatchMaker for E in Ip2_CmpMat_CpmMat_CpmPhys
      Fixed a bug in pack.inSphere, related to question #292846
      Merge branch 'master' of github.com:yade/trunk
      VTKRecorder, added orientation for box export (question #293635)
      Modification of CPM
      Fixed ymport.textPolyhedra function (bug #1582775)
      added x_y_z_r_attrs format to ymport.textExt
      Added an example for generation of 'agglomerate' packing
      Fixed Law2_Cpm default parameter to keep backward compatibility (question #294657)
      Better default value from previous commit

Jerome Duriez (12):
      +1 journal paper
      Incorporating previous +1 paper in JCFpm doc
      + another journal paper
      makeCloud doc changes with the hope to make it clearer for all users
      Doc of TriaxStressController.porosity precised
      Doc improvements of previous commit improved
      Last doc improvement of previous commit
      normalForce and shearForce convention (sustained by #2) precised in docs
      fabricTensor() now ok for non-periodic simulations. revertSign attribute removed as well
      getSpheres*() functions: getting rid of dynamic test, see http://www.mail-archive.com/yade-dev@lists.launchpad.net/msg11956.html
      fabricTensor(): unify the behavior regarding boundary interactions whether split=0 or 1: they are now disregarded in both cases
      fabricTensor(): re introducing all kind of interactions in the loop, with the new possibility defining a cutoff. See http://www.mail-archive.com/yade-dev@lists.launchpad.net/msg11982.html

Klaus Thoeni (23):
      fix some typos and add some more details
      fix Anton's previous commit (make doc was not working)
      fix documentation for Note
      some polishing
      gts shift and scale apparently only take three float values, hence changed
      Merge branch 'master' of github.com:yade/trunk
      move grid specific functions in separate module and add some more doc
      add some more examples, show same functionality as with chained cylinders
      update doc
      add Grid and pFacet references
      Initial version of the PFacet implementation (contributed by Anna Effeindzourou)
      Examples for creating pfacets
      update tests according to new gridpfacet module
      remove postLoad function as not used, this fixes as well serialization problem in --test
      better handling of double contacts, get gid of function ScGem goOneWay
      improved documentation
      add definition for cylinder and cylinderConnection basen on gridConnection, add warning for chainedCylinder usage
      examples for cylinder and cylinderConnection
      example with many cylinders and 2 pFacets
      QT5 is default now
      correct some typos
      similar to example in chained-cylinder-roots.py
      add reference

Raphael Maurin (6):
      HydroForceEngine: modify the turbulent fluctuations formulation and add a new DRW model The turbulent fluctuations model takes now the form of a function of HydroForceEngine and is not anymore called from a flag. In addition, an alternative DRW model has been added.
      HydroForceEngine: adapt the averageProfile function for bi-disperse mixtures. Evaluate the streamwise, spanwise and wall-normal average particle velocity for the two defined types of particles.
      HydroForceEngine: modify turbulent fluctuation model. Add a fluctuation along the spanwise (y) direction. Reset the fluctuation to zero when the particle is out of the flow (fix a bug) Comment a bit more the turbulentFluctuation function
      HydroForceEngine, hpp file completing the last commit
      Add references
      add a link in the publications

bchareyre (1):
      compute external work correctly in TriaxialStressController

==================================================
yade-1.20.0
Fri, Oct 9 21:20:00 2015 +0200

Anton Gladky (57):
      Remove RELEASE file.
      Simplify definition of build flags
      Fix some warnings during compilation.
      For clang use -fstack-protector instead of -fstack-protector-strong
      Ignore project files of idea IDE
      Refactoring of Math.hpp
      Make minieigen external package mandatory.
      Add -fstack-protector-strong only for gcc >=4.9
      Some warning fixes.
      Add ENABLE_PROFILING option
      Set some metric-measures in ViscElCap.
      Revert adding frounding-math flag
      Replace INSTALL_PREFIX by CMAKE_INSTALL_PREFIX
      Remove deprecated in Yade BOOST_PYTHON_FUNCTION_OVERLOADS macros.
      Fix some more compilation warnings.
      Fix some more compilation warnings.
      Minor fix in CMakeLists.txt
      Fix hexagonal packing, should not be undesired overlap any more.
      Make Serializable.hpp more readable.
      Remove deprecated parameters.
      Move STLReader into STLImporter
      +1 master thesis at TU Freiberg.
      Fix crash by export-VTK of interactions after body removal.
      Split description of ViscoelasticPM to make it more readable.
      Let exist interactions between clumpMembers of the same clump.
      Skip force calculation in SPH-clump
      Add warning about CGAL in Ubuntu 14.04 Trusty
      Add ISC_TIMING pre preprocessor directive.
      Drop support of Ubuntu 12.04 Precise
      Merge pull request #46 from timpovall/master
      Non invasive refactoring of InsertionSortCollider
      Revert previous commit.
      Add a second option to fix the compilation with CGAL on 14.04
      Remove deprecated code with very old boost.
      Implement viscous damping for capillary phase.
      Fix SPH force calculation between clump members.
      Fix compilation with QGLViewer>=2.6.3
      Prepare Qt5-build.
      Fix compilation against gqlviewer-qt4.
      Fix check-script
      +1 conference
      First steps in Qt5.
      Prepare Qt5 build.
      Update python files due to Qt5.
      Some more updates toward Qt5.
      Qt5-migration is alsmot finished.
      Fix Qt5 compilation.
      Fix crash in Qt5.
      Fix QThread issue.
      Add information about compilation against Qt5.
      Add missing function in TesselationWrapper
      Remove some unused headers and defs.
      Fix compilation if openmp is disabled
      Fix compilation introduced in last commit.
      Add talk, hold in Particles 2015
      Add hourglass example
      Add RELEASE file.

Bruno Chareyre (15):
      Save relative rotations in ScGeom6D (unmark "nosave") since it is required for reloading correctly.
      CohesiveFrictionalInteractions: removed "nosave" flags for contact moments
      +1 journal paper
      +1 journal paper
      add a virtual function returning rotational stiffness of the interactions - returning zero if not overloaded
      account for the rotational stiffness of interactions in GlobalStiffnessTimeStepper
      apply the spin of the velocity gradient on particles in periodic BCs
      small typo
      Added book chapter
      Installation: http://www.yade-dem.org/packages is required for an external library (eigen or cgal? not sure now)
      more accurate defintion of fluctuational velocity/spin for kinetic energy in periodic BCs
      correct value of volume for id<6 in TesselationWrapper when O.bodies does not have bounding objects
      fix segfault when InteractionContainer::found() access out of bounds
      add function has() to O.interactions to check if (id1,id2) exists + fix doc of O.interactions
      remove useless int parameter of O.interactions.all(), instead filter non-real interactions optionaly based on bool

Chao Yuan (3):
      -add getPotentialPendularSpheresPair() function.
      -set pore throat radius between two fictious cells negative in invadeBoundary=true mode.
      add a new version of capillary law. (pushed by Caroline)

Francois Kneib (2):
      New viewer feature : display tori instead of spheres for 2D simulations.     So if the viewer looks toward the right axis, on can see circles instead of disks.     Modifications in pkg/common/Gl1_Primitives.*pp     3 new parameters in Gl1_Sphere : circleView, circleRelThickness, circleAllowedRotationAxis.     A new condition to enable circleView. The code is based on initGlutGlList() method for spheres.
      Add an example script for the tori DISPLAY feature.

Jan Stránský (4):
      fixed compilation warning
      added Polyhedra.setVertices function, which also updates internal variables (shape.v=... does not)
      Added Facet.setVertices function to prevent memory leaks (see bug 1041084, #8)
      corrected bug in utils.UnstructuredGrid.updateElements (question #267761)

Janek Kozicki (2):
      Fix bug in InteractionContainer::eraseNonReal
      Fix: CGAL ERROR: assertion violation!

Jerome Duriez (5):
      Add missing space in error message
      Doc of sphSph attribute of plotDirections precized
      Introduction of surface tension as an attribute, and comments about code objects related to capillary files
      Addition in doc of Omega.engines to state it is = to O.engines in python
      Removal of python O.engines reference

Raphael Maurin (9):
      getStressProfile: output format modification + add calculation of granular temperature and kinetic stress tensor
      Law2_ScGeom_ViscElPhys_Basic: add a new formulation + check     Add a new formulation of the law when imposing in the material young, poisson, and normal restitution coefficient.     The effective spring constants ks and kn are evaluated "classically" with the young modulus and the poisson's ratio.     The specificity of the formulation stands in the fact that it is the restitution coefficient of the contact (en = 2*en1*en2/(en1+en2)) that is imposed, and not the damping constant. To achieve this, the damping constant of the contact is evaluated resolving numerically the analytical expression 21 of [Schwager2007] (with a minus sign, there is a mistake in the article) with a Newton-Raphson algorithm (This was made by Francois Kneib). This does not seem to affect the calculation time.     With this formulation, there is no tangential viscous damping, and it is usually not possible to access value of normal restitution coefficient lower than 0.1 (in that case the numerical resolution does not converged in the maximum 15 iteration allowed in the code)     Together with the new formulation, add a short check script to verify that the imposed restitution coefficient is the one obtained.
      Law2_ScGeom_ViscElPhys_Basic: complete the documentation     Add a more precise documentation of the law integrating the last commit.     I didn't complete the formulation associated with Pournin2001 (precising en,es,tc) as I am not using it and I do not know it much.
      Fix compilation error in the documentation of Law2_ScGeom_ViscElPhys_Basic     Error inserted in commit d47b8574e8fcc2dc09b926404f08081f2194cfde
      Add a function in shop to evaluate average depth profiles     of particle velocity (x,y,z components), and solid volume fraction.
      HydroForceEngine: switch averageProfile function into a method     + modify documentation
      Tutorial examples: remove all deprecated 'utils.' and GravityEngine in the example scripts
      Modify getDepthProfile to possibly average on spheres of selected radius only
      HydroForceEngine: modify averageProfile function to handle bi-disperse sample     Add evaluation of the average solid volume fraction and drag force depth profiles considering the two particle size (taken as input) as independent.

Timothy Povall (1):
      Removed line calling FindVTK.cmake, as this file no longer exists

thomassweijen (1):
      Updates towards merging of both capillarity codes

==================================================
yade-1.14.0
Tue, 21 Apr 2015 22:36:55 +0200

Anton Gladky (36):
      Remove RELEASE file.
      Fix typo in SPH.
      Move SPH-body parameters into body->state.
      Add one more kernel function in SPH.
      Change sign in calculation of viscosity in SPH
      Simplify Lucy kernel function
      Remove Cs parameter from VTK-export (sph only).
      Implement second variant of BSpline kernel function.
      Fix typo in Bspline  kernel functio (sph).
      Fix date typo in Changelog
      Move Vf and Vmin from Body`s parameter to Body->state.
      Replace struct intReal by standard std::pair
      Prevent returning of a real value from void-function.
      Fix probably a wrong using of if-condition.
      Minor fix of using of std::abs function.
      Drop some if-conditions, which have always constant value.
      Drop default inclusion of DFNFLOW.
      Add some missing #ifdef YADE_CGAL.
      Fix check-script for LIQMIGRATION.
      Drop -frounding-math compiler flag from FindCGAL.
      Drop embedded floating_point_utilities_v3.
      Reintroduce  floating_point_utilities_v3.
      Add missing files from last commit.
      Add LiqMigrEnabled parameter.
      Fix compilation with  GCC-5. (Closes: #778190)
      +2 Project works
      Add an opportunity to list works, other than master thesis.
      Fix body unselecting. (Closes: LP:1423130)
      Fix MatplotlibDeprecationWarning: The use of 0
      Remove DirSearchYade, MicroMacroAnalysis and someFile.pdf
      Clean current directory after --check
      Check file existance before its moving and removing.
      Add information, how to be notidied after each commit.
      Add an opportunity to set frictAngl through MatchMaker in ViscEl
      Add an option coordNumber to be exported in VTK.
      Add one more master thesis.

Bruno Chareyre (28):
      FlowEngine: set cell's id in periodic triangulations + couple smallfix
      fix bad bugs in DFNFlowEngine following uninitialized 'isClump'
      use the dedicated solver in DFNFlowEngine
      some code documentation
      FlowEngine: discard blocked cells completely when assembling the permeability matrix
      #undef DFNFLOW
      FlowEngine: enhanced setter macro, detect changes in imposed pressure and update the linear system accordingly
      explicit error message when trying to interpolate capillary forces out-of-range of the data files
      fix save/load QGL camera state via text files
      Documentation. Define sign convention globaly in TriaxialStressController docstring, not repeated in attributes documentation
      bib reference of 1st workshop
      fix mistakes in conferences.bib
      +13 journal papers using yade
      +14 conference papers
      small update in the publication page
      fix and sort some bib references + change the title of the conference section
      +1 journal paper
      +1 conference paper
      +1 journal paper and fix alphabetic ordering of a few items
      FlowEngine safely impose flux at every iteration without remeshing + documentation
      implement blockHook for PeriodicFlowEngine as well
      Add .mailmap file defining git alias for multiple adress emails
      sphinx '..only::' directive removing some parts that break in latex
      integrate Ning's FEMxDEM doc in yade's doc
      add references in relation with FEMxDEM + couple fixes in *.bib
      remove  FEMxDEM readme, replace by FEMxDEM.rst for inclusion in doc
      remove '..only:' from sphinx files - not yet supported on older sphinx then breaking the html build | update bib's
      Update introduction.rst

Chao Yuan (7):
      move computePoreThroatRadius() to 2PFlow
      -move initialization() to 2PF
      -fix inconsistency in invasionSingleCell and getMaxImbibitionPC; clean code; remove savePhaseVTK in Unsat
      -remove cleanInterfaceWithinPore() in Unsat.
      fix inconsistency of side boundary cell pressure of closeBC drainage.
      Add some comments on FlowEngine(by bruno).
      Fix error in computing cell->info.solidLine

Christian Jakob (10):
      fix force and torque vtk output for boxes
      temporary fix for pfv vtk output when vertex ids were not zero-based
      fix fusion detection for hertz model in capillary law
      reduce error message spam for capillary law
      remove unused testing function in capillary law
      fix previous commit for case (fusionDetection && hertz model) in capillary law (re-initiate bodiesMenisciiList at first real contact) and add some comments
      improve/fix documentation about clumps
      insert link to user manual in documentation of NewtonIntegrator
      update DEM background doc for clumps
      some code cleaning in clump methods

Francois Kneib (1):
      Add the Yubuntu (live-usb with Xubuntu and Yade) alternative for installation.

Jan Stránský (10):
      PolyhedraMat and PolyhedraPhys are now inherited from FrictMat and FrictPhys, modified related examples     Added Ig2_Sphere_Polyhedra_ScGeom
      Added examples for Ig2_Sphere_Polyhedra_ScGeom, added ymport.ele function
      Added documentation of Ig2_Sphere_Polyhedra_ScGeom
      Allowed Polyhedra-Wall interaction if Wall.sense==0
      fixed Cpm for Sphere-Box interactions
      added export.textPolyhedra function
      added Elias2014 article to yade-articles.bib
      add attrs parameter to export.textPolyhedra
      modified Clump::updateProprties to handel non-spherical bodies, added associated example
      box inertia computation correction

Jerome Duriez (19):
      Sign convention change for fCap, to be consistent with global framework. Plus other minor changes. As discussed in http://www.mail-archive.com/yade-dev@lists.launchpad.net/msg10868.html and http://www.mail-archive.com/yade-dev@lists.launchpad.net/msg10877.html
      Doc hyperlinks, and erase of commented lines
      Many changes towards a more consistent sign convention throughout the code for stresses and strains. Should fix e.g. https://bugs.launchpad.net/yade/+bug/1381282. The goal is to know directly the meaning of a strain or stress value each time one is encountered. Relying on the classical Continuum Mechanics convention (editorial choice...). A global announcement is planned in a couple of days, in case some errors appear in the meantime.
      Other changes regarding sign convention. Add of deprecation warnings (existing in the code and at execution) in the doc. Fix of script-session2.py previously broken
      See https://bugs.launchpad.net/yade/+bug/1394942 answer # 3
      Minor doc fixes
      Anecdotic doc change, see http://www.mail-archive.com/yade-dev@lists.launchpad.net/msg10972.html
      Add of O.thisScene() function to know in which scene we are
      Add of sphSph parameter in plotDirections() to take into account only sph-sph interactions in polar histograms. Seems it does not modify really the plots, but it is easier to figure out with the parameter
      TSC engine: internal compaction now may consider isotropic tensile cases. See http://www.mail-archive.com/yade-dev@lists.launchpad.net/msg11047.html
      Removal of parallel loops in capillary Law2: needs maybe more verification, and improvements for fusion detection
      Typo in the doc (missing space)
      Correction of minor inconsistency between comment and command
      Extra parenthesis removed in doc
      Doc of capillary law2, concerning fusionDetection, precised (see https://lists.launchpad.net/yade-dev/msg11792.html)
      Doc typos
      Parallelization of one loop of Law2_ScGeom_CapillaryPhys_Capillarity (see http://www.mail-archive.com/yade-dev@lists.launchpad.net/msg11238.html) and some comments
      Typo in ScGeom, precision about twist doc (axis) in ScGeom6D
      Minor fix of previous commit (hyperlink)

Klaus Thoeni (2):
      update references
      update some links and typos

Luc Scholtes (3):
      changes for DFNFlow + corrections in JCFpm associated with the use of the never erase flag
      minor changes in DFN Flow
      add references

Luc Sibille (5):
      Add 2 article references in yade-articles.bib
      correct a proceeding reference
      correct reference key in 1 proceeding
      fix missing comas after key references
      add fragile parameter to CohFrictMat and redefine unpMax CohFrictPhys

Ning GUO (2):
      Ning Guo's FEMxDEM package added to trunk
      Example REV generation for FEMxDEM

Raphael Maurin (6):
      add some references in yade-conference.bib
      Switch a private argument to public in HydroforceEngine.
      HydroForceEngine: minor fix + add an averaging function     Minor fix : modify some default value of the parameters, remove unecessary parameters.     Add a 1D averaging function which evaluate the average depth profiles of the solid volume fraction, the solid velocity, and the drag force.     The averaging is weighted by the volume occupied by the particles in the layer considered.
      Add new function to compute stress tensor depth profile.     Compute and return the stress tensor for each cell of height dz, between two limit points given by the user.     The stress tensor computed include contributions from both particles inertia and Love-Weber stress tensor. This last take into account only the part of the branch vector contained in the cell.
      Minor fix in getStressProfile.     The order of the argument in _utils.cpp was not the right one.
      HydroForceEngine: small modifications in the averaging function.     Perform the averaging also on the y and z component of the particle velocity, instead of only x before.

T Sweijen (7):
      update for dynamic two-phase flow
      small correction
      add initSolver()
      delta t for dynamic two-phase flow
      add function to get the pore body radius
      add one get functions for pore volume and rename that of inscribed sphere
      add one get functions for pore volume and rename that of inscribed sphere

==================================================
yade-1.12.0
Mon, 20 Oct 2014 21:22:00 +0200

Anton Gladky (27):
      Remove RELEASE file.
      Use toleranceWarning and toleranceCritical for DEM-PFV check.
      Fix crash after clumps removing. Closes LP:1354433
      Add checkClumpHopper autotest.
      Fix crash after removal of the whole clump.
      Fix calculation of massR in ViscoelasticPM
      Fix cs calculation in ViscoelasticPM
      Fix ViscElPM one more time.
      Create an array of clump`s memberIds to remove.
      Return fictional value from deprecated functions.
      Respect returnin value in computeForceTorqueViscEl
      Update Schwager2007 URL
      Add one more paper
      Merge pull request #44 from fifthguy/master
      Add firstIterRun parameter to PyRunner.
      Use system call "sphinx-build" instead of python module.
      Fix compilation error in PeriodicFlow.hpp
      Set python versions explicitly.
      Move function declarations of _utils.cpp into .hpp
      Fix runtime error in debug mode and without openmp.
      Drop including "yade/" folder in cpp and hpp files.
      Fix docs-generation.
      SPH-code refactoring.
      Use only vtkCommonCore vtkIOImage vtkIOXML components for VTK.
      Use Python 2.7 only
      Reintroduce viscosity in SPH-modell.
      Add RELEASE file.

Bruno Chareyre (33):
      -include UnsaturatedEngine to start Chao's work
      fix a few mistakes and make a real (not empty) test function
      - replace hand-defined positions by scene's positions
      Merge branch 'master' of https://github.com/yade/trunk into chaoUnsat
      remove pack.particleSD and variants, unmaintained and deprecated by makeCloud (functions kept temporarily but returning error)
      fix https://bugs.launchpad.net/yade/+bug/1362090
      fix https://bugs.launchpad.net/yade/+bug/1308074
      fix https://bugs.launchpad.net/yade/+bug/1368591 + remove a useless test
      remove a temporary fix for https://bugs.launchpad.net/yade/+bug/923929, after better fix in https://github.com/yade/trunk/commit/4ea76ad6e47ac5074a389ad61712a0840e8560a5, thanks Anton
      parallel removal of old interactions
      replace LOG_ERROR by LOG_WARN for notifying deprecation of GravityEngine
      improve falling back to 1-thread in parrallel collider (fix https://bugs.launchpad.net/yade/+bug/1368591)
      fix missing brackets resulting in wrong permeability in periodic PFV
      point to Bourrier2013 for a partial explanation of the CohesiveFrictional contact law
      fix doc regarding requestErase() - https://bugs.launchpad.net/yade/+bug/1370736, thanks Jan
      selective blocking of cells of the mesh in FlowEngines (preliminary steps)
      remove empty file
      PFV: don't skip perm calculation for blocked cells, yet
      fix filename
      remove cpp with wrong filename
      reset id of erased bodies; enabling this: b=Body(); O.bodies.erase(O.bodies.append(b)); O.bodies.append(b)
      turn DeprecationWarning (not displayed) into UserWarning (displayed) since the error messages where cryptic
      no indexing of blocked cells in PFV
      decrease verbosity of blocking PFV cells
      DFNFlow unblock cells as fractures reach them + additional attributes in JCFPM
      split resetNetwork and resetLinearSystem + add more getter/setter
      split TwoPhaseFlowEngine in hpp/cpp for inclusion in child engines
      #ifdef guard for openmp function
      don't overwrite imposed fluid pressure when initializing the values (more flexible) + a function returning barycenter + improved "locate" for interpolation
      increased flexibility of imposing fluid pressure in FlowEngine's
      specialized getter/setter's for TwoPhaseFlowEngine + no re-indexing of cells in UnsatEngine
      better #def/#ifdef logic for TwoPhaseFlowEngine
      rename cellCenter->cellBarycenter (missing in prev. commit)

Chao Yuan (86):
      - my first work on drainage simulation
      Commit the first working code for drainage
      - make the FAR constant more flexible (a parameter in addBoundaries)
      -add poreRadius
      -a test commit to escape big mess...
      Merge github.com:yade/trunk into chaoUnsat
      -add saveLatticeNode functions for generating axial-normal slice with "0" and "1"
      -add isWaterReservoir, isAirReservoir.
      -add another version for drainage.
      -delete unnecessary recursion for invadeSingleCell2()
      Merge github.com:yade/trunk into chaoUnsat
      Merge github.com:yade/trunk into chaoUnsat
      -add UnsatCellInfo, UnsatVertexInfo
      clean code
      -add temp function for pore connection
      Merge github.com:yade/trunk into chaoUnsat
      -update boundary attributes
      -a backup for laptop
      -add UnsatVertexInfo(void) for future use
      -test commit
      -test commit
      Merge remote-tracking branch 'origin/chaoUnsat' into chaoUnsat
      Merge github.com:yade/trunk into chaoUnsat
      -clean code
      add capillaryCellVolume in cellinfo, optimize getSaturation()
      -replace cell->info().p  with isAir/WaterReservoir
      -add solidLine in cell info. partly code for force.
      clean code, fix mistake on Facet_Force.
      a test version of computing fluid force.
      fix solidLine[i][j] when facetNFictious case(1).
      -fix noCache.
      -fix solidLine[i][j] when facetNFictious case(2).
      -clean code.
      fix reservoir attr. change boundcells.isWaterReservoir=true when finish drainage.
      clean code.
      add temp test func.
      add cell->info().trapCapP; fix pressure calculation for trapped phase.
      clean code.
      Merge github.com:yade/trunk into chaoUnsat
      clean code.add action()
      add getSaturation2() for mode 2.
      Merge github.com:yade/trunk into chaoUnsat
      borrow saveVTK from FlowEngine
      normalize two invade modes.
      make computeForce optional;a bakcup
      a temporary save, change waterReservoir=bound[2], add invadeBounday option
      -make invade from boundary optional.(default false)
      -fix Line_Solid_Pore() in Network.
      Merge github.com:yade/trunk into chaoUnsat
      -big change, inherit from FlowEngine.
      remove old files
      clean code
      fix force calculation.
      add compute specific interficial area, lots of bugs...
      fix computeCellInterfacialArea with fictious vertex
      -test. no big change.
      Merge github.com:yade/trunk into chaoUnsat
      Merge github.com:yade/trunk into chaoUnsat
      Merge github.com:yade/trunk into chaoUnsat
      -fix ‘python’ declared bug
      -clean some info in debug
      -fix core dump in computerForcePoreForceWithCache, currentTes shoule be solver->T[solver->currentTes],NOT solver->T[currentTes]
      Merge github.com:yade/trunk into chaoUnsat
      Merge github.com:yade/trunk into chaoUnsat
      -update with PFV
      -use bndCondValue to mark reservoir.
      -fix reservoirs determination; fix invade(), Pw can be negative (mode1)
      -change invade rule, use bndCondValue to determine invasion. reservoirInfo depends on bndCondValue; merge isInvadeBoundary.(mode1)
      -change invade rule for mode2. merge some functions
      -fix getWindowsSaturations.
      -add pore radius checking funcs(tmp)
      -rename variables for computePoreRadius(); clean code.
      -clean code
      Merge github.com:yade/trunk into chaoUnsat
      Merge github.com:yade/trunk into chaoUnsat
      -add debugOut to test isInvadeBoundary=True isPhaseTrapped=True
      -insert debugOut. (core dump fixed by ulimit -s 16000)
      Merge github.com:yade/trunk into chaoUnsat
      This is TwoPhaseFlowEngine (alpha version) yeah!
      Merge github.com:yade/trunk into chaoUnsat
      -merge TwoPhaseFlowEngine, add more cell infos.
      Merge branch 'master' of github.com:yade/trunk
      -add savePhaseVtk. rename function.
      -remove check cell.index
      Merge branch 'master' of github.com:yade/trunk
      comment #define TWOPHASEFLOW

Christian Jakob (6):
      insert updatePorosity option in TriaxialStressController
      fix long line in github doc
      small fix of a warning in NewtonIntegrator
      minor fix in doc introduction.rst
      include fluid stiffness for TSC for undrained flow condition
      fix fluidStiffness for TSC when FlowEngine is deactivated

Dominik Boemer (1):
      Add check-script for ViscoElasticPM.

Francois (1):
      Correct contact tracking bugs for grids.     They essencially came from the new logic of laws that have to return booleans.

Jan Stransky (7):
      Added force and torque export to VTKRecorder (question #252413)
      fixed typo in utils.polyhedron function
      enable periodic simulations with Polhedron and Tetra
      rename PolyhedraVolumetricLaw -> Law2_PolyhedraGeom_PolyhedraPhys_Veolumetric
      deleted vtk output of force for boxes (bug #1376734)
      added Polyhedra::GetSurfaces function
      Added volumePower attribute to Law2_PolyhedraGeom_PolyhedraPhys_Volumetric, Polyhedra code small cleanup

Janek Kozicki (2):
      Fix bug in 'inspect' that made editing values annoying.
      Merge doc/sphinx/references.bib into doc/references.bib

Jerome Duriez (3):
      Re-write of "Yade on GitHub" wiki page in sphinx doc.
      Anecdotic commit to keep a track (in code comment) of a useful link for JCFpm paraview analysis
      Removal of very last wiki-link github-related in rst files

Raphael Maurin (1):
      New force engine to couple Yade with a 1D RANS code.     Add a new force engine applying the main hydrodynamical forces in function of a 1D average fluid velocity vector which depends only on the depth.     The engine is calculating at each time step the drag, lift and buoyant forces for each particle.     Complete the references for the documentation associated to the engine.

T Sweijen (1):
      Merge two-phase flow engine

Thinkpad (1):
      -a test commit from laptop

cyuan (7):
      a small change for check reservoir boundingCells.
      -add temp function for generating sample windows, calculating responding saturation...
      -add savePhaseVtk
      Merge github.com:yade/trunk into chaoUnsat
      Merge github.com:yade/trunk into chaoUnsat
      -replace abs, max, min by std::abs, std::max, std::min
      Merge github.com:yade/trunk into chaoUnsat

cyuanLaptop (1):
      -change debugOut

fifthguy (1):
      Fixed a bug that appeared when running the uniaxial-post.py script from examples. Edited py/post2d.py to capture exception while importing Vector3 from minieigen.

jduriez (12):
      Correction of an error using psd() with monodisperse packings (false = False in python). Add of an explanatory message
      Few changes in capillary doc: assumption of null wetting angle, hyperlinks, and some comments in source code
      One forgotten change during previous commit about TriaxialStressController <-> 3DTriaxialEngine ? https://github.com/yade/trunk/commit/77bc6d75b780bcbad5bdadc5bb3645badb009cd9
      Adding mention of different save files kinds. Tried to comment differences, please correct if I was wrong
      Typos and precisions in capillary doc
      porosity() function infers now a volume value for non-periodic cases, rather than throwing an error. Positiv volume values eventually passed as argument override this inferred value
      porosity doc changed according to previous commit
      getStress() considers now an adequate volume value for non-periodic case (values passed as parameters may still also be taken into account)
      Re-introducing change from https://github.com/yade/trunk/commit/ab91b3cf8654f6d563dede10184e784a8ce84219, reverted since, without reason
      Improvement of https://github.com/yade/trunk/commit/05599b23808991dbfef6b85400c7ddd32be594e0 regarding volume computation in getStress for non periodic cases
      Typo in CapillaryPhys doc
      Parallelization of interaction loops in Law2_..._Capillarity (which is in fact not a LawFunctor handled by InteractionLoop). Moreover adopting the FOREACH iterator for the non-parallel flavour.

==================================================
yade-1.11.0
Mon, 4 Aug 2014 18:54:00 +0200

Alexander Eulitz (9):
      small corrections of messed up indentations
      another indentation fixed
      rearranged compilation and installing procedure so that hints for multicore compilation are placed directly after the make command
      typo fix
      fixed --cores implementation and improved arg-parse argument documentation.
      improved doc of betan and betas
      replacing damping coefficient betan and betas by damping ratio betan and betas
      rearranged indentation of examplarily folder structure for yade complation
      Added hint about make errors during compilation     when user does not posses root priviledges.

Anton Gladky (58):
      Delete RELEASE file.
      Add YADE_PTR_DYN_CAST to define dynamic_cast.
      Remove all "using namespace std;"
      Fix compilation with disabled openmp.
      Roll back last 2 commits.
      Remove most of "using namespace std;"
      Replace math.h by cmath in includes.
      Remove some more "using namespace std;"
      Remove "using namespace std;" everywhere. Tests are failing.
      Replace abs by std::abs.
      Clean up in header inclusions.
      First stage of C++11 implementing.
      Add missing header.
      Remove isIndexable and isFactorable.
      Use boost::shared_ptr for C++11 as well.
      Drop Qt3 workaround
      Enable LBM by default.
      Enable C++11 by default.
      Do not consider Eigen3 like a feature.
      Capitalize feature list.
      Use double precision for VTKREcorder.
      Do not use -DTYPEOF, use explicit decltype
      Move definitions of YADE_PTR_CAST YADE_CAST YADE_PTR_DYN_CAST into     Math.hpp
      Remove -std=c++0x definition for pygts.
      Join [CohFrict]Mat, Phys and Ip2_.
      Move Ip2_*_MindlinCapillaryPhys into HertzMindlin
      Move Ip2_*_CapillaryPhys. into CapillaryPhys.
      Move Ip2_FrictMat_* into FrictPhys
      Move all NormalInelastic files into NormalInelasticPM
      Join all InelastCohFrict files into InelastCohFrictPM.
      Join all KinemC*Engine.* into KinemC__Engine.*
      Set C++11 only for CXX-files, not C
      Update LICENSE file, does not need exception any more
      Cut off some header inclusions.
      Disable reusing of removed body ids.
      Fix compilation.
      Replace nullptr by reset().
      Join all Bo1_* into Bo1_Aabb
      Remove some more .cpp-files.
      Move many Gl1_* into Gl1_Primitives.
      Remove some more small cpp-files.
      Remove some warnings.
      Remove LBMbody.cpp and LBMlink.cpp.
      Remove Indexable.cpp
      Exclude Indexable.cpp from CMakeLists.txt
      Redirect --test output into stdout
      Modify slightly description of save-loadVars
      Change stderr to stdout in greeting message.
      Update Vaclav`s occupation in sphinx-doc
      Cut long line in HertzMindlin.hpp
      Move some YADE_PLUGINS into common.cpp
      Fix most of compilation warnings.
      Return false in BubbleMat, if no penetration.
      Fix and enable DEM-PFV-check.py.
      Replace L3eom by SCgeom in stl and gts examples.
      Use global interpreter lock (GIL) in OpenGLRenderer.
      Update mtTkinter version.
      Remove NEWS file (outdated).

Bruno Chareyre (9):
      Revert "Revert "Set minimal required Eigen3 version 3.2.1"" / Thanks Anton for uploading the backport
      replace abs by std::abs (complement of https://github.com/yade/trunk/commit/1997c194c0aa759cae101a3dd0a559fcf049b29f)
      +2 conf papers
      Law2 return bool - fix https://bugs.launchpad.net/yade/+bug/1324190
      add missing 'return bool' in some Law2's
      Revert "implement more accurate porosity calculation..." (temporary required in order to revert 915fd94606af6 without conflict)"
      Revert "fix typos and indents; cut long lines.. - please no formatting commits (+there is nothing wrong in long lines). Please reapply the documentation part."
      make growParticles fatser for clumps
      use Shop::growParticles in TriaxialStressController (fix https://bugs.launchpad.net/yade/+bug/1351275)

Christian Jakob (5):
      fix typos and indents; cut long lines in TriaxialStressController; bit more documentation of stressMask
      implement more accurate porosity calculation for clumps in TriaxialStressController; inserted updateClumpProperties command in Triax tutorial
      Merge branch 'master' of github.com:yade/trunk
      make PFV compatible with clumps (clumps are treated as spheres with equivalent radius - valid for nearly spherical clumps)
      reapply 9e512fd50083

Francois (1):
      Simplify the contact detection in Ig2_GridConnection_GridConnection_GridCoGridCoGeom.

Jan Stransky (3):
      fixed bug in export.VTKExporter.exportInteractions (question #250922)
      modification of utils.UnstructuredMesh, added utils.polyhedron
      fixed bug in MASK_ARBITRARY feature

Jerome Duriez (7):
      Correction of some broken sphinx links: yade._utils => yade.utils
      Removal of a double :
      Improvement of previous commit: there was no extra : but a missing blank line
      Export principal stresses and directions in VTKRecorder
      Some shortening in VTKRecorder, mainly according to http://www.mail-archive.com/yade-dev@lists.launchpad.net/msg10370.html
      Revert sign convention in bstresses in VTKRecorder (tension=positiv now)
      Slight modif in JCFpm doc. To better describe the logic of the code.

Kubeu (1):
      replaced "root" from last commit

Nolan Dyck (2):
      Update BubbleMat.hpp and BubbleMat.cpp
      Update bubble example script.

==================================================
yade-1.10.0
Wed, 25 Jun 2014 19:35:00 +0200

Anton Gladky (47):
      Delete Release file.
      Add orientation parameter to ymport.textClumps
      Resize ForceContainer after each body insert
      Added assert to get*Unsynced function
      Better fix for ForceContainer-size-change
      Remove extra/floating_point_utilities_v3
      Remove some 'using namespace boost'
      Remove some more `using namespace boost`.
      Remove all remaining `using namespace boost`
      Fix compilation in DEBIG-mode.
      Link against libboost_date. Fix LP:1322274
      Set the mask to a clump the same as the first member of it.
      Revert removal of embedded floating_point_utilities_v3.
      Add particleconserve parameter to LiqControl.
      Replace features by CONFIGURED_FEATS.
      Prevent first empty item in features.
      Add checkLiquidMigration autotest.
      Better check for DEM-PFV-check.py
      Add missing header.
      Add --as-needed flag to yade-lib.
      Comment some lines, where defined unused variables.
      Minor fix in documentation of viscoelastic.
      At every sync check,  whether ForceContainer is large enough.
      Disable parallel code in conditionalyEraseNonReal
      Skip interactions, where one of body isClump
      Fix doc-compilation for IPython >=2
      Enable vectorization in eigen3-lib
      Do not use Eigen3 in parallel mode.
      Recommend minimal Eigen3 version 3.2.1.
      Set minimal required Eigen3 version 3.2.1
      Add NOVECTORIZE option
      Prevent adding liqVol-parameters into VTK-files
      Prevent crash in liqVolIterBody
      Disable vectorization by default.
      Replace Quaternion.Identity by Quaternion((1,0,0),0)
      In state pos_set and ori_set use passing by value.
      Add addLiqInter function to set liquid "properly"
      Liquid migration model, code refactoring.
      Add script to changes commit`s author`s names.
      Fix typo in installation.
      PFV code refactoring.
      Fix typo in previous commit.
      Fix templates names.
      Clean in ymport.stl
      Remove service-messages in CMakeLists
      Add missed #pragma once
      Add RELEASE file.

Bruno Chareyre (11):
      CohFritMat documentation
      document Ip2_CohFrictMat more
      make the parallel collider warning more explicit regarding turning collider.ompThreads=1
      CohesiveFrictional contacts: make them elastic only if strength<0 (previous condition was <=0) + Lingran's elastic energy of contact moments
      fix fluidForce=0 after remeshing + allow constant positions for DFNFlowEngine
      make FlowEngine::setPositionsBuffer virtual
      missing declaration of function
      fix default attribute in DFNFlow
      CohesiveFrictionalContactLaw does not warn about incremental formulation of rolling/twisting moments when the moments are elastic
      fix bug in FlowEngine::updateBCs() (reported by Luc Scholtes, thanks)
      Revert "Set minimal required Eigen3 version 3.2.1"

Christian Jakob (2):
      remove relicts of Dem3Dof and code cleaning
      increase maximum length of char filename in saveVtk method for FlowEngine

Francois (1):
      Update the documentation for Law2_ScGridCoGeom_NormalInelasticityPhys. At this moment it's not done, but it will be fixed and come with a reference article during 2014.

Jan Stransky (4):
      Body::groupMask may be optionally boost::python::long_, subsequently modified code where necessary
      fixed bug in yade.export.exportFacetsAsMesh (thanks Jan Havelka for reporting)
      added mask_t type for bitmask variables to be int or optionally std::bitset of fixed (yet arbitrary) size. Added bitset to/from python long conversion. Added MASK_ARBITRARY cmake option. Subsequent changes in other files
      corrected git warning in CMakeLists.txt

Jerome Duriez (6):
      Correction of mispelling in example script name of one Law2
      Minor changes in JCFpm
      Important change in Kinem.. engines. Both changes in position and velocities of boundary bodies were still existing, while now changes in position should be handled by NewtonIntegrator
      JCFpm : doc of JCFpmPhys.FnMax precised (minor change). And formulation of kn for onJoint interactions according to JCFpmPhys.crossSection (rather than mean of surfaces) to be consistent with the whole formulation ("major" change : this may impact the results of previous scripts depending on psd and how much the mechanical behaviour of joint is important)
      Doc of VTKRecorder.skipFacetIntr precised so that it better corresponds to code
      Extra s in previous commit removed..

Klaus Thoeni (4):
      remove old code
      improve output and remove first iteration in calculation velocity estimation
      add definition for functor order
      set number of iterations to be run correctly (thanks Alex)

==================================================
yade-1.09.0
Sun, 18 May 2014 17:32:07 +0200

Alexander Eulitz (1):
      corrected a little bug in description of yadedaily-installation and added example and folder structure for compilation

Anton Gladky (97):
      Remove RELEASE-file.
      Fix setting of wall's color.
      +1 reference.
      Replace some bazaar-links by github.
      Update installation instructions.
      Update INSTALL file.
      Fix version definition for IPython>1.0.0
      Fix warning for IPython > 1.0.0
      Add radiusTopInner, radiusBottomInner to facetCone and facetCylinder.
      Increase number of steps in checkWeight.py
      Prevent returning a reference to local temp object.
      Prevent binding a reference member to a temp. value.
      Remove notice on the main page about daily packages on Launchpad.
      Some more changes on the main page.
      Add Lambert formulation into capillary models.
      Use enum instead of string to keep capyllar type.
      Update config of mini-dinstall.
      Do not ignore k* and c* parameters if mass==0
      Add billiard example script.
      Introduce YADE_ODEINT feature
      Implement binary-arch only builds for yadedaily.
      Fix split delimiter
      Fix library name for new openblas.
      Output some additional messages, when DEBUG mode is enabled.
      Fix compilation with libqglviewer>=2.5.1
      Fix compilation with libqglviewer>=2.5.1
      Add informational message, if VTK6 is found.
      Disable some debug-messages, because they break compilation.
      Check, whether manipulatedFrame exist, if not - create it.
      Set mouse parameters, only if frame is created.
      Better fix for QGLviewer next version.
      Fix compilation.
      Move all force and torque calculation into separate function
      Move capillary functions out of ViscEl-classes.
      Implement Soulie capillary model.
      Add an example to test different capillary models.
      Deprecate getViscoelasticFromSpheresInteraction.
      Update examples and test-scripts due to deprecating of getViscoelasticFromSpheresInteraction.
      Update Warning about last changes.
      Use MatchMaker to set tc, et and en in ViscEl model
      Update URL in getViscoelastic
      Fix compilation in ViscElCap.
      Minor description update.
      Replace isnan by isfinite to let the numbers be 0.
      Remove last capillar-parameters from ViscEl.
      Remove massMultiply paramter
      Fix compilation.
      Implement experimental SPH-model
      Add gradients and laplacian of the kernel functions.
      Implement some more kernel functions.
      Remove duplicated code.
      Normalize parameters of kernel functions.
      Produce meaningful error message.
      Add Cs parameters to particles, visualize them in VTK.
      Export in VTK some more SPH-parameters.
      Get a coordination number from body.
      Use bool return type for force calculation.
      Add watercolumn example for SPH.
      Add example script to test different kernel functions.
      Add README to examples SPH.
      Fix conflict.
      Fix eigen3 inclusions.
      Add one more example for sph.
      Split all capillary function into smaller one.
      Add YADE_SPH macroses to fix FTBFS, when SPH disabled
      Minor fix (replace #ifdef by #endif)
      Add an opportunity to change liquid volume during simulation.
      Disable temporarly Cs calculation in SPH.
      Fix interaction removal in VeiscoElPM
      Store an information about active liquid contacts.
      Add -= operator to OpenMPAccumulator.
      Fix compilation with clang, when openmp is switched off.
      Add OpenMPVector for thread-safe vector work.
      Minor fix in installation section of documentation.
      Export current value from PIDController.
      Add a note in installation section of docs.
      Do not link libloki and boost_date_time.
      Fix scrolling direction for libQGLviewer > 2.5.0
      One more minor fix in zooming.
      Implement Liquid Migration model (experimental).
      Replace LIQCONTROL by LIQMIGRATION.
      Fix compilation with clang.
      Set capillary parameters to 0. instead of -1.
      Fix Id export in ymport.textClumps
      Remove YADE_DEPREC_DOF_LIST prepocessor.
      Add blockedMovement parameter to state of body
      Add conveyor example.
      Minor fix in documentation/installation.
      Add mask parameter to NewtonIntegrator
      Replace png-pictures by xpm.
      Fix the beginning camera position in GUI.
      Remove integrateInertia=False from packs.py.
      Add discretization parameter to appendClumped.
      Do not use getTorqueUnsynced and forces.getForceUnsynced in clumps
      Make addForceTorqueFromMembers more readable.
      Revert last change in Newtonintegrator.
      One more revert in NewtonIntegrator.

Bruno Chareyre (60):
      avoid crash when Vh==NULL in FlowEngine. The sphere is ignored in the flow problem, otherwise FlowEngine runs as usual.
      Merge branch 'master' of github.com:yade/trunk
      remove redundant "from yade import *" in example scripts, as it mess-up scopes
      small change in PFV checkTest
      fix a bug in ISCollider that would create interactions with unbounded bodies
      remove deprecated code linked to queuing requestErase'd interactions in an older version of the collider
      Merge pull request #39 from lsibille/master
      Merge pull request #38 from Kubeu/patch-4
      Merge pull request #37 from Kubeu/patch-3
      Merge pull request #36 from Kubeu/patch-2
      Better behavior of QGLViewer for shift+select and moving bodies (fixes LP bug 806469)
      let libparmetis be used as an alternative of libmetis
      Add hideBody/showBody to selectively display bodies in the 3D view
      Merge pull request #40 from burak-er/master
      Parallel InsertionSortCollider
      fix compilation issues for ENABLE_OPENMP=OFF
      some renaming and code cleaning in PFV code
      some renaming and code cleaning in PFV code (part2)
      PFV: First step in refactoring templates
      dummy engine for showing how to derive from FlowEngine + a preliminary version of DFNFlow
      make FlowEngine a template yade class
      Periodic version of flow engine in separate source files
      PFV: simplify (c++ wise) value assignement to Info types. More refactoring. Final step of code cleaning.
      fix a bug in PFV code (fictious vetices not defined correctly)
      minor changes in FlowEngine
      remove a useless data member
      fix compile error due to dirty hack (cpp's included by another cpp)
      Added documentation for changing the velocity gradient of periodic cell
      TriaxialStressController: reference sample sizes can be modified by users (was previously read-only)
      ignore *~ files in git status
      update biblio references
      Hack YADE_CLASS macro to make it work with c++ templates (introduces a macro for pyClass name different from c++ class name)
      new YADE_CLASS_PYCLASS_... macro, missing in previous commit
      update bibliographic reference in a script
      introduce CellInfo::getInfo() for more generic interpolation between triangulations
      better detection of changes in Cell::velGrad
      fix the example script periodic-simple-shear.py
      - introduce SoluteFlowEngine (from Thomas Sweijen)     - move Flow classes to a separate folder
      fix include paths after moving files to pkg/pfv
      fix include path pkg/pfv
      Bugfixes in PeriodicFlowEngine, as discussed with Donia
      remove useless FlowBoundingSphere.cpp
      fix https://bugs.launchpad.net/yade/+bug/1301443
      undef flag, so SoluteFlow doesn't break compilation on buildbot.
      update about openblas+openmp on 12.04
      initialize CellInfo members (avoids hardly detectable bugs) + remove artifact facets from loop when cell1==cell2
      remove an inacurate reference, introduce another one
      fix bad link to capillary files
      clean of commented blocks
      Merge pull request #43 from bchareyre/pc
      fix gravity checkScript (es -> 'et')
      enable run/pause from QGLViewer (retun key) + fix compile warning
      remove empty file
      add FlowEngine::doInterpolate to force interpolation during mesh swap
      Add user defined boundary condition to FlowEngine
      add authors in files headers
      -fix bibliographic link
      add missing #ifdef, breaking compilation without LINSOLV + better volume computation
      fix compile error in 298f0b6
      switch to 1-thread colliding when problem detected in parallel run (fix https://bugs.launchpad.net/yade/+bug/1314736)

Burak Er (1):
      added an adaptive Runge Kutta integrator scheme. Also, added an example using this integrator.

Christian Jakob (15):
      allow user to set an output folder for PFV-based saveVtk() method
      Merge branch 'master' of github.com:yade/trunk
      fix compilation bug in InsertionSortCollider.hpp
      fix a bug in inertia tensor calculation for clumps if integrateInertia=True
      extend/fix replaceByClumps() method for multiple overlapping clump templates
      absorb bool integrateInertia from Clump::updateProperties by int discretization
      Merge branch 'master' of github.com:yade/trunk
      Parallelize replaceByClumps(): drastically reduce generation time of clump replacement if discretization>0
      fix bugs in Clump::updateProperties, fixes https://bugs.launchpad.net/yade/+bug/1273172
      introduce updateClumpProperties() method in yadeWrapper - can be used e.g. when clumps are imported in yade
      update of O.bodies.erase(): it can erase clump members too when erasing a clump
      Merge branch 'master' of github.com:yade/trunk
      remove typenames from Polyhedra.cpp (fixes compiler error)
      let ymport.textClumps() return all ids from members and clumps
      fix some indents

Francois (2):
      Undo modifications about ViscElMat into Ip2_FrictMat_FrictMat_FrictPhys. The young modulus and poisson ratio have to be set for both materials to perform a contact between a frictMat body and a viscElMat body. Add a comment for that.
      Fix 2 bugs linked to the Grids :     - in utils.py : remove a factor 2 in the calculation of the bending stiffness kr.     - in Grid.cpp : fix a bug that occured in the Sphere-GridConnection contact. The contact was not detected in a very specific case : if the sphere was next to a node and the node goes from a convex (angle>180°) form to a concav (angle<180°) form.

Jan Stransky (13):
      added vtk export of polyhedral particles
      improvement of previous commit (vtk polyhedra export)
      added example of paraview sphere "solid sections"     improvement of export.textExt function to support arbitrary quantity export
      added O.stopAtTime (question246284)
      chenged return type of O.stopAtTime from previous commit
      fixed some errors and warnings for documentation build
      one more little info inside code
      export.VTKExporter: improved comments, fixed bug (thanks Jan Havelka for reporting), updated corresponding example script
      code cleanup in ConcretePM, fixed one more bug in export.VTKExporter
      added exportContactPoints function to exporter.VTKExporter, updated example script
      fixed export.VTKExporter.exportContactPoints for nonexisting interactions
      Polyhedra implementation improvement (Contributed by Jan Elias)
      modification of utils.calm function (bug 1318513)

Jerome Duriez (15):
      Change in the doc of ymport.text/textExt to better reflect the behaviour
      A doc sentence for pericell recorder in VTKRecorder
      Typo in doc of CohFric Law2 : the shear adhesion is a_s, not a_n
      Typos and link syntax in doc of CohFrictPhys
      Typo correction in porosity() doc : porosity instead of poro sity (in 2 words)
      Use of correct version of requestErase() in JCFpm (https://bugs.launchpad.net/yade/+bug/1273775)
      Small changes in JCFpm IP logic : it is now possible to have new contacts that are always cohesive, and "poisson"=0 is possible (=> ks = 0 rather than infinity...)
      Small improvement in JCFPM doc about the cracks file, and typo in user.rst
      Mistake in hyperlink previous commit
      Copy paste mistake in State and typo UniaxialStrainer doc
      Proposal of correction of UniaxialStrainer, in relation with https://bugs.launchpad.net/yade/+bug/1300167
      Add of an external reference, about the "derivation" of bodyStressTensor
      Correction of copy-paste mistake in doc of Bound
      Hyperlink about sortAxis in InsertionSortCollider doc
      Minor changes (not affecting results) in these scripts towards an easier understanding

Klaus Thoeni (2):
      Correct shear stiffness averaging for Ip2_FrictMat_FrictMat_ViscoFrictPhys
      new simple contact law with normal viscose damping which allows to specify kn and ks/kn in Ip2

Kubeu (3):
      Added Antons hint to first install external depencies of Yade before following installation instructions
      small typo fix
      typofix

Luc Sibille (10):
      add test on alphaKtw to allow nil value of twisting stiffness
      engine to compute a fluid flow with the lattice Boltzmann method LBM
      Definition of the basic elements used by the LBM engine
      definition of the compilation option ENABLE_LBMFLOW to make the compilation of the LBM engine optional, this option is disable by default
      remove all LBM file
      Merge remote-tracking branch 'upstream/master'
      definition of the LBM engine inside a lbm directory, with license GPLv2
      definition of the compilation option ENABLE_LBMFLOW to make the compilation of the LBM engine optional, this option is disable by default
      A buoyancy example for the DEM-LBM coupling
      Merge branch 'master' of github.com:yade/trunk

==================================================
yade-1.07.0
Fri, 10 Jan 2014 21:23:33 +0100

Anton Gladky (37):
      Remove RELEASE file.
      Add -ftrack-macro-expansion=0, if gcc>=4.8
      Provide VTK6-support.
      Use ADD_DEFINITIONS instead of adding those directly in CXX_FLAGS.
      Remove information about yade-stable from Readme.
      Add BicyclePedalEngine as a new kinematic motion.
      Add -save-temps if GCC-4.8 is used.
      Split Grid into Grid and Grid_GUI.
      Add information about missing packages in documentation and external PPA. Closes: LP:1250928
      Add notice about using libqglviewer-qt4-dev instead of libqglviewer-dev on older Ubuntu versions.
      Add script to create PPA-packages. (Not finished)
      Use othermirror for some ubuntu versions.
      Add stl-gts example.
      Add qt.View() to clumps-example.
      Add one more check-script to check the functionality of ViscoElastic PM.
      Consider massMultiply-parameter, calculating parameters in     ViscoElasticPM.
      Add functions to save and load clumps.
      Set the higher pripority in sys.path to self-compiled modules. Closes LP:1254708
      Fix volume calculation. Closes LP:1261415
      Set the higher pripority in sys.path to self-compiled modules in     yade-batch.
      Update scripts for PPA.
      Add configuration files, needed for PPA.
      Minor update of PPA scripts.
      Update information about yadedaily prebuilt packages.
      Add support for qglviewer>=2.5.0.
      Open GUI in packs/packs.py after 1 step to show all elements.
      Raise warning, if no spheres are produced by regular* commands.
      Update information about daily-packages.
      Set one more paramter -ftemplate-depth-512 for clang
      Prevent attraction forces in ViscPM due to viscosity
      Add some more steps to checkWeight-script.
      Minor formatting in references.
      Remove cout accidentally added in a prev. commit.
      Minor change of setFromTwoVectors in utils.py.
      Rename createtar.py to buildppa.py.
      Minor fix in docs.
      Add RELEASE-file.

Bruno Chareyre (17):
      a function to increase the size of a single sphere (~>Thomas swelling)
      easier manipulation of state files in TesselationWrapper
      restore the python wrapping of utils.growParticles() as it was before fb02a74 (changed by mistake, sorry Christian)
      give unique identifiers to trangulation's cells
      FlowEngine::nCells retruns the number of finite cells; FlowEngine::getVertices returns the vertices of a cell defined by its id
      make cmake output more consistent when missing dependency for LinSolv
      Fix the behavior of FlowEngine.updateTriangulation=True
      FlowEngine: increment a counter correctly
      small changes in the installation section regarding suitesparse and related libs
      installation.rst: smallfix in indentation
      remove a not necessary sorting in FlowEngine, as it triggers a critical bug in the STL (http://gcc.gnu.org/bugzilla/show_bug.cgi?id=58800)
      correct target values of the DEM-PFV checktest
      Fix paths to online and packaged documentation (fix url error with GUI's hyperlinks)
      DEM Background chapter: a note on the semantic strain vs. displacement for contact kinematics
      Merge branch 'master' of github.com:yade/trunk
      fix undefined "key" in triax-tutorial/script-session1.py
      +1 published paper

Christian Jakob (1):
      small fix in an example script tetra/oneTetra.py

Francois (3):
      Fix missing REGISTER_CLASS_INDEX(...) into ViscElPhys. This macro is essential for a right law dispatch !
      Corrected a minor mistake in code comments : k=2*r*E
      Allow the contact between (coh)frictMat and viscElMat as frictPhys. Almost everything was done by inheritance, just had to convert stiffnesses to modulus and modulus to stiffnesses to ensure material compatibility.     Note that for the moment the timeStepper cannot handle this kind of simulations -> will be fixed soon.

Jan Stransky (4):
      Modified error message if not yade.runtime.hasDisplay (bug #1241817)
      fixed SyntaxError from previous commit
      uncomment and modify utils.forcesOnCoordPlane function
      corrected mistake in examples/test/triax.py

Jerome Duriez (15):
      - Introducing (uncommenting in fact) tens/shearBreakRel variables in JCFpmState : relative part of broken interactions per body (instead of absolute number).     - Few changes in some doc of JCFpm variables.
      Quite important changes in JCFpm code
      Modifying JCFpm example scripts so that they still work after previous commit
      Re-put some commented lines, after discussion of this thread (https://lists.launchpad.net/yade-dev/msg10185.html), thanks Anton. The comments solution is (at the moment ?) finally still used to avoid putting a new variable in VTKRecorder..
      A script example for JCFpm : two rock parts with one joint in the middle, like in laboratory experiments
      Some forgotten corrections in some example scripts, so that they still work after changes of today in JCFpm
      Some corrections in the JCFpm doc (hyperlinks...)
      (Hopefully) Fixing some rst links in DEM Background doc
      Some changes in the doc of getStress() function, to be consistent with the source code (https://answers.launchpad.net/yade/+question/239919)
      Merge branch 'master' of github.com:yade/trunk
      Idem as previous commit
      Restoring the 2d version of growParticle previously erased by mistake..
      Some hyperlinks in JCFpm doc corrected
      Typos and hyperlinks corrected in Peri3dController doc
      Correction of a link in TesselationWrapper() doc

Klaus Thoeni (1):
      add CGAL link and delete libgmp3 from install list

Raphael Maurin (1):
      Change in the calculation of the normal and tangential stiffness and damping. The change affects only the behavior     when one of the two parameters is zero, e.g. for two particles with different stiffness k1 and k2, the contact     stiffness will always be k = k1*k2/(k1+k2). Before it gave the same except when k2 = 0 (respectively k1 = 0), where it     gave k = k1 (resp. k=k2). This is done to ensure continuity in the behavior when one of the two parameter tend     to zero.     Add a function contactParameterCalculation in Ip2_ViscElMat_ViscElMat_ViscElPhys to avoid code duplication.

==================================================
yade-1.05.0
Mon, Oct 28 19:49:48 2013 +0200

Anton Gladky (19):
      Add system-component of boost to be linked.
      Fix typo in equations in getViscoelasticFromSpheresInteraction (documentation). Thanks to Medack (TU Freiberg).
      Explicitly link BZip2-library
      Explicitly link ZLIB-library
      Update installation docs, add libbz2-dev zlib1g-dev.
      Fix LudingPM.
      Rename variables in LudingPM (Theta->Delta).
      Fix k2-calculation in LudingPM.
      Update script for LudingPM.
      Split gui/qt4/GLViewer.cpp.
      Remove pkg/dem/DomainLimiter.*
      Recover DomainLimiter (LawTester should be moved somewhere).
      Remove some warnings.
      Update numpy_boost.hpp from svn.
      Remove executes bit on py, cpp and h-files.
      Split Shop.cpp on Shop_01.cpp and Shop_02.cpp
      Fix compilation.
      Remove stable-PPA reference from documentation.
      Replace all libboost-*-dev by libboost-all-dev.

Christian Jakob (19):
      complete description of clump methods in users manual
      fix a bug in inertia tensor approximation scheme
      fix some links in users manual and Scene doc
      fix description of default material in users manual
      fixing/updating refs and links in users manual - part 1
      removed SpherePadder description from users manual
      fixing/updating refs and links in users manual - part 2 (finished)
      adapt buoyancy example with new O.forces.addF() method and make it look nicer
      update in Clump::updateProperties: included new bool integrateInertia and int discretization and adapt clump(), appendClumpend(), addToClump(), releaseFromClump(), replaceByClumps() and growParticles()
      create links to some example scripts in wrapper
      increase initialization speed of examples/packs/packs.py (fix https://bugs.launchpad.net/yade/+bug/1229783)
      try to fix (still broken) refs in users manual
      Merge branch 'master' of github.com:yade/trunk
      make getRoundness() more flexible: empty excludeList is no more needed as input argument; adapt replaceByClumps-example.py and associated part in users manual
      small fix in users manual
      fix a link in TesselationWrapper
      fix a link in TesselationWrapper (second try)
      fix buoyancy example for clumps
      removed typenames from Polyhedra.cpp, make gcc < version 4.7 happy

Donia (4):
      Save the relative velocities of particles.
      Compute edgesSurfaces if viscousShear is true.
      Save the interactions only between spheres into a vector.
      get the shear and normal viscous stress in each interaction.

Jan Stransky (10):
      marginal modifications
      Merge branch 'master' of github.com:yade/trunk
      Added periodic cell VTK export (to VTKRecorder and export.VTKExporter)
      Merge branch 'master' of github.com:yade/trunk
      added forgotten example file
      fixed bug in export.VTKExporter from one previous commits
      Merge branch 'master' of github.com:yade/trunk
      Polyhedra implementation + examples (Contributed by Jan Elias).
      adding examples with tetrehadron modeled by new Polyhedron class
      CombinedKinematicEngine will not call its 'dead' subengines (question #237437)

Jerome Duriez (6):
      Correction of typo in comment
      Proposal of new (similar but more compact) examples using JCFpm classes. A choice can be made one day after some feedback ?
      Some changes in JCFpm documentation (add of external references, and removal of cross reference towards the CFpm model which does not exist anymore). In cpp, some commented lines to add (in the future ?) some post-pro features that could maybe break current saves of (existing ??) current users
      Commiting changes discussed briefly in https://lists.launchpad.net/yade-dev/msg09979.html. Mainly written by L. Scholtes, they allow to vizualize with paraview some features of JCFpm classes. It adds then 2 recorders, "jcfpm" and "cracks", that are separated mainly for historical reasons.. They are anyway now documented
      Add of pylab.ion() in plotNumInteractionsHistogram() and plotDirections() so that yade does not hang anymore after launch of these functions (even after closing the plot window, here). Still thanks to Vaclav ! (http://stackoverflow.com/questions/9753885/pylab-matplotlib-show-waits-until-window-closes)
      Anecdotic changes in an example script

Klaus Thoeni (2):
      resolve problem with mask in GridConnection
      ignore local kdevelope specific files on git

==================================================
yade-1.00.0
Sun, Sep 29 23:10:48 2013 +0200

Anton Gladky (64):
      Remove release file.
      Add documentation, how to render particle with ParaView`s PointSprite plugin.
      Fix spelling errors.
      Add Changelog.
      Add different capillar models into ViscoElasticPM.
      Add links to equations, consider not only monodisperse particles.
      Fix s parameter for Willet-formulation of capillar.
      Add one more critical-calculation to capillar model.
      Cleanings in viscoelastic capillar modell.
      Move capillar calculation into another function not to overload VPM.
      Modify Weigart`s model.
      Update equations for Weigart`s capillar model.
      Update capillar equations and names of schemas.
      Move references to a references.bib.
      Add comment on liquid bridges.
      Fix some warnings (clang).
      Fix compilation.
      Implement rotational resistance in ViscoElasticPM.
      Add massMultiply-parameter to ViscoElasticPM to have an opportunity to set kn, kt, cn and ct without multiplication on mass.
      Implement Rabinovich`s capillar model.
      Fix wrong calculation of the average rotational resistance.
      Split ViscoelasticPM on capillar and dry parts.
      Prevent devision by 0 in capillar Rabinovich model.
      Prepare for flowengine compilation.
      Merge libplugins, libsupport and libcore in libyade.
      Fix FindCholmod.cmake.
      Fix compilation of FlowBoundingSphere.ipp
      Replace Cholmod-Feature by LinSolv.
      Minor fix in CMakeList (FlowEnginge).
      Implement PID controller to have a servo-engine.
      Fix tests due to failing clumps-autotests.
      Use combinedengine for ServoPIDController.
      Fix hopefully clumps-autotests.
      Add LudingPM.
      Merge branch 'ndyck'
      Add an example for LudingPM.
      Use libyade again. Revert Bruno`s revert.
      Fix configuration issue with CHUNKSIZE>0.
      Drop RockPM.
      Remove ParticleSizeDistrbutionRPMRecorder.
      Remove CohesiveStateRPMRecorder.
      Show PFVflow and LinSolv in disabled features, if they are disabled.
      Include loki-library dirs and link against them. Fixes compilation on HPC TU Freiberg.
      Set LinSolv and PFVFLOW ON by default.
      Add recommended build-dependency for LinSolv and PFVFlow into documentation.
      Replace ifndef/define-constructions by "#pragma once" in lib/triangulation, where it is possible.
      Minor fix in capillary models in ViscoelasticPM.
      Add [Pournin2001] into the description of ViscoelasticPM.
      Minor fix in calculation s_crit in ViscoelasticPM.
      Add information about github-hosting into the main page.
      Add a notification to the screen, whether the current build is debugbuild.
      Remove explicit linking of libstdcxx.
      Use skipScripts variable to skip some scripts on check-tests.
      Skip temporarly DEM-PFV-check.py to let daily-builds packages be built.
      Remove kde-files from the trunk.
      Minor fix in installation section of documentation.
      Remove Fedora list package from documentation. The list is unsupported.
      Add Antypov2011 reference and some links in Hertz-Mindlin model.
      Fix some compilation warnings (GCC).
      Replace libqglviewer-qt4-dev on libqglviewer-dev in installation section.
      Fix errors in ForceContainer, detected by clang.
      Fix compilation error.
      Add export into LIGGGHTS-format.
      1.00.0

Bruno Chareyre (68):
      +1 journal article
      Add the color of the periodic cell a registered attribute.
      - fix a bug that would let the capillary tables empty when postLoad was not triggered
      Add function getCapillaryStress(), equivalent of getStress() but for capillary forces
      -code cleaning
      fix a latex equation
      FlowEngine: exclude corner cases when listing constrictions sizes along the void path
      +1 article
      -fix url of an article
      +4 journal papers
      +1 journal article
      - add "LINSOLV" source code for DEM-PFV coupling with direct sparse solvers
      add strainRate attribute to TriaxialStressController + fix bug in example script
      Revert "Merge libplugins, libsupport and libcore in libyade." Cause: the new cmake system breaks buildbot and does not work for chunkSize>0
      - add getSceneAsString() to pass scenes between instances without going through the hard drive
      fix CMakeList for chunkSize>=1
      - enable load/save from/to python strings with O.sceneToString and O.stringToScene (for communication between parallel instances of yade)
      -fix the return type of stringToScene()
      clean the flow code (part 1)
      cleaning the flow code (smallfix of part 1)
      cleaning the flow code (part2)
      cleaning the flow code (part3 and last)
      -first example script for the fluid coupling with the DEM-PFV method
      - new conference and journal papers
      fixed reference
      +1 PhD thesis
      - more documentation of TesselationWrapper, with a section in user manual and pointer to published equations.
      git ignore changes to .gitignore
      undo previous change in gitignore, not the right way to fix
      Turn a LOG_DEBUG into LOG_ERROR/return, to escape segfault. (ref: https://bugs.launchpad.net/bugs/1208878)
      Add an optional argument to O.forces.f() and O.forces.t() to get correct forces on clumps.
      doc improvement and more cross-links for TesselationWrapper and FlowEngine
      -enable user defined forces on bodies applying permanently (with updated user manual)
      +1 conference paper
      -workaround https://bugs.launchpad.net/yade/+bug/1183402#3, allowing startup imports with optional argument     example: $yade -lscipy.interpolate
      -fix '-l' command line option (no import lib was crashing)
      fix uninitialized member of ForceContainer
      fix compile warnings (unused variables)
      - smallfixes in documentation
      fix FlowEngine docstring
      fix duplicate bib reference
      small fix in bib entries
      remove duplicate bib reference
      commit small fix and update in bib files
      make default FlowEngine::permeabilityFactor less absurd (crashing by default sucks)
      regression (check-)test for FlowEngine
      remove Dem3Dof form Yade (also eudoxos module, mostly based on Dem3Dof)
      - remove Dem3Dof from documentation
      remove eudoxos from build system (+ remove from VTKRecorder, that was left behind)
      remove Dem3Dof from a docstring
      remove Dem3Dof from alias
      various fixes and improvements in checkTests
      - increase verbosity of DEM-PFV checkTest
      remove some debugging code left in chekList.py
      make sure FlowEngine has been compiled before trying the checkTest DEM-PFV, as suggested by Klaus
      make the DEM-PFV checktest fully determinist with a data file for initial positions
      new attributes in FlowEngine to access low level cholmod/metis data
      \#include <cholmod.h> in FlowEngine.cpp (why is it not needed on lucid?!)
      add #ifdef LINSOLV guards in appropriate places in case someone (e.g. buildbot) compiles without cholmod
      one more #ifdef LINSOLV guard
      add a cmake path for metis.h on wheezy
      Return a warning at startup if X rendering is unavailable despite gui is required.
      User manual: correct the meaning of body.dynamic + remove utils. prefixes
      Typo fix in prog.rst
      Fix sphinx warning (no :gui: role)
      yadeSphinx.py: remove eudoxos module from the build list
      -remove empty section of doc: External modules
      revert 3d7ca8577 (doc/current hyperlink), see also https://lists.launchpad.net/yade-dev/msg10035.html.

Chiara Modenese (1):
      Prevent the normal force become negative when viscous damping is applied.

Christian Jakob (23):
      added new example showing implementation of buoyancy
      small fix in new example from previous commit
      small fix of description in new buoyancy example
      include integration scheme for inertia tensors of clumps; inertia/masses/volumes of clumps are updated automatically by call of updateProperties method; removed adaptClumpMasses method and example script
      Merge branch 'master' of github.com:yade/trunk
      make getRoundness() faster
      shorten the code of Clump.cpp: switched getClumpVolumeAndAdaptInertia() method into updateProperties()
      small fix of a comment
      small fix in an example script
      Merge branch 'master' of github.com:yade/trunk
      remove unused #include in Clump.cpp
      limit number of cubes for clump inertia integration scheme to 1000000; avoids worst case scenario with R_clump_member(s)<<R_clump
      shorten code of Clump.cpp; improve inertia intergration scheme
      undo unwanted changes in addToClump example from previous commit
      bug fix of a previous commit
      set maximum number of cubes for clump inertia integration scheme to 3375000 in Clump.cpp
      fix inertia calculation and clump test
      add output of inertia and mass to addToClump-example.py
      Merge branch 'master' of github.com:yade/trunk
      Merge branch 'master' of github.com:yade/trunk
      Merge branch 'master' of github.com:yade/trunk
      fix colors in releaseFromClump-example.py
      improve addToClump() method, make it possible to add body lists

Francois Kneib (3):
      Fix bug #1161847 : Cannot create two clumpClouds in the same simulation (https://bugs.launchpad.net/yade/+bug/1161847).     Modified makeClumpCloud(...) in SpherePack.cpp : the random generator was wrong, fixed it.
      Make the interaction between two Grids possible. It comes with a set of new classes, all in Grid.cpp/hpp :     - The geometry of interaction : GridCoGridCoGeom     - Its instanciation : Ig2_GridConnection_GridConnection_GridCoGridCoGeom     - An elastic frictional law : Law2_GridCoGridCoGeom_FrictPhys_CundallStrack
      Lots of changes in the inelastic cohesive set of classes.     - correct a lot of bugs and comment the inelastic cohesive law : pkg/dem/Law2_ScGeom6D_InelastCohFrictPhys_CohesionMoment     - change some variables names and comments : pkg/dem/InelastCohFrictMat pkg/dem/InelastCohFrictPhys pkg/dem/Ip2_2xInelastCohFrictMat_InelastCohFrictPhys

Jan Stránský (14):
      added --diable-pynotify to yade-batch     Removed #include Shop.hpp from Cell.*pp     added area attribute to Facet
      added triaxal test on cylinder example
      Created classes for bubble interaction according to question #230574
      Tetra modification (Ig2_Tetra_Tetra_TTtraSimpleGeom, Law2_TTetraSimpleGeom_NormPhys_Simple, modified GL functor, examples, utils.tetra)     added Ip2_ElastMat_... functors     fixed bug in utils.kineticEnergy for aspherical bodies
      Merge branch 'master' of github.com:yade/trunk
      added utils.UnstructuredGrid class for manipulating (external forces evaluation and positin changes) of FEM-like triangular and tetrahedral meshes     hopefully fixed CGAL compilation problem in pkg/dem/Tetra.*pp reported by Klaus
      Improved documentation about O.load and O.save, motivated by question #230900
      export.VTKExporter improvement (intaractions export), SVD matrix decomposition in python, Peri3dController improvement (compatibility with O.save/O.load)
      doc improvement of Peri3dController
      Merge branch 'master' of http://github.com/yade/trunk
      midified exporter.VTKExporter for correct interactions export in periodic case
      ConcretePM: modified damage tensor computetion, added elasticEnergy function, added export.VTKExporter.exportInteractions function, modified ymport.iges function
      Merge branch 'master' of http://github.com/yade/trunk
      Modifying code to enable compilation with QUAD_PRECISION without errors (does not work yet for CGAL enabled)

Jerome Duriez (7):
      - few changes in comments in JointedCohesiveFrictionalPM.*     - typos corrected in doxygen and sphinx docs of TriaxialTest (there was some "Trixial" instead of "Triaxial")     - correction of typo, broken links, and add of two precisions in the doc of a function of pack.py
      Typo in NewtonIntegrator doc
      Correction of link-syntax in doc of Law2_ScGeom_JCFpmPhys_JointedCohesiveFrictionalPM
      Typo and redundancies corrected in doc of Functor.label
      Typo in a figure legend
      Precision in the doc relative to dt (6 is the maximal contact number in 2D)
      Correction of a broken link in GSTS doc

Klaus Thoeni (11):
      various wire contact laws available now, add reference with details, add a check script for the wire model
      various wire contact laws available now (new version), add reference with details
      resolve clash between utils.box and box loaded from pylab
      correct some spelling and make some example scripts working (more checks needed)
      move one level up
      use returnSpherePack=True in randomDensePack
      fix some typos and links in documentation
      Merge branch 'master' of github.com:yade/trunk
      make script faster
      introduce tolerence in overlap check for intersecting spheres
      add MatchMaker for friction angle

Luc Scholtes (4):
      Merge branch 'master' of github.com:yade/trunk
      cleanup in yade publications list
      remove CohesiveFrictionalPM from trunk
      add a new class for modelling jointed media (JointedCohesiveFrictionalPM) and examples to illustrate how to use it (examples/jointedCohesiveFrictionalPM/)
      new reference added

Nolan Dyck (2):
      Updated function descriptions for BubbleMat
      Merge branch 'master' of https://github.com/yade/trunk

Raphaël Maurin (1):
      Modify GlobalStiffnessTimeStepper for visco-elastic contact law.


==================================================
yade-0.97.0
Sun, May 12 14:48:29 2013 +0200

Anton Gladky (42):
      Remove release-file.
      Remove eigen2. Use eigen3 instead.
      Remove likely/unlekely directives.
      Remove eigen2-compatibility.
      Fix compilation with clang.
      Use system-packaged minieigen, if it persists.
      Fix typo in __init__.py
      Use system pygts, if available.
      Lower required cmake version to 2.6
      Check whether Tkinter is installed.
      Return back the minimal cmake version to 2.8. Compilation error with GUI.
      Fix compilation agains boost 1.53.
      Fix typo in searching for py_gts module.
      Fix typo in cmake.
      Fix linkage of _gts module.
      Import minieigen in gui/qt4/SerializableEditor.py.
      Clean scripts/README. Not relevant any more.
      Raise warning if PIL module is not imported. Not raising an error.
      Remove documentation about 3rd-party libraries (minieigen and GTS).
      Install documentation in standard place.
      Generate and install Yade.epub, if pandoc is available.
      Build Yade.epub using sphinx-builder.
      Remove pandoc conversion of tex-file.
      Fix installation path for html-documentation.
      Fix --version parameter for yade-batch.
      Remove commas in "features".
      Update --help output.
      Create manpages using "make manpage" command.
      Remove generating manpage usign --generate-manpage option.
      Add "make check" command to run the standard tests.
      Fix splitting of features. (Closes LP:1161451)
      Revert changes introduced in 4f9f8dae3.
      Remove information about logging. (Closes LP:1150273)
      Add information about Yade.epub into README.rst
      Add export.gmshGeo function to export spheres into GMSH native format.
      Add publication in russian journal.
      Use standard GNU paths for install targets.
      Add GNUInstallDirs.cmake. It is absent in some distributions.
      Update link for tarballs-download.
      Use ${OpenMP_CXX_FLAGS} isntead of explicit -fopenmp.
      Merge pull request #35 from Kubeu/patch-1
      0.97.0

Bruno Chareyre (21):
      -Fix (partly) https://bugs.launchpad.net/yade/+bug/1009257, still not good with clumps
      - avoid deprecation warning when using the triax preprocessor (the future of preprocessors is not certain, though...)
      fix https://bugs.launchpad.net/yade/+bug/1115554, removing the extra variables
      - tutorial script: replace L3 geometry by ScGeom
      -tutorial script: increase O.dt again, no need to slow down
      - adjust number and size of clumps in the periodic cell
      - fix two crashing typos in triax-tutorial
      PeriodicEngine check if simulation time has been reseted (fix https://bugs.launchpad.net/yade/+bug/1153528)
      - small fix in the way TriaxialStressController defines meanStress
      A more precise integration of contact forces in periodic deformations, using period size of the previous step for the relative velocity update     + cache a (matrix x matrix)  product for performance (previously re-computed for each other interaction)
      - fix a small bug in the determination of the mean stress (TriaxialStressController)
      - a more flexible implementation of density scaling
      -get back gravitational wotk in NewtonIntegrator (removed by mistake in previous commit, sorry)
      - reflect (1) in regression tests, since they were expecting innacurate values, cell size change only in the next step after velGrad assignment.     (1) https://github.com/yade/trunk/commit/422ecb00c710337ede7ace6ae62f8f857c6e975a
      - small fix in doc hyperlinks
      - two additional bib articles
      A more accurate integration of external work input in PeriTriax engine
      - Handle errors in fluid engine more nicely. Pause the simulation when something goes wrong instead of crashing...
      - update cell's prevVelGrad in Newton
      - fix two compile warnings
      - better error handling in FlowEngine     - remove lubrication forces between spheres in boundaries     - check that id1!=id2 before computing forces (can happen in very small periodic packings)     - some code cleaning (FlowEngine.cpp)

Christian Jakob (40):
      bug fix in bodyNumInteractionsHistogram (avoid segfault)
      fix clumps behavior in 06-periodic-triaxial-test.py
      correct copy-and-paste mistake for NewtonIntegrator in 06-periodic-triaxial-test.py
      fix import _io problem in core/main/main.py.in
      improvement in utils.saveVars(): add possibility to add/insert variables in existing dicts
      fix/update example script simple-scene-energy-tracking.py
      removed utils from examples/simple-scene
      removed utils from examples (without sub-folders)
      removed utils from examples/baraban/
      removed utils from examples/bulldozer/
      removed utils from examples/chained-cylinders/
      removed utils from examples/clumps/
      removed utils from examples/concrete/
      removed utils from examples/grids/
      removed utils from examples/gts-horse/
      removed utils from examples/not-working/
      removed utils from examples/packs/
      removed utils from examples/ring2d/
      removed utils from examples/rod-penetration/
      removed utils from examples/simple-shear/
      removed utils from examples/test/ (without sub-folders)
      removed utils from examples/test/vtk-exporter/
      removed utils from examples/test/batch/
      removed utils from examples/test/performance/
      removed utils from examples/test/multi/
      removed utils from examples/test/WireMatPM/
      removed utils from examples/triax-tutorial/
      remove a useless comment in triax-tutorial
      small docfix of EnergyTracker
      fix energy tracking of gravitational work in NewtonIntegrator
      fix compilation warning in Grid.hpp and prettify its code
      remove "math" from example scripts
      fix compilation warning in openmp-accu.hpp
      Improvements in clump logic - part 5: added Monte-Carlo-algorithm for estimation of clump volumes called getClumpVolume(), added a new method for getting roundness coefficient called getRoundness(), updated examples/clumps/replaceByClumps-example.py
      Improvements in clump logic - part 6: added new method adaptClumpMasses(), added examples/clumps/adaptClumpMasses-example.py
      Improvements in clump logic - part 6: added examples/clumps/adaptClumpMasses-example.py
      small improvement of getClumpVolume() in yadeWrapper.cpp
      use deterministic instead of random algorithm for getClumpVolume(), adapt examples/clumps/adaptClumpMasses-example.py, improve and fix documentation
      add info about h-key for yade view in start banner
      Merge branch 'master' of github.com:yade/trunk

Francois Kneib (4):
      Change the growParticles method behavior on clumps into Shop.cpp.     Now the clumps are not grown if the clump members are fixed (i.e blockedDOFs='XYZxyz').
      Workaround for a Ubuntu 12.10 bug that gave a segmentation fault when launching Yade.     The importation of "_io" is made sooner, at the beginning of yade python executable. Changes applied to core/main/main.py.in.
      Handle the cohesive contact between a sphere and a facet.     Created Ig2_Facet_Sphere_ScGeom6D inheriting from Ig2_Facet_Sphere_ScGeom. It precomputes the 3 rotations DOFs and creates a ScGeom6D contact geometry.     All modifications made into /pkg/dem/Ig2_Facet_Sphere_ScGeom.cpp and hpp.
      Changes in Grid.ccp/hpp.     - Improve documentation for Ig2_Sphere_GridConnection_ScGridCoGeom::go()     - Add a new law (Law2_ScGridCoGeom_CohFrictPhys_CundallStrack) that allows a cohesive contact (without rotational moments) between a Sphere and a GridConnection.

Jan Stransky (7):
      fixed typo in user.rst
      improved damage tensor computation in CPMState
      doc improvement: added importing yade into user's manual, corrected index notation in utils.bodyStressTensors functions
      correcting compilation errors from previous commit
      fixed bug in Cpm for Sphere-Facet interactions
      fixed bug in Cpm, now for Sphere-Wall interaction
      disabled some prints for non __main__ yade imports

Jan Stránský (4):
      modification of cpm model, making easier timing inside InteractionLoop (with CMAKE_CXX_FLAGS=-DUSE_TIMING_DELTAS build, no change otherwise)
      added ymport.iges function for reading facets from .igs files
      updated timing documentation
      updated documentation (due to recent changes in Cpm), corrected Cpm related examples

Kubeu (1):
      added some hints about plotting and batch mode

christian (3):
      fix bug in replaceByClumps(), make it compatible with facets
      Merge branch 'master' of github.com:/yade/trunk
      undo unwanted changes in kdev4 files from previous commit

dmarzougui (1):
      Correct the type of numbers used in the computation of viscous stress.

==================================================
yade-0.95.0
Tue, Mar 5 20:36:40 2013 +0100

Anton Gladky (41):
      Remove RELEASE file.
      Fix compilation warning.
      Fix typo in git-command.
      Remove doxygen from installation section.
      Add notification message for yade-batch.
      Enable SnapshotEngine.
      Minor fix in documentation.
      Fix pack.py as suggested by Kneib François.
      Remove all Py_BEGIN_ALLOW_THREADS and Py_END_ALLOW_THREADS to prevent race conditions in python-bindings. (Closes LP:1056684)
      Return back some Py_BEGIN_ALLOW_THREADS, as the previous commit freezes autotests.
      Add url to Chen`s thesis.
      Add Tran`s publications.
      Remove duplicate.
      Minor fix in references.
      Search numpy during configuration step.
      Search loki-library and headers during compilation step.
      Resize interactionsOnBody, if it is necessary. (Closes: LP:1105177)
      Fix compilation.
      Add omp.h header into ParallelEngine
      AddNUMPY_INCLUDE_DIRS to cmake.
      Remove --debug option from yade-batch template.
      Remove debug-option from yade-batch.
      Fix import of Image-module in Ubuntu Raring.
      Fix segmentation fault in bodyNumInteractionsHistogram. (Closes: LP:1087680)
      Use default {CMAKE_CXX_FLAGS_DEBUG for Debug-build instead of hardcoded.
      Make the bug LP:1087680 visible again.
      Fix segmentation fault in bodyNumInteractionsHistogram.
      Return back the opportunity to keep all interaction pointers for each body
      Use interaction pointers in body class instead of iteration over all interactions in body::py_intrs.
      Add visualisation to Jakob`s scripts.
      Merge pull request #32 from jakob-ifgt/master
      Merge pull request #33 from jakob-ifgt/master
      Add python-argparse into installation section.
      Merge pull request #34 from jakob-ifgt/master
      Remove scripts/debian as it is maintained in Debian itself
      Remove extra/boost_python_len.hpp as it was for very old boost-versions.
      Remove extra/foreach.hpp_local. Not used anywhere.
      Remove site_scons. Forgotten during cmake-migration.
      Remove convexHull2d. Was blocked.
      Remove boost-python-indexing-suite-v2-noSymlinkHeaders.
      0.95.0

Bruno Chareyre (68):
      Give the git clone adress that will work always (previous one is blocked at 3SR lab)
      enable setting FlowEngine by number of steps or by deformation aplitude
      a fix in bibtex
      -remove excess verbosity
      - add thread number attribute to change the number of thread of interactionLoop dynamicaly during simulations. Also usefull combined with parallel engine (for fine grain tuning of thread number in each subprocess)
      1. Add thread number to parallel engine, can be changed dynamicaly. Uncouples the number of threads in parallel engines and in slaves.     2. Enable nested parallel regions (disabled on many systems by default) else the parallel engine is doing no good
      1. Replace one loop on cells by an optimized vector<Cell> iterator     2. Clean an horrible block of code (not only ugly, it was also slow)
      - introduce a position buffer for faster updates of volumes
      Use retriangulation conditions more consistently. The solvers are not swapped before a given fraction of the permutation interval now, to reduce overheads.
      small change in the initialization logic, now defining the two position buffers if "first"
      make ompThread an attribute of Engine, as it likely to be used more and more in the future. It is then inherited by InteractionLoop and ParallelEngine
      Parallelize volume updates and the computation of fluid forces
      fix a typo introduced in previous commit, giving compile error in FlowEngine
      remove traces of the SpherePadder module, which is broken and unmaintained (with author's agreement)
      make grids periodic
      use EpsVolPercent_RTRG consistently in periodic flow: negative value is ignored, just like the non-periodic case
      Adapt setContactProperties to pass argument in radians to Shop::setContactFriction
      -fix conversion mistake (radian/degree)
      update variable names to denote the unit of friction angle (rad), and make this explicit in the documentation
      - include elasticity in the normal lubrication force     - fix ompThreads assignment in flow engine, resulting in numThreads=-1 by default, then "libgomp: Out of memory"
      Fix the F9-F12 keys binding for IPython>=0.12
      -add the correct prefactor in normal lubrication relation     -overlap the two triangulations during one iteration in order to have the "previous" forces     defined in the normal lubrication equation
      Update the documentation of the ompThreads attribute.
      - fix again the offset of ids in SpherePack.toSimulation (previous fix was assuming two bodies per clump)
      - fix https://bugs.launchpad.net/yade/+bug/923929 again, as shown by François it could still happen in some cases (see example in the bug report)
      - remove the check/throw when generating aperiodic 2D packings, since the algorithm actually support that.
      Define O.engine with a default list at startup, with example script and notes in the documentation.
      remove utils prefix
      - Updates and improvements in the triax-tutorial material     - smallfix in a note in introduction.rst
      fixed version of the triax script for clumps
      Remove first iteration form "--performance" option measurements
      -transfer the normal lubrication force correctly when retriangulating
      -doc fix
      -fix the sign of the normal lubrication force in the periodic case
      fix compile warning (actually fix the functions as well, as they were not returning results at all!)
      - doc fix
      -remove remaining debug lines
      periodic update of publications
      fix a typo in bibtex file, +1 ref
      - one fix in articles, yet more references in conferences
      fix/add Tran's reference
      - use "orientation" parameter in utils.box (fix bug/1111514)
      - improved version of TriaxialStressController, controling not onlt stress but also strain rate     - making the interface more similar (but still not exactly like) PeriTriaxController.     - TriaxialCompressionEngine and ThreeDTriaxialEngine become almost useless     - reflected in the example script which now uses only TriaxialStressController
      -micro-fix (no need to define an initial timestep)
      -code cleaning
      - fix the default value of orientation in utils.box. [1,0,0,0] is NOT a quaternion.
      -add a few python bindings to the periodic engine for manipulations of the internal tesselation
      -fix the detection of (not) already computed tesselation
      -make volume() functional also when PeriodicFlow is actually in use
      uncouple the compilation of flow code and linsolv, so that it is possible to effectively compile the flow engines without cholmod
      remove useless "sigma_iso" and "isAxisymetric" members from TTController
      - make an old engine deprecated, not compiled now, to be removed later
      more #ifdef guards, to allow flow engine without linsolv
      remove sigma_iso from the triax example script
      fix syntax error in a doc string (blocking the buildbot https://yade-dem.org/buildbot/builders/yade-full/builds/1741/steps/shell_3/logs/stdio)
      -deprecation warnings in ThreeD and TriaxialCompression engines
      -change the default value of FlowEngine::pressureForce, a flow engine is supposed to compute a flow by default...
      smallfix in example script
      - 3 new references
      - add "Open Source Discrete Element Method" explicitely in the home page, google has to find us
      nicer documentation of equations for stiffness definition
      remove useless #define
      - ship a copy of ipython_directive.py from ipython/HEAD for ipython 0.13
      ipython version was checked in two different places, forgot the second one. Still no confirmation of the fix.
      - some lines comited by mistake, sorry for that.
      - escape crash on non-iterable __doc__ (some qt class)     - define new attributes needed for ipython_directives.py >= 0.13     - fix existing *.rst to use strictly 3 blank spaces in multiline directives (i.e. "   ...:")
      - reference name Tran2012a appearing twice -> renaming Tran2012b
      - re-introduce the @supress of Christian (removed during experiments)

Christian Jakob (21):
      add addToClump() method in yadeWrapper
      improvements in clump logic - part 1
      Improvements in clump logic - part 2
      Added new example script, that show usage of addToClump() and releaseFromClump()
      Improvements in clump logic - part 3 + 4.
      shorten the code of replaceByClumps()
      add a check of python input for replaceByClumps() method
      further improvements in clump logic
      some fixes in documentation of wrapper and state
      fix documentation of clumpTemplate in utils.py
      Merge remote branch 'upstream/master'
      let replaceByClumps return a list of tuples with new clump ids and associated sphere ids
      Merge remote branch 'upstream/master'
      avgNumInteractions now takes care of clumps
      some improvements for previous commit
      doc fix in utils.py and exclude unused Clump.hpp in _utils.cpp
      updated documentation of clumps in user manual and small fixes in doc in yadeWrapper
      Merge branch 'master' of github.com:yade/trunk
      bug fix in replaceByClumps, that could lead to set negative masses on bodies and shorten the code
      yet another doc improvement in wrapper and user manual concerning replaceByClumps method
      replaced errors by warnings in addToClump and releaseFromClump in wrapper

Donia Marzougui (5):
      Fix the computation of viscous forces by using the     correct positions of bodies (updated in     buildTriangulation), and fix some variable names.
      Remove fictious spheres from the computation of edge surfaces (employed in the computation of viscous forces)
      Correct the computation of the viscous and normal stress per particle.
      Correct the sign of some parameters in the computation of the viscous forces.
      Correct the normal lubrication force.

Francois Kneib (24):
      Continue the implementation of grids :     - add GridConnexion Aabb     - add GridNode-GridNode Ig2 functor : Ig2_GridNode_GridNode_GridNodeGeom6D     - add GridNode-GridNode contact geometry : GridNodeGeom6D     - add an example script : examples/grids/Simple_Grid_Falling.py     - update utils.py (minor change)
      Add the possibility of avoiding the contact detection between a group of particle.     -> the vector "avoidSelfInteractionMasks" contains a list of masks : all particles having the same mask will not collide if this mask is inside this list.     -> the "mayCollide" method now check this too.     -> avoidSelfInteractionMasks can be set in python with a list of int.
      Add the Sphere-GridConnection frictionnal contact :     -> new contact geometry : ScGridCoGeom     -> new Ig2 : Ig2_Sphere_GridConnection_ScGridCoGeom     -> new Law2 : Law2_ScGridCoGeom_FrictPhys_CundallStrack     -> update utils.py to handle the new contact type (using avoidSelfInteractionMasks)
      Merge branch 'master' of github.com:yade/trunk
      Add the contact following and avoid multiple contact when a sphere is sliding on a grid.
      -Grids : Fix some minor bugs in Ig2_Sphere_GridConnection_ScGridCoGeom::go(...).     -Collider : Change the vector of masks "avoidSelfInteractionMasks" to a single mask "avoidSelfInteractionMask".
      Create and correct documentation.
      Grids :     - modify the rendering.     - Apply correct DEM laws in utils.py to set right kn, ks, kr, and ktw. Now the grid behavior no longer depends on the spacial discretization you make.
      Modified setContactFriction method.     Now it has to be used with an angle in radian unit, no longer in degrees.
      Try to fix documentation in this files, everywere "yref" appears in the online documentation.
      Fix Grid periodicity, and allow periodic sphere-grid contacts.
      Disable a boring warning into the grid construction.
      Fix a bug in SpherePack.toSimulation. There was a big problem when you tried to add clumped SpherePack (with makeClumpCloud() for example).
      Corrected toSimulation() (for the last time I hope :-) ).
      Fix a bug in growParticles(...) method.     Growing a clump is now really homothetic. Before that, growing clumps seemed to be homothetic but at the next timestep the original position of members was reseted.
      Add Inelastic ChainedCylinder behavior law (by Ignacio Olmedo).     Create inelastic material and related physics, Ip2 and Law2.     Example script and complete documentation will come soon.
      Add the ability to save to a file a SpherePack containing some Clumps.     Into SpherePack : now the toFile method writes a fifth column containing the clump number (-1 if the sphere isn't clumped). The fromFile method uses the new information to append clumped Spheres.     Into Shop : loadSpheresFromFile method is modified to read and return the fifth column. Old files with 4 columns are still compatible.     Into CapillaryTriaxialTest and CohesiveTriaxialTest : Shop::loadSpheresFromFile is sometimes used here, so remove the clumpId information to match the "BasicSphere" typedef.
      getStress(...) method : exclude gridNode-gridNode contacts for the stress computing.     growParticles(...) method : avoid growing gridNode and gridConnection.
      Fix some Grids bugs.
      A minor spelling correction.
      Add a little class summary and explanations into Grid.hpp.     Fix a bug into utils.py when creating a Grid in a non-periodic scene.
      In the sphinx documentation, add the https GitHub read-only method : git clone https://github.com/yade/trunk.git
      Avoid GridNode-GridNode contact stiffnesses (kn and ks) to be changed when the growParticles(...) method is used. (GridNodes are not concerned by this method).
      Add a missing space in the dependencies code lines.

François Kneib (1):
      Correct a remaining bug into the toSimulation() python function.

Jan Stransky (9):
      little modifications
      added example script for CombinedKinematicEngine
      little modifications of ConcretePM
      modification of ConcretePM, improved utils.intrsOfEachBody function
      improved yade executable: optparse->argparse, yade executable is now loadable as python module
      modified yade executable, fixing bug 1134422
      complete optparse->argparse, --generate-manpage should work
      improvement of ConcretePM, remover warnings in pack module (randomDensePack and randomPeriPack functions)
      modified ConcretePM, corrected Peri3dController related examples

Jan Stránský (1):
      minor changes

françois (1):
      makeClumpCloud(...) now takes a "seed" parameter to generate always the same pack.

==================================================
yade-0.90.0
Sat, Oct 13 15:16:55 2012 +0200

Anton Gladky (142):
      Remove RELEASE file.
      Fix cmake-file to compile.
      Fix paths in core-files.
      Update CMakeLists.txt.
      Fix pygts module.
      Fix standalone compilation of InteractionLoop.hpp.
      Enable pymodules on cmake-build.
      Add version definition to cmake-build.
      Fix suffix and runtimeprefix in cmake-build.
      Fix compilation error with gcc-4.7
      Fix facetBox generation with height=0.
      Fix permissions on main.py.in file.
      Fix installation of binaries in cmake-build.
      Remove log4cxx from scons-file.
      Fix binary installation at cmake-build.
      Remove an explicit defining and importing of listdcxx.
      Install some py-files for cmake-build.
      Install glviewer in cmake-build.
      Fix path install in cmake-build.
      Update CmakeLists.
      Return explicite defining of libstdcxx. Causes error.
      Use rpath for lib-installation.
      Fix linking of core-libraries.
      Fix some more linkings in cmake-build.
      Reinitilize interactions after adding a body. Closes LP:1001194
      Move gui-cmake to gui-folder
      Move cmake for python modules to py-folder.
      Separate python modules in cmake-build
      Fix some liking in cmake-build
      Some fixes in cmake-build.
      Add autotest to check bug LP:1001194
      Give the newly created body an id, which is the size of bodyContainer. Remove lowestFree. Nicer fix for LP:1001194
      Add scene->doSort variable. One more fix for LP:1001194. Thanks to Bruno.
      Fix linking of opengl in cmake-build
      Fix vtk-linking in cmake-build
      Install pack.py for cmake-build
      Add notice about python-demgengeo
      Add URLs on python-demgengeo package. Fix links.
      Fix some more linking problems in cmake-build
      Fix plugin search path in cmake-build
      Cosmetic changes in cmake-build
      Fix performance tests.
      Fix overlinking in cmale-build
      Make vtk mandatory.
      Fix -batch binary in cmake-build
      Partly fix QT in cmake-build. Still not functional yet.
      Return vtk-feature, but not use it
      Fix gui in cmake-build.
      Minor fix in cmake-build
      Add 2 dependencies to install-section for cmake-build.
      Enable "options" for cmake-build.
      Remove technical output during cmake-build.
      Fix compilation error during non-gui cmake-build
      Revert vtk-feature. Not mandatory again.
      Add debug-build to cmake.
      Use Predicate functions, only when gts is enabled.
      Place -lrt flag into the right place.
      Fix rpath issue
      Remove combine_sources function.
      Fix header definitions in openmp-accu
      Fix check-test during no_gts build
      Fix import libstdcxx on old systems
      Display information about disabled features
      Add NOSUFFIX option for packaging.
      Add lrt to linking on cmake-build
      Fix linking problem of cgal libraries in cmake-build
      Fix "typo" in VTKRecorder. Thanks to Vaclav.
      Remove path to python in some scripts.
      Move all main libs to usr/lib/yade folder
      Move minieigen to py-folder
      Add doSort-option to InsertionSortCollider for forced resorting of interactions.
      Minor fix in cmake-build
      Link miniEigen with boost-python libs. Thanks to Klaus Thoeni.
      Fix version definition for git and bzr.
      Enable use of custom Boost-libraries. Thanks to Klaus Thoeni.
      Try to fix cgal compilation.
      Add possibility to set the lib-path.
      Fix libpath, if it is non-standard.
      Fix CGAL-feature for cmake-build.
      Fix libpath with scons.
      Replace LIBPATHINST by LIBRARY_OUTPUT_PATH.
      Fix version definition and generation of pdf.
      Change Version option to YADE_VERSION.
      Add option description into CMakeList file.
      Start to update installation documentation.
      Start to update documentation on installation.
      Describe compilation and installation processes with cmake.
      Minor fix in instalaltion section.
      Remove scons from documentation.
      Remove compilation instruction for Gentoo.
      Check, whether newly added bodies to a clump are already members of the existing clump. Closes LP:1017367
      Fix handling ipython 0.13 version.
      Return CHUNKSIZE option.
      Update documentation on installation.
      Better fix for ipython-versions. Hopefully the ipython-interface will not be broken in a future.
      Remove some bzr-notes from documentation.
      Remove scons.
      Minor fix in documentation.
      Add chainId parameter to body.
      Implement stopAtTime parameter.
      Add iterBorn and timeBorn parameters to interactions.
      Rename chainId to chain. Add python-wrapper to utils.facet
      Remove timeBorn option in interactions.
      Remove debug and rebuild options from docs and starting scripts (not functional with cmake)
      Fix execution error.
      Use vtkQuad for exporting boxes in vtk-format. (Closes: LP:1026474)
      Let to use relative paths in INSTALL_PREFIX variable.
      Remove clumps, if no bodies are present there. Fixes LP:1031644. Remove clump members from clumps during body erase. Move Clump.* files to core/
      Add "make doc" command for easier documentation build.
      Fix some warnings.
      Add bodiesHandling.facetsDimensions function to get parameters of group of facets.
      Replace the variables "max" and "min" on "minVal" and "maxVal" in spheresPackDimensions to escape coincidence withi function names
      Add README.rst file for github
      Add getBodyIdsContacts to get the list of bodies, contacting with the checked one.
      Keep pointers of interactions for all bodies, not only where otherId>Id. Add ENABLE_FIXBUGINTRS option.
      Fix an error in interaction container.
      Add checkIntrs flag into body to escape useless checks of interaction.
      Fix segfault with FIXBUGINTRS enbled.
      Add regression test to check the erasing of bodies, which are in contact.
      One more step to fix bug of facet-sphere mass interaction.
      Add function to disable some interactions, if the sphere contacts with several facaets of the same chain.
      Prevent errors in facetCylinder, if height=0.0
      Move fixbugintrs stuff from Newtonintegrator to shop.cpp and constitutive law.
      Move fixbugintrs stuff into viscoelasticpm, for a quicker compilation.
      Integrate some ideas into RockPM
      Some minor fixes in eigen-macroses.
      Remove testcode for fixing LP:850864
      Fix serialize-template for matrix6r.
      Fix version read from RELEASE file.
      Fix version number output at Yade start.
      Fix some compilation warnings.
      Fix warning due to mix class/struct definition.
      Honor the flags, which are set in environment.
      Fix compilation warning »_POSIX_C_SOURCE« redefiniert."
      Disable CGAL, if compilator is clang.
      Add information, how to compile Yade with Clang-compiler.
      Fix batch-mode on platforms, where cpuinfo is not available.
      Remove rebuild-option from batch-mode.
      Remove old testing macros in VTKRecorder.
      Remove accidentally added file in examples.
      Add normalVel parameter for SpheresFactory to set explicitely direction of velocity for newly generated particles. Backward compatibility is saved.
      Add RELEASE file for 0.90.0 version.

Bruno Chareyre (61):
      - Direct solver used for periodic BCs and/or compressible fluid     - saveVTK for periodic BCs     - fix rare but possible junk permeability values (define max/min)
      -FlowEngine uses boost::thread to precompute triangulation and Cholesky factor while yade is running
      - interplate using barycenters of old trangulation, instead of voro-center of new triangulation, avoids inconsistencies     - make sure voidVolume is positive (FIXME: hardcoded number a.t.m.)
      - normalize the definition of minimum void volume
      -add a simple getStress function (periodic or not)
      move an insert in a more logical place
      A new contact law adding creep (Standard Material Model) to CundallStrack
      -missing in previous commit
      restore the option to NOT homomDeform in periodic BCs (may be rarely used, e.g. when veru big bodies are part of the simulation)
      restore the option to NOT homoDeform (see previous commit too)
      - let PeriTriaxController accept very large bodies in the simulation. This change makes it possible to simulate bi-periodic BCs with 2 large planes bounding one coordinate. Example script comming soon.
      - remove junk output left after debugging work
      - compatibility of the 6D cohesive-moment law with periodic BCs.     - add a simpler way to turn contacts cohesive one by one via an Ip::flag
      -fix force application in cohesive law (was breaking chained cylinder and sent buildbot error)
      replace Dem3Dof by ScGeom where CundallStrack is used
      -remove a series of contact laws as discussed in https://blueprints.launchpad.net/yade/+spec/cleancontactlaws
      remove contact laws (again), as discussed in https://blueprints.launchpad.net/yade/+spec/cleancontactlaws
      - Implement multithread solving for the periodic flow     - Start implementing CHOLMOD solver using Eigen3 support     - Fix flow engine compilation with cmake (some variable with multiple definitions breaking per-file compilation)
      - CHOLMOD handling in cmake
      - be quiet when cholmod is disabled
      remove some "cerr"
      -reset initCohesion flag for each contact after initializing (else it's rested at each step...)
      -add functions to export network constrictions and normal and track a point in the triangulation using secondary flow engine (Bruno+Wenrui)
      - better parameter (vector > 3 doubles)
      - use cell handles vector instead of CGAL's cell iterators for faster loops     - make mirror permeabilities i->j vs. j->i exactly equal in the periodic cases to avoid non-positive definite matrices     - fix a few mistakes in permeabillity min/max bounding (permeabilityFactor was not included, and the min was way too high, changing 50% of the values)     - make multithread run possible also in the periodic case
      smallfix in documentation
      Fix compile warnings.
      - add export functions for writing system matrix to files
      reverts commit afa59f17d59a90d3049b9c51c41d28e29fc9081e, which messed up flow code.
      -fix conflict
      Document Tesselation wrapper a bit more.     Add a complete example script.
      small optimizations in PeriodicFlow, start implementing matrix-based froce computation (commented blocks)
      documentation here and there
      Documentation
      documentaion fix
      - a unique function for fluid velocity in cells for both periodic and non-periodic     - make fluid velocity computed correctly even on boundary cells with imposed pressure     - the boundary are now included in computation average velocity in the simulation     - A new function to get total flux through a boundary
      - Simplify the usage of GSTiemeStepper: no need to set dt at all as soon as GST is present, and setting dt manualy will not disable the timestepper.     - Introduce density scaling
      example script for timestepper and density scaling
      Small change in the logic of cylinder-cylinder interactions
      sort exemple scripts
      documentation fix
      adapt the interface to the new timestepper logic
      doc hyperlink for density scaling
      fix compile error (sorry, it was working with chunksize>1)
      - remove a loop in Newton as suggested by Anton (Thanks)     - update example script
      - adjustents of strain rate in ex. script
      Still smallfixes in density scaling
      Revert "Fix the computation of the shear lubrication force and add the torque of the viscous shear force applied on particles."     This commit erased some of the previous changes. Please Donia double-check what you commit everytime.
      fix two compile warnings
      The \` are displayed correctly by sphinx. Get them back (at the price of many warnings?...)
      - remove some "invertSign" in stress functions     - add a utils::function to change friction without the need to instantiate a TTCompression engine
      - make use of Shop::setContactFriction()
      make warning conditional or it will flood my terminal...
      example script for cohesive and/or rotational law
      some updates in this example script
      make autostop possible again (but still disabled by default)
      -enable 0-thickness bounding boxes
      example script for triax+clumps
      -A new function to grow particles and clumps
      cleaning script
      clean sources

Chiara Modenese (3):
      Check the body existence before creating an interaction. (Closes: LP:803774)
      Add a new entry to yade-conference.bib.
      Add some entries into yade-conferences.bib

Christian Jakob (9):
      improvements in Law2_ScGeom_CapillaryPhys_Capillarity
      Fix memory leak in capillary law and make isBroken flag compatible with fusionDetection
      include calm function
      fix mask bug in calm function
      export boxes with vtkrecorder (not tested, boxesCells missing)
      export boxes with vtkrecorder (visualization works, but is not ok)
      fix uniax.py and periodic.py example scripts
      fix and improvements of some example scripts
      delete unneeded file

Donia (2):
      Fix the computation of the shear torque.
      Fix the computation of the torque and rename some variables.

Donia Marzougui (12):
      Add spheres' rotation to the computation of the viscous shear force.     Compute the viscous shear bulk stress.
      small fix in min Y
      Merge branch 'master' of github.com:yade/trunk
      Add the normal and tangential lubrication force     Compute the viscous shear stress for each body
      Add  rotation of spheres in the computation of velocity, Compute the viscous and normal stresses applied on each body, add the normal and shear lubrication forces
      Fix the names and tests of forces and stresses applied on particles
      Merge branch 'master' of github.com:yade/trunk
      Fix the computation of the shear lubrication force and add the torque of the viscous shear force applied on particles.
      Fix the computation of the shear lubrication force and add the torque of the shear viscous force applied on particles.
      Fix the computation of the shear lubrication force.
      Fix the computation of the normal lubrication force
      remove the computation of some characteristics lengths for two fictious spheres.

Francois Kneib (5):
      Add the contact between two different ChainedCylinders.          -> add new contact geometry : "ChCylGeom6D"          -> modified "Ig2_ChainedCylinder_ChainedCylinder_ScGeom6D()" to instantiate the new contact geometry when it is necessary          -> add new law : "Law2_ChCylGeom6D_CohFrictPhys_CohesionMoment()"          -> add new CohFrictMat parameters : "CohFrictMat.cylCylNormalCoh" and "CohFrictMat.cylCylShearCoh". They are used to set the cohesion between two different ChainedCylinders ("CohFrictMat.normalCohesion" and "CohFrictMat.shearCohesion" was already used inside a ChainedCylinder).     Fix bugs into "Ig2_Sphere_ChainedCylinder_CylScGeom6D" and "Ig2_Sphere_ChainedCylinder_CylScGeom"
      Fix an ScGeom6D bug : declare the cylCyl boolean variable as hidden in the YADE_CLASS_BASE_DOC_ATTRS_INIT_CTOR_PY instead of in the ScGeom6D class core.
      Merge branch 'master' of github.com:yade/trunk
      -python function for handling grid objetcs
      Create new classes to add grid simulations. Grid are made of GridNodes and GridConnection (two new shapes inheriting from Sphere)

Jan Stránský (15):
      added periodic cell's deformation and strain measures
      improvement of Cell documentation
      Cell class improvement
      made stressTensorOfPeriodicCell deprecated
      Fixed bug in export.VTKExporter, corrected some docstrings
      little more fixes in export module docstrings
      Added Law2_ScGeom_CpmPhys_Cpm class     other modifications of CpmMat related classes
      Added Ip2_FrictMat_CpmMat_FrictPhys functor
      corrected mistake from previous commit
      Fixed compilation issues in ConcretePM.cpp reported by Anton     Added utils.setNewVerticesOfFacet function
      improved documentation (corrected some warnings and errors during building docs, added inherited-members directive)
      improvement of ymport.unv and export.VTKExporter
      add example file for previous commit
      fixed small bug in export.VTKExporter.exportFacetsAsMesh     add geom.facetSphere
      another bug fix of export.VTKExporter.exportFacetsAsMesh

Klaus Thoeni (1):
      - add possibility to use local boost installation (e.g. -DLocalBoost=1.46.1)

==================================================
yade-0.80.0
Wed, May 2 21:05:12 2012 +0200

Anton Gladky (81):
      Add forgotten format to ymport.textExt
      Replace python-numeric on python-numpy in installation section of documentation
      Fix --test
      Add check on body existance in GlobalStiffnessTimeStepper. Fixes LP:891540
      Fix closeGap for side walls of cylinders and cones
      Return back fix from r2961. Bruno, please, make a check before commit.
      Add VTK-5.8 to header search path
      Fix compilation with VTK-5.8. Remove vtksqlite.
      Make the code workable with ipython 0.11
      Hopefully fix compilation error on clean environment.
      Do not let PWaveTimeStep return "infinity"
      Add maxMass parameter to Spheresfactory
      Update description of maxMass
      Fix compilation with boost >=1.47
      DomainLimiter:     * Delete spheres only     * Add mass calculation     * Add volume calculation     * Add mask-parameter
      Add mass-parameter to VTKRecorder.
      Add eigen2-option into scons to force compiling with eigen2.
      Fix eigen2 compiling, when "eigen2=False" by default.
      Check newly created spheres on intersection with spheres, which were created in one iteration in SpheresFactory. Hopefully fixes "jumping sphere" problem, discussed here [1]
      Minor changes for ipython 0.11 and 0.12
      Add speed-parameter to Scene and Omega
      Fix calculation speed show in batch-system
      Fix prediction of finish time in batch-mode.
      Fix compilation warnings on Ubuntu Precise.
      Use gravity inside of NewtonIntegrator in examples and in tests.
      Return the average speed of calculation from the last 10 iterations instead of current speed for the last step. Hopefully makes prediction of finish-time in batch-mode more accurate.
      1. Fix a compilation error with eigen2     2. Add a variable to define number of steps, which are taken into account by speed calculation.
      Rename .bzrignore to .gitignore.
      Merge pull request #1 from gladk/master
      Start to update main sphinx page.
      Merge pull request #2 from gladk/master
      Fix --check and --performance tests after moving testing scripts.
      Add deleted by mistake update of main sphinx page.
      Update of the main sphinx page.
      Fix version defininition with git.
      Ignore *.pyc files.
      Merge pull request #4 from jakob-ifgt/master
      Fix version number for gits. Caused error during doc-build.
      ResetRandomPosition should be a child of PeriodicEngine, not GlobalEngine.
      Fix some examples.
      Reenable gts-scripts.
      Let facetBunker.hBunker be zero.
      Add parameters body::iterBorn and body::timeBorn to track the moment, when the particle was added to simulation.
      Fix link to a wiki-page.
      Add libboost-program-options-dev to installation section.
      Add gtk2-engines-pixbuf to installation section. Escapes "Gtk-WARNING **: Im Modulpfad »pixmap« konnte keine Themen-Engine gefunden werden".
      Escape warning due to ipython 0.12.
      Do not output a false backtrace with ipython >= 0.10 due to log4cxx crash.
      Add python-bibtex to installation section of documentation.
      Remove useless check of ipython version. Now all systems must have >=10.
      Do not redeclare cundallInteractionPhysics and mindlinInteractionPhysics in local scopes, as they should be global. Fixes crash LP:966186.
      Add gmp for linking, when cgal-feature is activated. Fixes LP:968188
      Fix unicode characters.
      Parse Yade.tex and remove empty verbatim-blocks. Happens on Precise.
      Add ipython_directive for ipython 0.12.
      Some adjustments to build docs on Precise-systems.
      Prevent cross-importing of yade modules. Closes LP:980000
      Make nice output in ipython 0.12 like it was in 0.11.
      Make main.py.in more readable.
      Remove accidentally added ipython_directive012 extensions for all ipython versions.
      Remove log4cxx support and yade.log module.
      Fix compilation error on Debian Sid due to changed API of python-git module.
      Minor update of examples.
      Add isActive parameter to Interactions.
      Merge branch 'master' of github.com:yade/trunk
      Let isActive flag be changeble.
      Remove "never_use_this_one" option from scons.
      Remove "sphere-padder" option from scons.
      Fix autotest "rotation matrix from quaternion".
      Remove subdomains feature.
      Fix compilation warnings.
      Initialize angle* variables.
      Add geom.facetParallelepiped function.
      Remove executable-flag from scripts.
      Remove executable line in some examples (it cannot be in /usr/local folder on all machines).
      Fix some typos.
      Change default value in Real-variables from NULL to -1.0.
      Fox compilation warnings.
      Fix compilation warnings.
      Fix some typos.
      Add RELEASE file for 0.80.0 version.

Bruno Chareyre (72):
      - (failed) attempt to fix the documentation of export.py
      - fix doc generation for the export module. Still some fixes needed concerning doc convention (wrong parameter declaration for some functions)
      - makeCloud can now generate spheres on a plane (see https://answers.launchpad.net/yade/+question/175606)
      remove unused bool "is2D".
      - makeCloud handles periodic 2D clouds with uniform distribution and psd
      - yet more fixes. The auto-setting of cell.size was not correct (typo in components)
      - code cleaning
      - Documentation of the capillary law (warn users on distanceFactor and neverErase flags, as in http://www.mail-archive.com/yade-dev@lists.launchpad.net/msg07391.html.
      - 2 additional references
      - make body iterators jump empty slots, as suggested and discussed here: http://www.mail-archive.com/yade-dev@lists.launchpad.net/msg07406.html     - revert the (now useless) fix of r2961, similar tests can be removed in many places after the change in pointer logic is well tested.     - remove a script, as agreed by Christian (https://answers.launchpad.net/yade/+question/178830)
      - add/use the "neverErase" flag in Hertz laws.
      - back to ordinary vector<>:iterator for bodyContainer
      - smart body pointers again, also fixing the erase(0) case inside begin().
      - remove the if(body) test in GSTS loop.
      - attempt to fix https://bugs.launchpad.net/yade/+bug/897237     - small fix in the theoretical background
      Should finally fix https://bugs.launchpad.net/yade/+bug/897237
      - capillary model: nullify Fcap and volume when P changes from something to zero     - remove the if(!b) test in a few important places (proof of concept + don't waste time doing the same test twice)
      - fix wrong shape type testing that was giving wronf solid volume.
      - update publications
      - fix one bug mentionned in https://bugs.launchpad.net/yade/+bug/901146 (makeCloud with undefined num and psd)     - more articles
      - normalize psdCumm2 after the scaling, not before (since the scaling is determined from absolute psdCumm2).
      - make it possible to include bodies larger than period conditionally, using allowLargerThanPeriod flag (as discussed in https://answers.launchpad.net/yade/+question/181411, thanks Giulia for the scipt)     - document undocumented parameters of bodies creation (in utils.sphere)
      - enable interaction of two larger-than period bodies (e.g. cylinder vs. box) in addition to previous commit.
      - point to the "allowBiggerThanPeriod" flag in the LOG_FATAL message.
      - improvements in TW interface so that one can save and load "state" files to be used for defining deformations (this will actually be used by E. Ando for analyzing experimental data!)     - code cleaning
      - make deformation analysis possible for arbitrary simulations (no longer depends on TriaxialEngine for defining the bounds)
      - fixed undefined variable when Triaxial engine is not present
      - erase bodies before adding spheres from file
      - Fix typo (thanks for pointing out Klaus, actually the "i" was correct: elastic-plastic means that the law is incrementaly elastic OR plastic, while elasto-plastic laws can be both at the same time)
      - big reorganization of the triangulation lib, which becomes a template library. Usage of different "info" classes for different engines is now possible, so that TWrapper doesn't have to instantiate useless variables inherited from the flow problem, and vice-versa. Will also worj for periodic flow model coming soon.     - general code cleaning and removal of old files     - a few hyperlinks fixed in *.bib's
      - remove custom dependencies breaking compilation
      Merge the "collide" branch to trunk (branch history at https://code.launchpad.net/~bruno-chareyre/yade/collide2)
      - missing reference update     - remove the velocityBins lines in tests since velocityBins are removed from trunk
      - Draft version of the periodic fluid model from Donia Marzougui
      smallfix in flow model
      - fix a bracket mistake triggering ghosts definition after each insertion in periodic::triangulate()     - add tests on boundary ids (<0?) before doing anything on them.
      - account for sweepLength in bounds comparisons of Collider::probeVolume()     - removed unused file
      - Collider: fix the probe function (account for current body's position +  typo in one comparison)     - Newton: remove the useless "force" from damping2nd parameters, don't apply meanfield vel when not periodic (only diff is it avoids a multiplication of null matrix and vector), make gravity attribute work correctly     - GravityEngine: add LOG_ERROR on deprecation (LOG_WARNING are not displayed in prebuilt package right?), better use Newton::gravity to save cpu time.     - Clump.hpp: fix the template function that was using the old saveMaximaVelocity, use the new saveMaximaDisplacement instead     - PeriIsoCompressor: never pause() in some c++ code, since it resuults in stuck GUI without a chance to run more timesteps
      - dispatching: don't make bboxes larger for static bodies     - gravity : deprec. warning     - collider: try and fix Anton's crash (https://lists.launchpad.net/yade-dev/msg08256.html and next in the thread)     - Newton: workaround the resetForce bug in OMP build (https://bugs.launchpad.net/yade/+bug/923929)
      - small changes left behind in a previous commit (fix the "undefined IPCells") problem
      - include periodic PeriodicFlow in the triangulation lib
      - Compute the critical timestep correctly when clumps are present.
      - make the "smoothing" of strain rate evolution configurable via a registered attribute (default=unchanged behavior)
      - tell more explicitely that Young/Poisson is interpreted differently in different functors in their respective doc     - make the LWStress function return pyList instead of tuple     - documentation in makeCloud     - default stiffness are zero, not NaN
      - TWrapper: python binding for local deformations     - Flow: fixes in the periodic BCs     - Flow: improvements in BCs handling and imposed fluxes, toward per-step update of the RHS + code cleaning     - Periodic flow: support for optimized solvers (not in trunk) by introducing cells indexes     - Periodic flow: optimization of periodicity by precomputed Hsize[k]*gradP products     - SpherePack: more code documentation in makeCloud
      - missing in previous commit (sorry)
      - fix periodicity of interactions when large bodies are present. Demo script comming soon.
      - implement the compatibility between periodic fluid model and large bodies in PBCs using the "boundary" objects
      - Make unbalancedForce() account for Newton::gravity (and my first git commit!)
      - mirroring bzr3038 + bzr3039
      - example script for large bodies in periodic BCs
      compile error; remove warnings; add last diffs from Donia
      Smallfix in index.html
      - fix doc string in the SpherePack.toSimulation function (crashing my terminal...)     - update one reference
      Merge branch 'master' of github.com:yade/trunk
      - fix bug https://answers.launchpad.net/yade/+question/192152 in SpherePack.toSimulation()
      - fix a documentation bug (https://bugs.launchpad.net/yade/+bug/978234)
      fix a warning in DomainLimiter
      make periodic triax engine ScGeom friendly (a few scripts to be fixed in next commits)
      - remove reversedForces flag and/or use ScGeom in the example scripts for periodicity
      Merge branch 'master' of github.com:yade/trunk
      - add the possibility of updating only the RHS in the fluid problem, without rebuilding the triangulation+matrix
      Fix bugs introduced by incomplete addition of Real dt in some functions signature (messing virtual inheritance)
      Merge branch 'master' of github.com:yade/trunk
      Fix the problem of null pressure measured after retriangulation.
      Bind a measurePressure() method for the periodic flow engine
      allow BCs update without retriangulation via Flow::updateBCs()
      Fix a bug in PeriodicVertexInfo::ghostShift
      Merge branch 'master' of github.com:yade/trunk
      Fix a few bugs discovered with Luc: Fluid forces splitted between particles and their images in PBC, and others.     Implement the updateBCs feature for PBCs.
      Enable pressure interpolation in periodic coupling
      The documentation now reflects the recent changes in collider's logic.

Christian Jakob (11):
      Law2_ScGeom_CapillaryPhys_Capillarity can now be used with Ip2_FrictMat_FrictMat_MindlinCapillaryPhys for hertz model
      Add forgotten files
      Added new example script (examples/generate-psd-with-poro-example.py)
      Fixed examples in example folder, new folder called not-working
      move all model examples to example folder, fixed all examples, that are not in test folder
      moving checks and tests to scripts/checks-and-tests and fixing some examples in examples/test
      moving checks and tests to scripts/checks-and-tests and fixing some examples in examples/test
      moving checks and tests to scripts/checks-and-tests and fixing some examples in examples/test
      fixed all examples
      Improvements in Law2_ScGeom_CapillaryPhys_Capillarity.cpp (included isBroken flag and updated checkFusion)
      make fusionDetection and isBroken flag compatible

Francois Kneib (4):
      Added the interaction between cohesive sphere and cohesive chained cylinder. Created Ig2_Sphere_ChainedCylinder_CylScGeom6D and Law2_CylScGeom6D_CohFrictPhys_CohesionMoment in Cylinder.cpp. Created CylScGeom6D in CylScGeom6D.cpp. Moved CylScGeom from Cylinder.cpp to CylScGeom6D.cpp
      Interaction test between a cohesive sphere and a cylinder.
      Fixed some bugs in Ig2_Sphere_ChainedCylinder_CylScGeom6D() and Ig2_Sphere_ChainedCylinder_CylScGeom(). Now the contact is rightly followed when a sphere move along a chained cylinder. It works with frictional cohesive or frictional contacts.
      Fixed some bugs in Ig2_Sphere_ChainedCylinder_CylScGeom6D() and Ig2_Sphere_ChainedCylinder_CylScGeom(). Now the contact is rightly followed when a sphere move along a chained cylinder. It works with frictional cohesive and frictional contacts.

Jan Stránský (6):
      1) modification of CpmState class     2) some changes in py/pack/pack.py
      Added Matrix6     Added damageTensor to CpmState     Fixed bug 922744 (export module)
      Fixed SpherePack and _getMemoizeDb incompatibility with periodic boundary conditions     Corrected assert(Matrix3) in Math.hpp
      O and wrapper.Omega made part of __builtin__ (equivalent to global variables). Should solve problem of question 182459
      Omaga can contain more Scene instances
      Fix of previous commit

Klaus Thoeni (3):
      1. delete line which was commented out by Anton     2. derive WirePhys from NormShearPhys in order to use implemented functions which just support NormShearPhys (NormPhys is not supported, however, in the future if more contact laws with normal force only are implemented it might be better to introduce a boolean or so)
      1. fix some typos     2. derive WirePhys from FrictPhys     3. compute limitFactor for WirePM     4. add limitFactor and normal force of wires to wpm in VTKRecorder
      - add capability to deactivate the damping in NewtonIntegrator for individual particle via O.bodies[id].state.isDamped=False     - use this new property in examples/WireMatPM/wirecontacttest.py

Luc Scholtes (7):
      add compressibility to fluid flow scheme
      delete obsolete line in flowEngine.hpp
      resolve bug 983888
      add compressibility to periodic flow engine
      cleaning pack.py
      clean FlowBoundingSphere.ipp file
      Apply changes from Luc Sholtes.

Luc Sibille (1):
      Update some publication references

Rémi Cailletaud (4):
      Added google analytics script to sphinx doc
      Build infrastructure - removed r0calcul8 from builbot nodes (hardware issues)
      buildbot now builds two times, with eigen2 and eigen3
      now uses xvfb for doc generation (for qt part)     buildbot home on slaves changed     reenabling r0calcul8

==================================================
yade-0.70.0
Sun, Oct 23 16:49:34 2011 +0200

Anton Gladky (129):
      1. Prediction of simulation finish time is added to HTTP-batch server.
      1. Fix of a previous commmit. Wrong prediction time.
      1. HarmonicMotionEngine is added with example.
      1. HarmonicMotionEngine update.
      1. HarmonicRotationEngine is added including example in regular-sphere-pack.py     2. TranslationEngine is parallelized with OpenMP.     3. Translation and Rotation engines are working with Dynamic-bodies properly (temporal solution).
      1. Regression tests for translation and rotation engines are added (not fully tested yet, but "all tests passed")
      1. Changes from 0.60 (debian packaging).
      1. scripts/debian-prep creates orig.tar.gz and removes .bzr directory
      1. debian-prep creates version number with "1" at the end
      1. Backporting changed from 0.60 branch
      1. qt4 is "on" by default     2. Syntax fix in documentation.     3. export.text is disabled in regular-sphere-pack example
      1. Initial yade.spec is added for RPM packaging
      1. Fix bug in VTKRecorder (Thanks, Vaclav)     2. Cohesive-chain test disabled (please, fix it, who can...), https://yade-dem.org/buildbot/builders/yade-full/builds/127
      1. Changes in .spec file
      1. Some preparation to dpkg ver3.
      1. Deleted isDynamic from Translation Engine
      1. Commented SubdomainBalancer packs.py to make it workable with default compilation.
      1. Partly fixes 692759
      1. debian/copyright is changed according to debian requirements.     2. control-template is changed to make the package "lintian clean"
      1. Fixed warnings in packs.py->utils.py     2. Created geom.py module for generating geometrical forms from facets.     3. utils.facetBox and utils.facetCylinder have been moved to geom.facetBox and geom.facetCylinder respectively. Backward compatibility is saved. Examples are fixed.     4. closeGap in utils.facetCylinder and utils.facetCone works now only when |anglRange|>math.pi     5. geom.facetBunker is added with corresponding example in pack.py
      1. python-imaging is added to installation section of sphinx-docs as well as to debian-dependency     2. geom.facetHelix and facetPolygon are added with examples
      1. Closes #702296, if somebody uses rotationengines, please, update!
      1. regression tests of kinematic engines are updated and activated.
      1. Updated regression tests. Rotation engines.
      1. HelixEngine updated, dublicated code deleted.     2. HelixEngine is added to regression tests.
      1. Extra Quaternionr q() definition is deleted from RotationEngine (thanks, Bruno)
      1. Shop::getStressForEachBody() is now returning stresses for FrictPhys+ScGeom combination; not only NormShearPhys+Dem3DofGeom
      1. Added debian/watch to track new yade versions.     2. Some small modifications in debian/control-template to escape lintian warnings.
      1. vtk-5.6 path is added to SConstruct to make it compilable with Debain experimental     2. Fixing spelling mistakes in documentation.     3. debian/ -directory changes.
      1. Fix lintian warnings in manpages.
      1. jquery.js in documentation is now symlink to a packaged jquery, if it is available.
      1. Debian-directory cleaning and modifying (checked with lintian -IE --pedantic, no warnings at all).
      1. openmp-feature is added into the debian-build options.
      1. Hopefully fixes previous error on building PDF (not checked yet).
      1. One more try to fix tex-failure.
      1. Missing files and licenses are added to debian/copyright
      1. yade-support plugin is added to lib/SConscript as described here https://bugs.launchpad.net/yade/+bug/707966/comments/2
      1. Hopefully fixes bug 707966, additional libraries are added for linking in shared libraries (vtk*)
      1. Small fixes in debian/copyright to escape lintian-warnings.
      1. debian/ is moved to scripts directory     2. scripts/debian-prep scripts copies ./scripts/debian/ to ./debian/
      1. Regression test of yade.plot.addAutoData() is partly disabled is due to https://bugs.launchpad.net/yade/+bug/715739
      1. Build-script and buildbot-config are moved to scripts/build-infrastructure
      1. Updated installation instructions     2. Updated spec-file for RPM-packaging
      1. Added a patch to escape -rpath (an ugly and "very" experimental)
      1. Fixed Tutorial link in documentation (taken from https://www.yade-dem.org/sphinx/tutorial.html)     2. Some small fixes in documentation     3. Changes in spec-file for RPM-packaging
      1. LOG_INFO and LOG_WARN are disabled when log4cxx feature is disabled.
      1. Added shop.py. Like shop.cpp but in python not to make yade.utils too crowd     2. Added yade.geom and yade.shop to sphinx     3. Some fixes in docs     4. yade.shop.spheresPackDimensions is added with corresponding example in packs.py
      1. scripts/debian-prep does not insert now distribution name into the version number.
      Update of spec-file for RPM packaging
      1. vtkNetCDF was deleted from vtk-libs due to absence in libvtk5.6-dev. Seems functionality is not corrupted.
      1. python-sphinx dependency for Debian is changed to >=1.069
      1. Added python-imaging to Debian packaging rules.     2. Fix spelling in documentation.     3. Debian-Template yade-doc file is fixed (0.60 version was hard-coded)
      1. Update installation information in documentation.
      Fix in installation documentation
      1. RPM-spec file update     2. Old yade.spec was moved from the root directory to scripts/RPM_packaging
      1. Fixed some docs     2. shop.spheresPackDimensions can accept now a list of bodies, not only the list of their id's
      1. yade.shop module is renamed to yade.bodiesHandling to get more adequate name     2. added bodiesHandling.spheresModify to modify a pack of spheres. Corresponding example is in examples/packs/packs.py     3. added bodiesHandling.sphereDuplicate to make a copy of sphere
      1. Renaming shop.py to bodiesHandling.py
      1. ForceRecorder renamed to ForceTorqueRecorder     2. TorqueRecorder is added
      1. Changed yade.spec file. Seems, working now.
      INSTALL_PREFIX option is added to CMakeLists.txt
      CHUNKSIZE option is added to CMakeLists
      LIB_EIGEN_PATH is added to CMakeLists.txt
      Typo fix in previous commit
      Fix formula displaying in utils.getViscoelasticFromSpheresInteraction
      "mask" parameter is added to GravitiEngines to make it more flexible.
      1. ForceRecorder.totalForce and TorqueRecorder.totalTorque are now accessible from python interface     2. Fix in TorqueRecorder: getTorque is added
      1. Fix TorqueRecorder calculation
      utils.shiftBodies function is added to move bodies without velocity update.
      1. in utils.sumTorques and utils.sumForces py::tuple has been changed to py::list. I think it is more convinient.     2. added RuntimeError() to checkTestTriax.py. Bruno, are you agree?
      1. Added new checkWeight test to --check scripts     2. It is not neccessary now to add the script name into the checkList.py, just drop a new script into the scripts/test/checks directory
      1. Updated build-farm script (building Debian and Ubuntu packages for different distributions).     2. Updated installation section of documentation (Gentoo installation).
      1. Some changes in installation section (Gentoo)     2. Check tests are now running like --test, returning error code if something went wrong.
      1. Performance test is added. Initial script.
      1. Small changes in installation section.     2. voxelPorosityTriaxial doctests are transformed to a simple source code demonstration due to results instability (candidate to --checks section http://www.mail-archive.com/yade-dev@lists.launchpad.net/msg06635.html )     3. Added initial sqlite database of performances on different machines.
      1. Fixes bug #724396. Thanks Sergei and Vaclav.
      1. Make trunk compilable with Eigen3 (coming soon). No performance test results yet.
      1. Color output for --performance tests is added.
      1. Fix doc generation of the previous commit.     2. Added a link to revision archive on yade-dem.org
      Color output in --performance tests is deleted.
      Add Eigen3 transparent support: if eigen3 persists in the system, it will be used by default, otherwise - eigen2
      Fix Eigen3-Eigen2 detection variables.
      Fixes 748943. Thanks Bruno for pointing out
      Add "stop" button at the batch-panel
      Fix spelling errors: allows to...
      1. Replace "subscribedBodies" to "ids" almost everywhere in the code.     2. Fix a couple of examples.
      1. Move Dragengine from SphereFactory to ForceEngine.     2. Fixes in ForceEngine (crashed, when force applied to non existing body)
      Add LinearDragEngine
      1. Fix a crash, which appears, when force is read from non-existing body.     2. Fix warning in CohesiveFrictionalContactLaw
      1. --check tests are now copying into the libDir/py/yade/tests/checks folder to make it available in packaged yade version.     2. Rename "dataTriax" folder to "data" to make this folder and for other tests suitable.
      Added syncSizesOfContainers to forceContainer::reset() for the case of not using NewtonIntegrator in scripts
      Remove PressTestEngine, because python-variant works much better
      Fix an error, when spheresPackDimensions tried to get states of non-existent bodies
      Skip empty ids in KinematicEngine
      Fixes nans in ViscoelasticPM, when kn=0 or ks=0. Fixes 804650
      Fixes crash, causing by saving-loading simulation with erased bodies. Fixes #803774
      Add one more --check scripts to check GravityEngine and NewtonIntegrator
      Change the number of steps for checkGravity.py
      Add O.wait() at the end of checkGravity-test. Hopefully will fix the buildbot-error.
      Add utils.getSpheresMass
      Add mask-option to SpheresFactory
      Add ids-parameter to SphereFactory to get the ids of newly created bodies
      Add utils.psd(). First try
      Add mask-parameter to utils.getSpheresVolume and utils.getSpheresMass
      Fix (hopefully) simulation abort, when an interaction::erase is trying to delete an interaction, where one of bodies is already removed from simulation (id2)
      1. Add PSD-support to SpheresFactory (not finished, but already working)     2. Add exception in utils.psd(), if all particles have the same diameter
      Simplify utils.psd()
      Add forgotten PSDuse-variable initialization in SpheresFactory
      Add comment on doubtful check of b2 in InteractionContainer::erase
      Simplify PSD-input data for SpheresFactory
      Fix file-creation error in yade-batch, when name of log-file is longer, than 255 symbols. The name cuts off now.
      Add exactDiam flag to SpheresFactory
      1. Add example of SpheresFactory into packs.py     2. Add stopIfFailed flag to SpheresFactory.
      -Remove dublicating item in references
      Fix some errors during doc-generation
      Fix crash in capillary law (removed bodies were not checked)
      Add mask-parameter for spheresPackDimensions
      Fix mask-check in several places
      Fix in spheresPackDimensions. The bug appeared, when only mask was inputted
      Add mask-parameter to spheresModify.
      Fix a default parameter for ids in spheresPackDimensions
      Add some more parameters to spheresPackDimensions
      1. Remove "consider" parameter from textExp function     2. Add "mask" parameter into textExp function     3. Add one more format for output.
      Delete all corresponding iterations explicitely, when the body is erased
      Fix compilation error during debug-mode
      Move not-working examples into the corresponding folder.
      Update news
      Fix link to installation page
      0.70.0

Bruno Chareyre (130):
      - Rename Cohesive law functor with "6D" as in "ScGeom6D"     - Same for chanedCylinder's Ig2 functor.     - update scripts.
      - Fix compile crashers due to bad include paths.
      - Keep robust kernel the default.
      - re-enable cohesive chain test
      - declare deprecated names (part of r2543)     - revert experimental parameters previously commited by mistake in cylinder script
      - Make TriaxialTest behave correctly by default - as it used to, i.e. generate the correct number of particles in a cube of size 1.
      - disable the last comparison on velocities (see https://lists.launchpad.net/yade-dev/msg06178.html)
      - add the mandatory "bool periodic" parameter for makeCloud.
      - Prepare linear solver usage in FlowEngine.     - Some cleaning.     - Add inexes to triangulation cells fro vectorization.
      - remove a warning in Tesselation.cpp     - fix FlowBonding sphere for first iteration and a few other things     - make GaussSeidel virtual in FBS
      - handle different solvers.     - small optimization on dt divisions.
      - FlowEngine : rewrite updateVolume so that cell volumes are not computed twice.     - Remove irrelevant remark in SCPE     - Some missing "6D" here and ther in decorations (could affect only devirtualized build)
      - Implement tensile plasticity and add the corresponding parameters in CohFrictPhys.
      - recent commits broke or modified something in cohesive law. The reg. test  points it out.
      - restore default CohFrict behaviour
      - PeriTriax : remove the constant-distance approximation in stress definition, using wrapped coordinates instead of radii.     - Get back standalone energy tracing in ECL.
      - Cylinders : handle cylinder-sphere contacts with a fictious state representing interpolated motion between nodes and passed to ScGeom     - Cylinders : implement CundallStrack for interaction between 3 bodies (1 body + 2 nodes)     - Cylinders : a number of fixes - no more bugs it seems     - Cylinders : handle zero-sized element for terminating chains     - Cylinders : update scripts; add example script chained-cylinder-roots.py, with cylinders, spheres, and boxes     - Ig2_Box_Sphere_ScGeom : small class name fixes ("6D")     - utils.py : adapt cylinders linking     - ElasticContactLaw : don't use Body::byId when possible     - ScGeom6D : put quaternion normalization between #ifdef guards (debug only)
      - clean the script.
      - recommit 2608 with fixed reg test (making ratcheting correction negligeable with dist=.999999999999999999*size)     - also fix the compile errors
      - r2608 again, sorry. Local tests are invalidated by last changes in setDynamic, but the commit is correct.
      - finish implementation of contacts tracking on chained cylinders.     - some cleaning and doc update
      Fix : mistake in prev. commit while cleaning cylinder code.
      - recommit 2617 without the autoformating from kbibtex.
      - Doc : give precise references for triaxial algorithms.
      - Deeper integration of isDynamic semantic : skip velocity integration, damping, DOFs blocking, and exact spherical rotations, when !isDynamic. 0-density bodies should be safe.     - Partial DOFs blocking is not implemented yet.
      - ratcheting documentation : improve and unify source and inline versions.
      - As in r2615 : skip velocity update, damping, DOFs blocking, and exact spherical rotations, when !isDynamic. 0-density bodies should be safe.     This is a merging r2615 with the per-DOF blocking and clump handling from r2621.
      - updated FIXME, it seems we do the same thing twice
      -Fix kinetic energy definition.
      - Fix stripes display     - Add secondary light and register light parameters     - define specular exponent for smoother display     - define and use GL display lists
      - review and update of documentation in a series of class     - adapt TSC and TCE to new non-dynamic behaviour (more changes and cleaning planned)     - remove prevNormal and frictionAngle from FrictPhys     - Add temporary FrictPhysTransitory for compatibility of old laws     - Rename Ip2_2xCohFrictMat_CohFrictPhys for names consistency, as suggested by Janek
      -As in r2615 and r2622 (both reverted), and partialy in r2626 : skip acceleration, per-dof blocking, damping, and velocity update for bodies and clumps in case of DOF_ALL blocking (per DOF operations are useless in such case).     Please don't revert unless there is a reason to compute DOF_ALL's acceleration and it is guaranteed bug-free (see list). Discussion more than welcome, of course.
      - Fix one mistake in previous commit (incrementing angVel even for asphericals), sorry.     - Move clump damping after the foreach(member) loop, so that it will damp the total acceleration at clump's level.
      - Don't damp clump members. Instead, compute undamped acceleration and damp it at the clump's level.     - Similar mechanism implemented for DOF's blocking : compute unblocked accelerations and block at the end (remember blocking one DOF triggers tests and divisions).     - Still possible optimizations (especially for spherical rotations and translations), see https://blueprints.launchpad.net/yade/+spec/clump-forces.     - One FIXME : aspherical damping is not correct a.t.m. since it uses torque where angAccel should be provided (suggested fix in sources).     - Probably fixes a few inconsistencies in previous commits.
      - Missing in last commit (fix builbot failure)
      -Fix sphere rendering for closing/opening qtview (closing was deleting existing display lists, new view was empty)     -Make quality apply for striped spheres as well     -Make it possible to turn duplicated spheres on/off in periodic BC     -Separate GLUT and striped spheres functions for clarity     -Optimize stripes rendering with GL_TRIANGLE_STRIP
      - A checkTest for triaxial simulations.
      - Add a function (and python wrapper) computing the exact mean stress in each sphere.
      -fix compile error in prev commit.
      - Integrate check tests in yade options (see README).     - Handle PBCs in Shop::getStressLWForEachBody (not tested)
      - uncouple Hsize and trsf, add setters for attributes Cell::trsf and Cell::refSize, update all scripts. (see http://www.mail-archive.com/yade-dev@lists.launchpad.net/msg06101.html and next in thread).
      - Fix some temporary stuff left behind (safe but useless) + get back one line of comment removed by mistake.
      - update periodicity documentation     - rename Hsize->hSize to be consistent with names convention.     - remove a duplicated ref and add a CGAL ref
      - one file left behind in last commit, sorry.
      - Add resetTrsf() to set trsf without side effects.     - minor updates of attributes doc to be consistent with recent changes.
      -Don't maintain refSize in setHsize, in hope that we will not drag it forever, as suggested in https://lists.launchpad.net/yade-dev/msg06836.html.
      - Fic classname and give working example.
      - update bodyStressTensor doc.
      makecloud update (recommit after fix)           - Fix psd transformation from mass distrib to number distrib.           - Make sure the function will always return the number of particles required by the user as soon as it is psecified.           - If num is specified, generate sizes the deterministic way by descending order.           - make porosity parameter optional and give it a default value.           - update doc and script.
      - make Cell.size read/write for faster hSize setting.     - improve and simplify documentation (the older method is no longer documented)
      small typo in property name ("sizes" instead of "size")
      - Move older or redundant interface between #ifdef CELL_BACKW_COMPAT guards.     - Replace refSize by current size in PeriTriax     - forget adding the "s" in "cell.sizes", since existing scripts are already using "cell.size" -> fix sphinx doc about this.
      - some more Cell doc. After typing the paragraph on display, I realize w'd better not update refHSize when trsf=s-------------- This line and the following will be ignored --------------
      - some more cell doc.
      As discussed on the list:     - Don't update refHSize when trsf is defined     - Update it when hSize (like before) or size are assigned     - use current size in PeriEngine     - remove unneccesary cell attributes     - replace setBox by size     - update doc (atributes and header) consistently
      - Forgot to save Cell.h before committing : updated header doc.
      Yet more cleaning in cell (sorry).
      - remove FrictPhysTransitory
      - A few changes in Cell as discussed in the list.     - Updated doc.
      - Attempt to fix buildbot output in triaxCheckTest (LOG_INFO are disabled by default on my machine but the buildbot has a different behavior it seems, which gives lots of junk lines) in the log.
      - Add a script demonstrating use of inclined initial cell and reseting trsf     - Small doc or formatting fixes here and there
      - add hSize parameter to makeCloud so that it can generate arbitrary parallelepipeds (previously working only by luck on a few special geometries)     - documentation     - usage in script, which uses now more funny shape (try it!)
      - Preparation for citation (wiki won't accept text file uploads => commiting to trunk)
      - Include Yade citation page in doc, and add links in different places.     - Add 'InCollection' keyword in bib2rst
      - One missing file + updated links to individual pdf's in pub.rst.in
      Missing in previous commits (the most important file...)
      - Fixing a few links.
      - more fixes...
      - A typo left in index.html. Changes in this file are not reflected in documentation built localy, and erasing the _built dir breaks sphinx builds. It makes changes in sphinx main difficult.
      -link to discussion of citation model
      - run "xelatex Yade.tex" twice, so that the content table is generated correctly.
      - Small fix in makeCloud (hSize not passed correctly in recursive calls)
      Format check tests output better.
      Small fix in unbalancedForce doc.
      - per-point imposed pressure mechanism.
      - per-point imposed pressure mechanism     - one fix in permeabilites along boundaries
      - remove save_vtk flag and add python wrapping
      - Add functions for constrictions sizes statistics.     - Remove a few compile warnings.
      -fix accents and reference name in Catalano's entries
      -Update clumps forces and torques in Newton, as in https://blueprints.launchpad.net/yade/+spec/clump-forces.     -Update Shop::unbalancedForce accordingly     -Remove the old unbalancedForce code from TSController and make it point to the Shop version.
      - re-fix fluid area definition     - some cleaning here and there (Donia+Bruno)
      - fix fluidArea correction (S0)     - Optimal computations by storing fluid/total ratio in cells info
      - handle changes in cell's volumes sign     - add converters from Eigen vectors to CGAL vectors
      - small fixes in references
      - cell volume update was disabled -> enable again
      - Fix the behavior of bodies moved with the mouse with respect to the new isDynamic behaviour.     - The velocity is now defined correctly so that contacts on the moved object are computed correctly
      - use same ordering convention for boundaries in triax and in aabbBoxes.     - removed useless variable     - correct initialisation of compression axis
      - Set default values of walls ids     - Fix cells volume functions     - Add a vertex accessor Tesselation.vertex(body_id)     - Various improvements
      - fix the action condition (was it never tested?)
      - invert x and y axis for getting stress (the convention changed in r2830)
      A section on devpt tools and check tests in programmer manual.
      - doc smallfix
      - improved section on regression test
      - fix (in fact workaround...) bad display of double minus (--) in sphinx.
      - typos
      End a sentence... (thanks Jerome)
      - more explicit notes on citing (I realized it was not clear while reviewing a paper citing yade ;-))     - again small fixes in the "development tools" section
      - remove many warnings     - handle viscous shear force gracefully
      - don't exit the checkList when one checkTest fails, we want all of them tested in all cases
      - move unstable test out of checks
      - add Ohloh widget to main page
      - small fixes in the example script (so that it actually works).
